<div class="nk-sidebar nk-sidebar-fat nk-sidebar-fixed <?php echo e(gui_mode(gui('user', 'sidebar'))); ?> x-<?php echo e(gui('user', 'sidebar')); ?>" data-content="sidebarMenu">
    <div class="nk-sidebar-element nk-sidebar-head">
        <?php echo e(site_branding('sidebar', ['panel' => 'user', 'size' => gss('logo_size', 'md'), 'class_link' => 'nk-sidebar-logo', 'custom_link' => logo_link('ud', 'raw')])); ?>

        <div class="nk-menu-trigger mr-n2">
            <a href="#" class="nk-nav-toggle nk-quick-nav-icon d-xl-none" data-target="sidebarMenu"><em class="icon ni ni-arrow-left"></em></a>
        </div>
    </div>

    <div class="nk-sidebar-element">
        <div class="nk-sidebar-body" data-simplebar>
            <div class="nk-sidebar-content">
                <div class="nk-sidebar-widget d-none d-xl-block">
                    <div class="user-account-info between-center">
                        <div class="user-account-main">
                            <h6 class="overline-title-alt"><?php echo e(__(":Account Balance", ['account' => w2n(AccType('main'))])); ?></h6>
                            <div class="user-balance"><?php echo e(account_balance(AccType('main'))); ?> <small class="currency"><?php echo e(base_currency()); ?></small></div>
                            <div class="user-balance-alt"><?php echo e(account_balance(AccType('main'), 'alter')); ?> <span class="currency"><?php echo e(secondary_currency()); ?></span></div>
                        </div>
                    </div>
                    <ul class="user-account-data gy-1">
                        <li>
                            <div class="user-account-label">
                                <span class="sub-text"><?php echo e(__('Profits (7d)')); ?></span>
                            </div>
                            <?php
                            $profit=user_profit('weekly');
                            ?>
                            <div class="user-account-value">
                                <span class="lead-text"> <?php echo e(to_amount($profit['amount'], base_currency())); ?> <span class="currency"><?php echo e(base_currency()); ?></span></span>
                                <?php if($profit['percentage']>0): ?>
                                <span class="text-success ml-2"><?php echo e(abs($profit['percentage'])."%"); ?> <em class="icon ni ni-arrow-long-up"></em></span>
                                <?php elseif($profit['percentage']<0): ?> <span class="text-danger ml-2"><?php echo e(abs($profit['percentage'])."%"); ?> <em class="icon ni ni-arrow-long-down"></em></span>
                                    <?php endif; ?>
                            </div>
                        </li>
                        <?php if(auth()->user()->balance_locked('deposit')): ?>
                        <li>
                            <div class="user-account-label">
                                <span class="sub-text"><?php echo e(__('Deposit in orders')); ?></span>
                            </div>
                            <div class="user-account-value">
                                <span class="sub-text"><?php echo e(money(auth()->user()->balance_locked('deposit'), base_currency(), ['dp' => 'display'])); ?></span>
                            </div>
                        </li>
                        <?php endif; ?>
                        <?php if(auth()->user()->balance_locked('withdraw')): ?>
                        <li>
                            <div class="user-account-label">
                                <span class="sub-text"><?php echo e(__('Withdraw in progress')); ?></span>
                            </div>
                            <div class="user-account-value">
                                <span class="sub-text"><?php echo e(money(auth()->user()->balance_locked('withdraw'), base_currency(), ['dp' => 'display'])); ?></span>
                            </div>
                        </li>
                        <?php endif; ?>
                    </ul>
                    <div class="user-account-actions">
                        <ul class="g-3">
                            <li><a href="<?php echo e(route('deposit')); ?>" class="btn btn-primary"><span><?php echo e(__('Deposit')); ?></span></a></li>
                            <li><a href="<?php echo e(route('withdraw')); ?>" class="btn btn-warning"><span><?php echo e(__('Withdraw')); ?></span></a></li>
                        </ul>
                    </div>
                </div>

                <div class="nk-sidebar-widget nk-sidebar-widget-full d-xl-none pt-0">
                    <a class="nk-profile-toggle toggle-expand" data-target="sidebarProfile" href="#">
                        <div class="user-card-wrap">
                            <div class="user-card">
                                <div class="user-avatar">
                                    <span><?php echo user_avatar(auth()->user()); ?></span>
                                </div>
                                <div class="user-info">
                                    <span class="lead-text"><?php echo e(auth()->user()->display_name); ?></span>
                                    <span class="sub-text"><?php echo e(auth()->user()->email); ?></span>
                                </div>
                                <div class="user-action">
                                    <em class="icon ni ni-chevron-down"></em>
                                </div>
                            </div>
                        </div>
                    </a>
                    <div class="nk-profile-content toggle-expand-content" data-content="sidebarProfile">
                        <div class="user-account-info between-center">
                            <div class="user-account-main">
                                <h6 class="overline-title-alt"><?php echo e(__(":Account Balance", ['account' =>
                                    w2n(AccType('main'))])); ?></h6>
                                <div class="user-balance"><?php echo e(account_balance(AccType('main'))); ?> <small class="currency"><?php echo e(base_currency()); ?></small></div>
                                <div class="user-balance-alt"><?php echo e(account_balance(AccType('main'), 'alter')); ?> <span class="currency"><?php echo e(secondary_currency()); ?></span></div>
                            </div>
                        </div>
                        <ul class="user-account-data">
                            <li>
                                <div class="user-account-label">
                                    <span class="sub-text"><?php echo e(__('Profits (7d)')); ?></span>
                                </div>
                                <div class="user-account-value">
                                    <?php
                                    $profit = user_profit('weekly');
                                    ?>
                                    <div class="user-account-value">
                                        <span class="lead-text"> <?php echo e(to_amount($profit['amount'],base_currency())); ?> <span class="currency"><?php echo e(base_currency()); ?></span></span>
                                        <?php if($profit['percentage']>0): ?>
                                        <span class="text-success ml-2"><?php echo e(abs($profit['percentage'])."%"); ?> <em class="icon ni ni-arrow-long-up"></em></span>
                                        <?php elseif($profit['percentage']<0): ?> <span class="text-danger ml-2"><?php echo e(abs($profit['percentage'])."%"); ?> <em class="icon ni ni-arrow-long-down"></em></span>
                                            <?php endif; ?>
                                    </div>
                                </div>
                            </li>
                            <?php if(auth()->user()->balance_locked('deposit')): ?>
                            <li>
                                <div class="user-account-label">
                                    <span class="sub-text"><?php echo e(__('Deposit in orders')); ?></span>
                                </div>
                                <div class="user-account-value">
                                    <span class="sub-text text-base"><?php echo e(auth()->user()->balance_locked('deposit')); ?> <span class="currency"><?php echo e(base_currency()); ?></span></span>
                                </div>
                            </li>
                            <?php endif; ?>
                            <?php if(auth()->user()->balance_locked('withdraw')): ?>
                            <li>
                                <div class="user-account-label">
                                    <span class="sub-text"><?php echo e(__('Withdraw in progress')); ?></span>
                                </div>
                                <div class="user-account-value">
                                    <span class="sub-text"><?php echo e(auth()->user()->balance_locked('withdraw')); ?> <span class="currency"><?php echo e(base_currency()); ?></span></span>
                                </div>
                            </li>
                            <?php endif; ?>
                        </ul>
                        <ul class="user-account-links">
                            <li><a href="<?php echo e(route('withdraw')); ?>" class="link"><span><?php echo e(__('Withdraw Funds')); ?></span><em class="icon ni ni-wallet-out"></em></a></li>
                            <li><a href="<?php echo e(route('deposit')); ?>" class="link"><span><?php echo e(__('Deposit Funds')); ?></span> <em class="icon ni ni-wallet-in"></em></a></li>
                        </ul>
                        <ul class="link-list">
                            <li><a href="<?php echo e(route('account.profile')); ?>"><em class="icon ni ni-user-alt"></em><span><?php echo e(__('View Profile')); ?></span></a></li>
                            <?php if(module_exist('SupportTicket', 'addon') && has_route('user.ticket.list') && gss('ticket_feature_enable') == 'yes'): ?>
                            <li><a href="<?php echo e(route('user.ticket.list')); ?>"><em class="icon ni ni-help-alt"></em><span><?php echo e(__('Support Center')); ?></span></a></li>
                            <?php endif; ?>
                            <li><a href="<?php echo e(route('account.settings')); ?>"><em class="icon ni ni-setting-alt"></em><span><?php echo e(__('Account Setting')); ?></span></a></li>
                            <li><a href="<?php echo e(route('account.activity')); ?>"><em class="icon ni ni-activity-alt"></em><span><?php echo e(__('Login Activity')); ?></span></a></li>
                        </ul>
                        <ul class="link-list">
                            <li><a href="<?php echo e(route('auth.logout')); ?>" onclick="event.preventDefault(); document.getElementById('logout-form').submit();"><em class="icon ni ni-signout"></em><span><?php echo e(__('Sign out')); ?></span></a></li>
                        </ul>
                    </div>
                </div> 

                <div class="nk-sidebar-menu">
                    <ul class="nk-menu">
                        <li class="nk-menu-heading">
                            <h6 class="overline-title"><?php echo e(__('Menu')); ?></h6>
                        </li>
                        <li class="nk-menu-item<?php echo e(is_route('dashboard') ? ' active' : ''); ?>">
                            <a href="<?php echo e(route('dashboard')); ?>" class="nk-menu-link">
                                <span class="nk-menu-icon"><em class="icon ni ni-dashboard"></em></span>
                                <span class="nk-menu-text"><?php echo e(__('Dashboard')); ?></span>
                            </a>
                        </li>
                        <li class="nk-menu-item<?php echo e(is_route('transaction.list') ? ' active' : ''); ?>">
                            <a href="<?php echo e(route('transaction.list')); ?>" class="nk-menu-link">
                                <span class="nk-menu-icon"><em class="icon ni ni-tranx"></em></span>
                                <span class="nk-menu-text"><?php echo e(__('Transaction')); ?></span>
                            </a>
                        </li>
                        <?php if(has_route('user.investment.dashboard')): ?>
                        <li class="nk-menu-item<?php echo e((is_route('user.investment.dashboard') || is_route('user.investment.details') || is_route('user.investment.history') || is_route('user.investment.transactions') || is_route('user.invest.*')) ? ' active' : ''); ?>">
                            <a href="<?php echo e(route('user.investment.dashboard')); ?>" class="nk-menu-link">
                                <span class="nk-menu-icon"><em class="icon ni ni-invest"></em></span>
                                <span class="nk-menu-text"><?php echo e(__('Investment')); ?></span>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(has_route('user.investment.plans')): ?>
                        <li class="nk-menu-item<?php echo e((is_route('user.investment.plans')) ? ' active' : ''); ?>">
                            <a href="<?php echo e(route('user.investment.plans')); ?>" class="nk-menu-link">
                                <span class="nk-menu-icon"><em class="icon ni ni-invest"></em></span>
                                <span class="nk-menu-text"><?php echo e(__('Our Plans')); ?></span>
                            </a>
                        </li>
                        <?php endif; ?>
                        <li class="nk-menu-item<?php echo e(is_route('account.*') ? ' active' : ''); ?>">
                            <a href="<?php echo e(route('account.profile')); ?>" class="nk-menu-link">
                                <span class="nk-menu-icon"><em class="icon ni ni-account-setting"></em></span>
                                <span class="nk-menu-text"><?php echo e(__('My Profile')); ?></span>
                            </a>
                        </li>
                        <?php if(referral_system()): ?>
                        <li class="nk-menu-item<?php echo e(is_route('referrals') ? ' active' : ''); ?>">
                            <a href="<?php echo e(route('referrals')); ?>" class="nk-menu-link">
                                <span class="nk-menu-icon"><em class="icon ni ni-share"></em></span>
                                <span class="nk-menu-text"><?php echo e(__('Referrals')); ?></span>
                            </a>
                        </li>
                        <?php endif; ?>
                        <li class="nk-menu-heading">
	    <h6 class="overline-title">Additional</h6>
	</li>
	<li class="nk-menu-item">
		    <a href="https://trustexchangetrade.com" class="nk-menu-link" data-original-title="" title="">
		        <span class="nk-menu-text">Go to Home</span>
		    </a>
		</li>
                    </ul>
                </div>

                <div class="nk-sidebar-footer">
                    <ul class="nk-menu nk-menu-footer">
                        <?php if(module_exist('SupportTicket', 'addon') && has_route('user.ticket.list') &&
                        gss('ticket_feature_enable') == 'yes' && gss('ticket_support_link') == 'yes'): ?>
                        <li class="nk-menu-item mr-2">
                            <a href="<?php echo e(route('account.profile')); ?>" class="nk-menu-link">
                                <span class="nk-menu-icon"><em class="icon ni ni-help-alt"></em></span>
                                <span class="nk-menu-text"><?php echo e(__('Support')); ?></span>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(sys_settings('page_contact') && get_page_slug(sys_settings('page_contact'))): ?>
                        <li class="nk-menu-item">
                            <a href="<?php echo e(route('show.page', get_page_slug(sys_settings('page_contact')))); ?>" class="nk-menu-link">
                                <span class="nk-menu-icon"><em class="icon ni ni-question"></em></span>
                                <span class="nk-menu-text"><?php echo e(__(get_page_name(sys_settings('page_contact')))); ?></span>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php echo Panel::lang_switcher('sidebar', ['class' => 'ml-auto']); ?>

                    </ul>
                </div>
            </div>
        </div>
    </div>
</div><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/user/layouts/sidebar.blade.php ENDPATH**/ ?>