

<?php $__env->startSection('title', __('Registration Complete')); ?>

<?php $__env->startSection('content'); ?>
<div class="card card-bordered">
    <div class="card-inner card-inner-lg">
        <div class="nk-block-head text-center">
            <h4 class="nk-block-title"><?php echo e(__('Verify your email address')); ?></h4>
        </div>
        <div class="nk-block-content text-center">
            <?php echo $__env->make('auth.partials.error', ['class' => 'text-left'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <p><?php echo __('You are almost there! A verification code has been sent to :mail', ['mail' => '<strong>'. $email .'</strong>' ]); ?></p>
            <p><?php echo __("Please check your inbox and enter the verification code below to verify your email address and activate your account."); ?></p>

            <form action="<?php echo e(route('auth.confirm.code')); ?>" method="post" class="form-validate is-alter">
                <div class="form-group">
                    <div class="form-control-wrap">
                        <?php echo csrf_field(); ?>
                        <input type="hidden" name="email" value="<?php echo e($email); ?>">
                        <input type="number" minlength="6" maxlength="6" name="code" class="form-control number-md form-control-lg" placeholder="<?php echo e(__('Enter verification code')); ?>" data-msg-minlength="<?php echo e(__('Minimum :num digit.', ['num' => 6])); ?>" data-msg-maxlength="<?php echo e(__('Maximum :num digit.', ['num' => 6])); ?>" data-msg-number="<?php echo e(__('Enter valid number.')); ?>" data-msg-required="<?php echo e(__('Required.')); ?>" required>
                    </div>
                </div>
                <div class="form-group mt-n1 mb-n2">
                    <ul class="btn-group-vertical align-center">
                        <li class="w-100">
                            <button id="btnconfirm" class="btn btn-lg btn-block btn-primary"><?php echo e(__('Confirm Code')); ?></button>
                        </li>
                    </ul>
                    <div class="note mt-2 text-soft">
                        <p><?php echo __("If the email doesn't arrive soon, check your :spam folder or have us :send.",
                            ['spam' => '<strong>'.__("spam").'</strong>', 'send' => '<a id="resend-email" href="javascript:void(0)" class="link">'.__("send it again").'</a>']); ?></p>
                    </div>
                    <div class="text-center mt-4">
                        <a class="link link-btn" href="<?php echo e(route('welcome')); ?>"><?php echo e(__("Return to Home")); ?></a>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script>
    !(function(App, $) {
        $(document).ready(function() {
            const emrout = "<?php echo e(route('auth.email.resend')); ?>";

            $('#resend-email').on('click', function(e) {
                e.preventDefault();
                $('#btnconfirm').attr('disabled', true).addClass('disabled');
                NioApp.Form.toPost(emrout, {
                    action: 'confirm',
                    mail: "<?php echo e($email); ?>"
                }, {
                    onSuccess: function(res) {
                        if (res.msg) {
                            NioApp.Toast(res.msg, res.type, {
                                position: 'top-right'
                            });
                            $('#btnconfirm').removeAttr('disabled', true).removeClass('disabled');
                        }
                    }
                });
            });
        })
    })(NioApp, jQuery);
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('auth.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/auth/confirm.blade.php ENDPATH**/ ?>