

<?php $__env->startSection('title', __('Invest & Earn')); ?>

<?php

$currency = base_currency();
$default = ($single==true) ? $schemes : $schemes->first();
$fixed = (data_get($default, 'is_fixed', 0)==1) ? 'yes' : 'no';
$minimum = (data_get($default, 'amount')) ? data_get($default, 'amount') : 0;
$maximum = (data_get($default, 'maximum') && $fixed=='no') ? data_get($default, 'maximum') : 0;

?>

<?php $__env->startSection('content'); ?>
<div class="nk-content-body">
    <div class="page-invest wide-xs m-auto" id="iv-ajmco">
        <div class="nk-pps-apps">
            <div class="nk-pps-steps">
                <span class="step active"></span>
                <span class="step"></span>
            </div>
            <div class="nk-pps-title text-center">
                <?php if($single==true): ?>
                <h3 class="title"><?php echo e(__('Invest on :Name Plan', ['name' => data_get($default, 'name')])); ?></h3>
                <p class="caption-text"><?php echo e(__(data_get($default, 'desc'))); ?></p>
                <?php else: ?>
                <h3 class="title"><?php echo e(__('Invest & Earn')); ?></h3>
                <p class="caption-text"><?php echo e(__("We have various investment plans for you.")); ?> <br class="d-none d-sm-block"><?php echo e(__("You can invest daily, weekly or monthly and start earning now.")); ?></p>
                <?php endif; ?>
            </div>
            <form action="<?php echo e(route('user.investment.invest.preview')); ?>" class="nk-pps-form">
                <div class="nk-pps-field form-group">
                    <div class="form-label-group">
                        <label class="form-label"><?php echo e(__('Invested Plan')); ?></label>
                    </div>
                    <input type="hidden" value="<?php echo e(the_hash(data_get($default, 'id'))); ?>" name="scheme" id="iv-invest">
                    <?php if($single==true): ?>
                    <div class="nk-cm-item single">
                        <div class="nk-cm-icon">
                            <em class="icon ni ni-offer"></em>
                        </div>
                        <div class="nk-cm-text">
                            <span class="label fw-medium"><?php echo e(data_get($default, 'plan_name')); ?></span>
                            <span class="desc">
                                <?php echo e(__("Invest for :terms & earn :calc :amount as profit.", [
                                    'terms' => __(data_get($default, 'term_text_alter')),
                                    'calc' => __(data_get($default, 'calc_period')),
                                    'amount' => data_get($default, 'rate_text'),
                                ])); ?>

                            </span>
                        </div>
                    </div>
                    <?php else: ?> 
                    <div class="dropdown nk-pps-dropdown">
                        <a href="javascript:void(0)" class="dropdown-indicator" data-toggle="dropdown" id="iv-invest-scheme">
                            <div class="nk-cm-item">
                                <div class="nk-cm-icon">
                                    <em class="icon ni ni-offer"></em>
                                </div>
                                <div class="nk-cm-text">
                                    <span class="label fw-medium"><?php echo e(data_get($default, 'plan_name')); ?></span>
                                    <span class="desc">
                                        <?php echo e(__("Invest for :terms & earn :calc :amount as profit.", [
                                            'terms' => __(data_get($default, 'term_text_alter')), 
                                            'calc' => __(data_get($default, 'calc_period')),
                                            'amount' => data_get($default, 'rate_text'),
                                        ])); ?>

                                    </span>
                                </div>
                            </div>
                        </a>
                        <div class="dropdown-menu dropdown-menu-auto dropdown-menu-mxh">
                            <ul class="nk-dlist">
                                <?php $__currentLoopData = $schemes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="nk-dlist-item<?php echo e(($loop->first) ? ' selected' : ''); ?>">
                                    <a href="javascript:void(0)" data-plan="<?php echo e(the_hash(data_get($plan, 'id'))); ?>" data-uid="<?php echo e(data_get($plan, 'uid_code')); ?>" data-change="iv-invest" class="nk-dlist-opt iv-plnsw">
                                        <div class="nk-cm-item">
                                            <div class="nk-cm-icon">
                                                <em class="icon ni ni-offer"></em>
                                            </div>
                                            <div class="nk-cm-text">
                                                <span class="label fw-medium"><?php echo e(data_get($plan, 'plan_name')); ?></span>
                                                <span class="desc">
                                                    <?php echo e(__("Invest for :terms & earn :calc :amount as profit.", [
                                                        'terms' => __(data_get($plan, 'term_text_alter')),
                                                        'calc' => __(data_get($plan, 'calc_period')),
                                                        'amount' => data_get($plan, 'rate_text'),
                                                    ])); ?>

                                                </span>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>

                <div class="nk-pps-field form-group">
                    <div class="form-label-group">
                        <label class="form-label iv-invest-lb-amount<?php echo e(($fixed=='yes') ? ' hide' : ''); ?>"><?php echo e(__('Enter Your Amount')); ?></label>
                        <label class="form-label iv-invest-lb-fixed<?php echo e(($fixed=='no') ? ' hide' : ''); ?>"><?php echo e(__('Fixed Investment Amount')); ?></label>
                    </div>
                    <div class="form-control-group">
                        <div class="form-info"><?php echo e(strtoupper($currency)); ?></div>
                        <input type="text" name="amount" class="form-control form-control-lg form-control-number iv-invest-amount bg-white" placeholder="<?php echo e(data_get($default, 'amount')); ?>" value="<?php echo e(($fixed=='yes') ? data_get($default, 'amount') : ''); ?>"<?php echo e(($fixed=='yes') ? ' readonly' : ''); ?>>
                    </div>
                    <div class="form-note-group">
                        <span class="form-note-alt iv-invest-fixed<?php echo e(($fixed=='no') ? ' hide' : ''); ?>">
                            <em><?php echo __('Note: The investment amount is a fixed amount for the selected plan.'); ?></em>
                        </span>
                        <span class="form-note-alt iv-invest-min<?php echo e(($fixed=='yes'||$minimum==0) ? ' hide' : ''); ?>">
                            <span><?php echo __('Minimum: :amount', ['amount' => '<span class="amount">'.money($minimum, $currency).'</span>' ]); ?></span>
                        </span>
                        <span class="form-note-alt iv-invest-max<?php echo e(($fixed=='yes'||$maximum==0) ? ' hide' : ''); ?>">
                            <span><?php echo __('Maximum: :amount', ['amount' => '<span class="amount">'.money($maximum, $currency).'</span>' ]); ?></span>
                        </span>
                    </div>
                </div>
                <div class="nk-pps-field form-group">
                    <div class="form-label-group">
                        <label class="form-label"><?php echo e(__('Payment Account')); ?></label>
                    </div>
                    <div class="form-control-group">
                        <input type="hidden" value="wallet" name="source">
                        <div class="nk-cm-item single">
                            <div class="nk-cm-icon">
                                <em class="icon ni ni-wallet-fill"></em>
                            </div>
                            <div class="nk-cm-text">
                                <span class="label"><?php echo e(__('Main Balance')); ?></span>
                                <span class="desc">
                                    <?php echo e(__('Current Balance: :amount ( :alter )', [
                                        'amount' => money(user_balance(AccType('main')), $currency),
                                        'alter' => money(base_to_secondary(user_balance(AccType('main'))), alter_currency())
                                    ])); ?>

                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="nk-pps-field form-action">
                    <div class="nk-pps-action">
                        <a href="javascript:void(0)" class="btn btn-lg btn-block btn-primary iv-plngs">
                            <span><?php echo e(__('Continue to Invest')); ?></span>
                            <span class="spinner-border spinner-border-sm hide" role="status" aria-hidden="true"></span>
                        </a>
                    </div>
                </div>
                <div class="form-note text-base text-center mb-n1"><?php echo e(__('By continue this, you agree to our investment terms and conditions.')); ?></div>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script type="text/javascript">
    const routes = { confirm: "<?php echo e(route('user.investment.invest.confirm')); ?>" }, plans = <?php echo json_encode($plans, 15, 512) ?>;
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/investment/user/invest.blade.php ENDPATH**/ ?>