<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>" class="js" id="<?php echo e(gui_body()); ?>">

<head>
    <meta charset="utf-8">
    <meta name="author" content="<?php echo e(site_info('author')); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta name="site-token" content="<?php echo e(site_token()); ?>">
    <title><?php echo $__env->yieldContent('title'); ?> | <?php echo e(site_info('name')); ?></title>
    <link rel="shortcut icon" href="<?php echo e(asset('favicon.ico')); ?>">
    <?php $style = (lang_dir() == 'rtl') ? 'apps-admin.rtl' : 'apps-admin'; ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/'.$style.'.css?ver=140')); ?>">
<?php if(sys_settings('ui_theme_skin_admin', 'default') != 'default'): ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/skins/theme-'.sys_settings('ui_theme_skin_admin').'.css?ver=140')); ?>">
<?php endif; ?>
</head>

<body class="nk-body npc-cryptlite npc-admin has-sidebar<?php echo e(dark_theme('active')); ?>"<?php echo lang_dir() == 'rtl' ? ' dir="rtl"' : ''; ?> data-theme="<?php echo e(dark_theme('mode')); ?>">
<div class="nk-app-root">

    <div class="nk-main ">

        <?php echo $__env->make('admin.layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <div class="nk-wrap <?php echo $__env->yieldContent('has-content-sidebar'); ?>">

            <?php echo $__env->make('admin.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <?php echo $__env->yieldContent('content-sidebar'); ?>

            <div class="nk-content <?php echo $__env->yieldContent('fullsceen-class'); ?>">
                <div class="container-fluid <?php echo $__env->yieldContent('fullsceen-class'); ?>">

                    <?php echo $__env->make('misc.message-admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <?php echo $__env->make('misc.notices', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                    <?php echo $__env->yieldContent('content'); ?>

                </div>
            </div>

            <?php echo $__env->make('admin.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        </div>
    </div>
</div>

<?php echo $__env->yieldPushContent('modal'); ?>

<?php if(dark_theme('exist') && dark_theme('css')): ?>
    <style type="text/css"><?php echo dark_theme('css'); ?></style>
<?php endif; ?>
<script type="text/javascript">
    const msgwng = "<?php echo e(__("Sorry, something went wrong!")); ?>", msgunp = "<?php echo e(__("Unable to process your request.")); ?>", upreference = "<?php echo e(route('admin.profile.preference')); ?>";
</script>
<script src="<?php echo e(asset('assets/js/bundle.js?ver=140')); ?>"></script>
<script src="<?php echo e(asset('assets/js/app.js?ver=140')); ?>"></script>
<script src="<?php echo e(asset('assets/js/app.admin.js?ver=140')); ?>"></script>
<?php echo $__env->yieldPushContent('scripts'); ?>

</body>
</html>
<?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/admin/layouts/master.blade.php ENDPATH**/ ?>