<?php

use \App\Enums\TransactionCalcType;
use \App\Enums\TransactionStatus;
use \App\Enums\TransactionType;

$base_currency = base_currency();

?>

<div class="nk-odr-item <?php echo e($transaction->status == TransactionStatus::CANCELLED ? 'is-cancelled' : ''); ?>">
    <div class="nk-odr-col">
        <div class="nk-odr-info">
            <div class="nk-odr-badge">
                <?php echo tnx_type_icon($transaction, 'odr-icon'); ?>

            </div>
            <div class="nk-odr-data">
                <div class="nk-odr-label">
                    <strong class="ellipsis">
                        <?php if($transaction->type == TransactionType::TRANSFER): ?>
                            <?php echo e(($transaction->calc == TransactionCalcType::DEBIT) ? __("Send Funds") : __("Receive Funds")); ?>

                        <?php else: ?>
                            <?php echo e(__(trans_replace($transaction->description))); ?>

                        <?php endif; ?>
                    </strong>
                </div>
                <div class="nk-odr-meta">
                    <span class="date"><?php echo e(($transaction->status == TransactionStatus::COMPLETED) ? show_date($transaction->completed_at) : show_date($transaction->created_at)); ?></span>
                    <span class="status dot-join<?php echo e($transaction->status == TransactionStatus::CANCELLED ? ' text-danger' : ''); ?>">
                        <?php echo e(__(data_get($transaction->details, 'status'))); ?>

                    </span>
                </div>
            </div>
        </div>
    </div>
    <div class="nk-odr-col nk-odr-col-amount">
        <div class="nk-odr-amount">
            <div class="number-md text-s <?php echo e($transaction->calc == TransactionCalcType::CREDIT ? 'text-success' : 'text-danger'); ?>">
                <?php echo e(($transaction->calc == TransactionCalcType::CREDIT) ? '+' : '-'); ?> <?php echo e(($transaction->calc == TransactionCalcType::CREDIT) ? amount_z($transaction->amount, $base_currency, ['dp' => 'calc']): amount_z($transaction->total, $base_currency, ['dp' => 'calc'])); ?>

                <span class="currency"><?php echo e($base_currency); ?></span>
            </div>
            <div class="number-sm"><?php echo e(($transaction->calc == TransactionCalcType::CREDIT) ? amount_z($transaction->tnx_amount, $transaction->tnx_currency, ['dp' => 'calc']) : amount_z($transaction->tnx_total, $transaction->tnx_currency, ['dp' => 'calc'])); ?> <span class="currency"><?php echo e($transaction->tnx_currency); ?></span></div>
        </div>
    </div>
    <div class="nk-odr-col nk-odr-col-action">
        <div class="nk-odr-action">
            <a class="tnx-details" href="javascript:void(0)" data-tnx="<?php echo e(the_hash($transaction->id)); ?>"><em class="icon ni ni-forward-ios"></em></a>
        </div>
    </div>
</div>
<?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/user/transaction/trans-row.blade.php ENDPATH**/ ?>