<div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
    	<a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
        <div class="modal-body modal-body-md">
        	<?php if($balance): ?>
			<div class="nk-modal-title">
				<h4 class="title mb-3"><?php echo __('Transfer Balance'); ?></h4>
				<p class="caption-text"><?php echo __("You can transfer investment account balance to main account."); ?></p>
			</div>
			<div class="nk-block">
			    <form action="<?php echo e(route('user.investment.payout.proceed')); ?>" method="POST">
			        <div class="row gy-3">
			        	<div class="col-sm-12">
			        		<div class="form-group">
								<label class="form-label"><?php echo e(__('Available Funds')); ?></label>
			                    <div class="form-control-wrap">
			                    	<div class="form-text-hint"><span class="overline-title"><?php echo e(base_currency()); ?></span></div>
			                        <input type="text" value="<?php echo e($balance); ?>" class="form-control form-control-lg" readonly="">
			                    </div>
			                    <div class="form-note">
			                    	<?php echo e(__("Pending or locked amount is not included in available funds.")); ?>

			                    </div>
			                </div>
			        	</div>
			            <div class="col-sm-12">
			        		<div class="form-group">
								<label class="form-label"><?php echo e(__('Amount to Transfer')); ?></label>
			                    <div class="form-control-wrap">
			                    	<div class="form-text-hint"><span class="overline-title"><?php echo e(base_currency()); ?></span></div>
			                        <input type="text" name="amount" value="<?php echo e($balance); ?>" class="form-control form-control-lg">
			                    </div>
			                    <div class="form-note">
			                    	<?php echo e(__("The amount you want to transfer into main account.")); ?>

			                    </div>
			                </div>
			        	</div>
			        </div>
			        <ul class="align-center flex-nowrap gx-2 pt-4 pb-2">
			            <li>
			                <button type="button" class="btn btn-lg btn-primary iv-payout-proceed" data-confirm="transfer"><?php echo e(__('Transfer Now')); ?></button>
			            </li>
			            <li>
			                <button data-dismiss="modal" type="button" class="btn btn-trans btn-light"><?php echo e(__('Cancel')); ?></button>
			            </li>
			        </ul>
			        <div class="divider md stretched"></div>
			        <div class="notes mb-n2">
			            <ul>
			                <li class="alert-note is-plain text-primary">
			                    <em class="icon ni ni-info"></em>
			                    <p><?php echo e(__("The amount will immediately transfer into your main account so you can withdraw funds or re-investment.")); ?></p>
			                </li>
			            </ul>
			        </div>
			    </form>
			</div>
			<?php else: ?> 
			<div class="nk-modal modal-body-sm text-center">
                <em class="nk-modal-icon icon icon-circle icon-circle-xxl ni ni-alert bg-warning"></em>
                <h4 class="nk-modal-title title"><?php echo e(__("Oops, insufficient balance")); ?></h4>
                <div class="nk-modal-text">
                    <p class="caption-text"><?php echo e(__("You do not have enough funds in your investment account. Try again, once funds available.")); ?></p>
                </div>
                <div class="nk-modal-action-lg">
                    <ul class="btn-group gx-4">
                        <li><a href="#" data-dismiss="modal" class="btn btn-lg btn-mw btn-light"><?php echo e(__("Return")); ?></a></li>
                    </ul>
                </div>
            </div>
			<?php endif; ?>
        </div>
    </div>
</div><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/investment/user/misc/modal-payout.blade.php ENDPATH**/ ?>