<?php

use Carbon\Carbon;

$news_class = (isset($attr['class']) && !empty($attr['class'])) ? ' '.$attr['class'] : '';

$news_enable = sys_settings('header_notice_show');
$news_valid = true;

$news_title = sys_settings('header_notice_title');
$news_text = sys_settings('header_notice_text');
$news_link = sys_settings('header_notice_link');

if (!empty(sys_settings('header_notice_date'))) {
    $now = Carbon::now()->tz(time_zone());
    $expiry = Carbon::parse(sys_settings('header_notice_date'), time_zone());
    $news_valid = ($now->lte($expiry->endOfDay())) ? true : false;
}

?>

<?php if($news_enable == 'yes' && $news_valid && ($news_title || $news_text)): ?>
<div class="nk-news-list">

    <?php if($news_title || $news_text): ?>
        <?php if($news_link): ?> 
            <a class="nk-news-item" target="_blank" href="<?php echo e($news_link); ?>">
        <?php else: ?>
            <span class="nk-news-item">
        <?php endif; ?>

        <div class="nk-news-icon">
            <em class="icon ni ni-card-view"></em>
        </div>

        <div class="nk-news-text">
            <p><?php echo e($news_title); ?>

                <?php if($news_text): ?>
                <span><?php echo e($news_text); ?></span>
                <?php endif; ?>
            </p>
            <?php if($news_link): ?>
            <em class="icon ni ni-external"></em>
            <?php endif; ?>
        </div>

        <?php if($news_link): ?> 
            </a>
        <?php else: ?>
            </span>
        <?php endif; ?>
    <?php endif; ?>

</div>
<?php endif; ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/misc/panel/news.blade.php ENDPATH**/ ?>