

<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="page-dw wide-xs m-auto">
            <div class="nk-pps-apps">
                <div class="nk-pps-title text-center">
                    <h3 class="title"><?php echo e(__('Make Your Payment')); ?></h3>
                    <p class="caption-text"><?php echo __('Your order :orderid has been placed successfully. To complete, please send the exact amount of :amount to the address below.', ['orderid' => '<strong class="text-dark">'.the_tnx(data_get($tranx, 'tnx')).'</strong>', 'amount' => '<strong class="text-dark">'.money($amount, $currency, ['dp' => 'calc']).'</strong>']); ?></p>
                </div>
                <div class="nk-pps-card card card-bordered popup-inside">
                    <div class="card-inner-group">
                        <div class="card-inner card-inner-sm">
                            <div class="card-head mb-0">
                                <h6 class="title mb-0<?php echo e((data_get($payment, 'meta.timeout')) ? '' : ' text-center'); ?>"><?php echo e(__('Pay :wallet', ['wallet' => $currency_name])); ?></h6>
                                <?php if(data_get($payment, 'meta.timeout')): ?>
                                    <div class="card-opt"><span class="counter" data-countdown-second="<?php echo e(((data_get($payment, 'meta.timeout') * 60) - 1)); ?>" data-countdown-text="<?php echo e(__('Expire in')); ?>">-</span></div>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="card-inner">
                            <?php if($qrcode): ?> 
                            <div class="qr-media mx-auto mb-3 w-max-100px">
                                <?php echo NioQR::generate($qrcode, 100); ?>

                            </div>
                            <?php endif; ?>
                            <div class="pay-info text-center">
                                <h5 class="title text-dark mb-0 clipboard-init" data-clipboard-text="<?php echo e(amount($amount, $currency, ['zero' => true, 'dp' => 'calc'])); ?>">
                                    <?php echo e(money($amount, $currency, ['dp' => 'calc'])); ?> <em class="click-to-copy icon ni ni-copy-fill nk-tooltip" title="<?php echo e(__('Click to Copy')); ?>"></em>
                                </h5>
                                <?php if(data_get($payment, 'fiat')!=$currency): ?>
                                    <p class="text-soft"><?php echo e(money(get_fx_rate($currency, data_get($payment, 'fiat'), $amount), data_get($payment, 'fiat'))); ?></p>
                                <?php endif; ?>
                            </div>
                            <?php
                                $network = data_get($method, 'config.wallet.'.$currency) ? data_get($method, 'config.wallet.'.$currency.'.network') : '';
                                $wallet_name = (empty($network) || $network == 'default') ? $currency_name : $currency_name.' ('.__(short_to_full($network)).')';
                            ?>
                            <div class="form-group">
                                <div class="form-label overline-title-alt lg text-center"><?php echo e(__(':wallet Address', ['wallet' => $wallet_name])); ?></div>
                                <div class="form-control-wrap">
                                    <div class="form-clip clipboard-init nk-tooltip" data-clipboard-target="#wallet-address" title="<?php echo e(__('Copy')); ?>">
                                        <em class="click-to-copy icon ni ni-copy"></em>
                                    </div>
                                    <div class="form-icon"><em class="icon ni <?php echo e(currency_symbol($currency, '-alt')); ?>"></em></div>
                                    <input readonly type="text" class="form-control form-control-lg" id="wallet-address" value="<?php echo e(data_get($payment, 'address')); ?>">
                                </div>
                                
                                <?php if(data_get($payment, 'meta.wnote')): ?>
                                <div class="form-note"><?php echo e(__("Note:")); ?> <?php echo e(__(data_get($payment, 'meta.wnote'))); ?></div>
                                <?php endif; ?>

                                <?php if(data_get($payment, 'meta.limit') || data_get($payment, 'meta.price')): ?>
                                    <ul class="pay-info-meta row mt-1 justify-center text-center">
                                        <?php if(data_get($payment, 'meta.limit')): ?>
                                            <li class="col-sm-6"><span class="meta-title"><?php echo e(__('Set Gas Limit:')); ?></span> <?php echo e(data_get($payment, 'meta.limit')); ?></li>
                                        <?php endif; ?>
                                        <?php if(data_get($payment, 'meta.price')): ?>
                                            <li class="col-sm-6"><span class="meta-title"><?php echo e(__('Set Gas Price:')); ?></span> <?php echo e(data_get($payment, 'meta.price')); ?></li>
                                        <?php endif; ?>
                                    </ul>
                                <?php endif; ?>
                            </div>

                            <?php if(data_get($payment, 'meta.ref')=='yes'): ?>
                                <div class="nk-pps-action">
                                    <a href="#crypto-paid" class="btn btn-block btn-primary popup-open"><span><?php echo e(__('Paid :coin', ['coin' => $currency_name])); ?></span></a>
                                </div>
                                <div class="nk-pps-action pt-2 text-center">
                                    <a href="<?php echo e(route('transaction.list')); ?>" class="link link-btn link-primary"><?php echo e(__('Pay Later')); ?></a>
                                </div>
                                <div id="crypto-paid" class="popup">
                                    <div class="popup-content">
                                        <h6 class="mb-2"><?php echo e(__('Confirm your payment')); ?></h6>
                                        <p><?php echo e(__('If you already paid, please provide us your payment reference to speed up verification procces.')); ?></p>
                                        <form class="form" action="<?php echo e(route('user.crypto.wallet.deposit.reference')); ?>" method="POST" id="crypto-pay-reference">
                                            <div class="form-group">
                                                <div class="form-label"><?php echo e(('Payment Reference')); ?> <span class="text-danger">*</span></div>
                                                <div class="form-control-wrap">
                                                    <input name="reference" type="text" class="form-control " value="" placeholder="<?php echo e(__('Enter your reference id / hash')); ?>">
                                                </div>
                                            </div>
                                            <ul class="btn-group justify-between align-center gx-4">
                                                <li><button type="button" id="confirm-payment" class="btn btn-primary btn-block"><?php echo e(__('Confirm Payment')); ?></button></li>
                                                <li><a href="#" class="link link-btn link-secondary popup-close"><?php echo e(__('Close')); ?></a></li>
                                            </ul>
                                            <input type="hidden" name="tnx" value="<?php echo e(the_hash($tranx->tnx)); ?>">
                                            <?php echo csrf_field(); ?>
                                        </form>
                                        <div class="alert-note is-plain mt-4">
                                            <em class="icon ni ni-alert-circle"></em>
                                            <p><?php echo e(__('Account will credited once we confirm that payment has been received.')); ?></p>
                                        </div>
                                    </div>
                                    <div class="popup-overlay"></div>
                                </div>
                            <?php endif; ?>
                        </div>
                        <div class="card-inner bg-lighter">
                            <ul>
                                <li class="alert-note is-plain text-danger">
                                    <em class="icon ni ni-alert-circle"></em>
                                    <p><?php echo e(__('Be aware of that this order will be cancelled, if you send any other :currency amount.', ['currency' => $currency])); ?></p>
                                </li>
                                
                                <?php if($tranx->tnx_fees): ?>
                                <li class="alert-note is-plain">
                                    <em class="icon ni ni-info"></em>
                                    <p><?php echo e(__('A processing fee of :amount included in total payment amount.', ['amount' => money($tranx->tnx_fees, $tranx->tnx_currency, ['dp' => 'calc']) ])); ?></p>
                                </li>
                                <?php endif; ?>

                                <li class="alert-note is-plain">
                                    <em class="icon ni ni-info"></em>
                                    <p><?php echo e(__('Account will credited once we received your payment.')); ?></p>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="nk-pps-action mt-n2">
                    <ul class="btn-group <?php echo e((sys_settings('deposit_cancel_timeout', 0)===0) ? 'justify-center' : 'justify-between'); ?> align-center gy-3">
                        <?php if((sys_settings('deposit_cancel_timeout', 0)!==0)): ?>
                        <li><a href="<?php echo e(route('transaction.action', ['status' => 'cancel', 'tnx' => the_hash($tranx->id)])); ?>" class="link link-danger"><?php echo e(__('Cancel Order')); ?></a></li>
                        <?php endif; ?>
                        <li><a href="<?php echo e(route('dashboard')); ?>" class="link link-primary"><span><?php echo e(__('Back to Dashboard')); ?></span> <em class="icon ni ni-arrow-long-right"></em></a></li>
                    </ul>
                </div>
                <?php $__env->startPush('scripts'); ?>
                    <script>
                        !(function (NioApp) {
                            var data = <?php echo json_encode($payment, 15, 512) ?>,
                                $confirmPayment = $('#confirm-payment');

                            NioApp.BS.tooltip('.nk-tooltip');
                            NioApp.Timer.init();
                            NioApp.Popup();

                            $confirmPayment.on('click', function () {
                                var $form = $(this).closest('form');
                                NioApp.Form.toPost($form.attr('action'), $form.serialize());
                            });
                        })(NioApp);
                    </script>
                <?php $__env->stopPush(); ?>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/niomodules/CryptoWallet/Views/payment-address.blade.php ENDPATH**/ ?>