<?php 

$type = isset($type) ? $type : false;
$currency = base_currency();

$card_title = $card_title_tips = $card_sub_title = $card_sub_title_tips = $card_class = '';
$card_cta = isset($attr['cta']) ? $attr['cta'] : false;

$card_id = (isset($attr['id']) && !empty($attr['id'])) ? ' id="'.$attr['id'].'"' : '';
$card_class = (isset($attr['class']) && !empty($attr['class'])) ? ' '.$attr['class'] : '';

if($type=='account') {
    $card_title = __("Available Balance");
    $card_title_tips = __("Main account balance without locked or under progress.");
    $card_sub_title = __("Investment Account");
    $card_sub_title_tips = __("Additional balance in your Investment account.");
}

if($type=='deposit' || $type=='withdraw') {
    $card_title = __("Total :Type", ['type' => __(ucfirst($type)) ]);
    $card_title_tips = __("The total :type amount without under progress.", ['type' => __(ucfirst($type)) ]);
    $card_sub_title = __("This Month");
    $card_sub_title_tips = __("Than last month");
}

?>

<?php if(!empty($type)): ?>
<div class="card card-full card-bordered card-wg on-bottom<?php echo e($card_class); ?>"<?php echo e($card_id); ?>>
    <div class="card-inner">
        <div class="card-title-group">
            <div class="card-title">
                <h5 class="nk-wgacc-title"><?php echo e($card_title); ?></h5>
            </div>
            <?php if($card_title_tips): ?>
            <div class="card-tools">
                <em class="icon ni ni-info fs-13px text-soft nk-tooltip" title="<?php echo e($card_title_tips); ?>"></em>
            </div>
            <?php endif; ?>
        </div>
        <div class="card-amount mt-2 mb-1">
            <span class="amount"><?php echo e(amount($amount['main'], $currency)); ?> <span class="currency"><?php echo e($currency); ?></span></span>
        </div>
        <div class="card-stats">
            <div class="card-stats-group g-2">
                <div class="card-stats-data">
                    <div class="title fw-bold">
                        <?php echo e($card_sub_title); ?>

                        <?php if($type=='account' && $card_sub_title_tips): ?>
                        <em class="icon ni ni-info-fill fs-12px text-soft nk-tooltip" title="<?php echo e($card_sub_title_tips); ?>"></em>
                        <?php endif; ?>
                    </div>
                    <div class="amount fw-bold">
                    <?php if($type=='account'): ?>
                        <?php echo e(amount($amount['sub'], $currency)); ?> <span class="currency fw-normal"><?php echo e($currency); ?></span>
                    <?php else: ?>
                        <?php echo e(amount($amount['sub'], $currency)); ?> <span class="currency fw-normal"><?php echo e($currency); ?></span> 
                        <?php if($card_sub_title_tips): ?>
                            <?php if(abs($percentage)!==0): ?>
                                <span class="change <?php echo e(($percentage > 0) ? 'up' : 'down'); ?> tipinfo" title="<?php echo e($card_sub_title_tips); ?>">
                                    <em class="icon ni ni-arrow-long-<?php echo e(($percentage > 0) ? 'up' : 'down'); ?>"></em><?php echo e(abs($percentage)); ?>%
                                </span>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                    </div>
                </div>
            </div>
            <div class="card-stats-ck sm">
                
            </div>
        </div>
        <?php if($type=='account' &&  $card_cta==true): ?>
        <div class="card-action d-md-none">
            <ul class="nk-block-tools g-3 flex-wrap flex-sm-nowrap">
                <li><a href="<?php echo e(route('deposit')); ?>" class="btn btn-primary"><span><?php echo e(__('Deposit')); ?></span> <em class="icon ni ni-arrow-long-right"></em></a></li>
                <li><a href="<?php echo e((gss('invest_earn_redirect', 'default') == 'plan') ? route('user.investment.plans') : route('user.investment.invest')); ?>" class="btn btn-secondary"><span><?php echo e(__('Invest & Earn')); ?></span> <em class="icon ni ni-arrow-long-right d-none d-sm-inline-block"></em></a></li>
                <?php if(module_exist('FundTransfer', 'mod') && feature_enable('transfer')): ?>
                    <li class="w-100"><a href="<?php echo e(route('user.send-funds.show')); ?>" class="link link-primary"><span><?php echo e(__('Send Funds')); ?></span> <em class="icon ni ni-arrow-long-right"></em></a></li>
                <?php endif; ?>
            </ul>
        </div>
        <?php endif; ?>
    </div>
</div>
<?php endif; ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/misc/panel/card-balance.blade.php ENDPATH**/ ?>