<div class="modal-dialog modal-dialog-centered modal-md" role="document">
    <div class="modal-content">
        <a href="javascript:void(0)" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
        <div class="modal-body modal-body-md">
            <h5 class="title nk-modal-title"><?php echo e(__("New User Group")); ?></h5>
            <form action="<?php echo e(route('admin.users.group.save')); ?>" method="POST" class="form-validate is-alter">
                <div class="row gy-4">
                    <div class="col-md-8">
                        <div class="form-group">
                            <label class="form-label" for="group-label"><?php echo e(__("Name of Group")); ?></label>
                            <div class="form-control-wrap">
                                <input type="text" name="group_label" class="form-control" id="group-label" maxlength="190">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label" for="group-color"><?php echo e(__("Color")); ?></label>
                            <select name="group_color" id="group-color" class="form-control form-select form-select-sm" data-placeholder="<?php echo e(__("Please select")); ?>">
                                <option></option>
                                <option value="blue"><?php echo e(__('Blue')); ?></option>
                                <option value="dark"><?php echo e(__('Black')); ?></option>
                                <option value="gray"><?php echo e(__('Gray')); ?></option>
                                <option value="indigo"><?php echo e(__('Indigo')); ?></option>
                                <option value="purple"><?php echo e(__('Purple')); ?></option>
                                <option value="pink"><?php echo e(__('Pink')); ?></option>
                                <option value="orange"><?php echo e(__('Orange')); ?></option>
                                <option value="teal"><?php echo e(__('Teal')); ?></option>
                                <option value="success"><?php echo e(__('Green')); ?></option>
                                <option value="danger"><?php echo e(__('Red')); ?></option>
                                <option value="warning"><?php echo e(__('Yellow')); ?></option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label class="form-label" for="group-desc"><?php echo e(__("Description")); ?></label>
                            <div class="form-control-wrap">
                                <textarea name="group_desc" id="group-desc" class="form-control textarea-sm"></textarea>
                            </div>
                        </div>
                    </div>
                    <div class="col-12">
                        <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                            <li>
                                <button type="button" class="btn btn-primary group-add"><?php echo e(__("Add Group")); ?></button>
                            </li>
                            <li>
                                <a href="javascript:void(0)" data-dismiss="modal" class="link link-light"><?php echo e(__("Cancel")); ?></a>
                            </li>
                        </ul>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
    $('.group-add').on('click', function() {
        let $self = $(this), $form = $self.parents("form"), url = $form.attr("action"), data = $form.serialize();
        if(url) {
            NioApp.Form.toPost(url, data, { btn: $self });
        }
    });
</script>
<?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/admin/user/misc/modal-add-group.blade.php ENDPATH**/ ?>