

<?php 
use \App\Enums\UserStatus as uStatus;
use \App\Enums\UserRoles as uRole;

$isAdmin = (request('state') == 'teams' || is_route('admin.users.administrator')) ? true : false;
$byTypes = (!request('state')) ? false : ucfirst(request('state'));
$pageTitle = ($isAdmin) ? __('Administrator Users') : (($byTypes) ? __(':Type Users', ['type' => $byTypes]) : __('Users List'));

$getRole = request()->get('role');
$getStatus = request()->get('status');
$getRegMethod = request()->get('regMethod');
$getHasBalance = request()->get('hasBalance');
$getEmailVerified = request()->get('emailVerified');
$getReferralJoin = request()->get('referralJoin');

$base_currency = base_currency();
?>

<?php $__env->startSection('title', __($pageTitle)); ?>

<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="nk-block-head nk-block-head-sm">
            <div class="nk-block-between">
                <div class="nk-block-head-content">
                    <h3 class="nk-block-title page-title"><?php echo e($pageTitle); ?></h3>
                    <div class="nk-block-des text-soft">
                        <p><?php echo __('Total :number :type account.', ['number' => '<strong class="text-base">'.$users->total() .'</strong>', 'type' => '<span class="text-base">'.(($isAdmin) ? __(ucfirst('admin')) : __(ucfirst('user'))).'</span>']); ?></p>
                    </div>
                </div>
                <div class="nk-block-head-content">
                    <ul class="nk-block-tools g-3">
                        <li>
                            <a href="<?php echo e(route('admin.users.manage.groups')); ?>" class="btn btn-white btn-dim btn-outline-gray d-none d-sm-inline-flex"><em class="icon ni ni-users-fill"></em><span><?php echo e(__("Manage Groups")); ?></span></a>
                            <a href="<?php echo e(route('admin.users.manage.groups')); ?>" class="btn btn-icon btn-white btn-dim btn-outline-gray d-inline-flex d-sm-none"><em class="icon ni ni-users-fill"></em></a>
                        </li>
                        <li>
                            <div class="dropdown">
                                <a class="btn btn-white btn-dim btn-outline-gray" data-toggle="dropdown"><em class="icon ni ni-download-cloud"></em> <span class="d-none d-sm-inline"><?php echo e(__("Export")); ?></span></a>
                                <div class="dropdown-menu dropdown-menu-xs dropdown-menu-right">
                                    <ul class="link-list-plain">
                                        <li><a href="<?php echo e(route('admin.users.export', ['type' => 'entire'])); ?>" class="export"><?php echo e(__('Entire')); ?></a></li>
                                        <li><a href="<?php echo e(route('admin.users.export', ['type' => 'minimum'])); ?>" class="export"><?php echo e(__('Minimum')); ?></a></li>
                                        <li><a href="<?php echo e(route('admin.users.export', ['type' => 'compact'])); ?>" class="export"><?php echo e(__('Compact')); ?></a></li>
                                    </ul>
                                </div>
                            </div>
                        </li>
                        <li>
                            <a data-toggle="modal" href="#add-new-user" data-toggle="modal" class="btn btn-primary d-none d-sm-inline-flex"><em class="icon ni ni-user-add"></em><span><?php echo e(__("Add User")); ?></span></a>
                            <a data-toggle="modal" href="#add-new-user" data-toggle="modal" class="btn btn-icon btn-primary d-inline-flex d-sm-none"><em class="icon ni ni-user-add"></em></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        
        <div class="nk-block">
            <?php if(filled($users)): ?>
            <div class="card card-bordered card-stretch">
                <div class="card-inner-group">
                    <div class="card-inner position-relative card-tools-toggle">
                        <div class="card-title-group">
                            <div class="card-tools">
                                <div class="form-inline flex-nowrap gx-3">
                                    <div class="form-wrap w-bulk-select">
                                        <select id="actblk" class="form-select form-select-sm" data-search="off">
                                            <option value="0"><?php echo e(__('Bulk Action')); ?></option>
                                            <?php if(request('state')=='inactive'): ?>
                                            <option value="removed"><?php echo e(__('Remove Permanently')); ?></option>
                                            <?php endif; ?>
                                            <option value="locked"<?php echo e((request('state')=='inactive') ? ' disabled' : ''); ?>><?php echo e(__('Mark as Locked')); ?></option>
                                            <option value="suspended"<?php echo e((request('state')=='inactive') ? ' disabled' : ''); ?>><?php echo e(__('Mark as Suspend')); ?></option>
                                            <option value="actived"<?php echo e((request('state')=='inactive') ? ' disabled' : ''); ?>><?php echo e(__('Mark as Active')); ?></option>
                                        </select>
                                    </div>
                                    <div class="btn-wrap">
                                        <span class="d-none d-md-block"><button class="aplyblk btn btn-dim btn-outline-primary disabled" disabled><?php echo e(__('Apply')); ?></button></span>
                                        <span class="d-md-none"><button class="aplyblk btn btn-dim btn-outline-primary btn-icon disabled" disabled><em class="icon ni ni-arrow-right"></em></button></span>
                                    </div>
                                </div>
                            </div>
                            <div class="card-tools mr-n1">
                                <ul class="btn-toolbar gx-1">
                                    <li>
                                        <a href="javascript:void(0)" class="btn btn-icon search-toggle toggle-search" data-target="search"><em class="icon ni ni-search"></em></a>
                                    </li>
                                    <li class="btn-toolbar-sep"></li>
                                    <li>
                                        <div class="toggle-wrap">
                                            <a href="javascript:void(0)" class="btn btn-icon btn-trigger toggle" data-target="cardTools"><em class="icon ni ni-menu-right"></em></a>
                                            <div class="toggle-content" data-content="cardTools">
                                                <ul class="btn-toolbar gx-2">
                                                    <li class="toggle-close">
                                                        <a href="javascript:void(0)" class="btn btn-icon btn-trigger toggle" data-target="cardTools"><em class="icon ni ni-arrow-left"></em></a>
                                                    </li>
                                                    <li>
                                                        <div class="dropdown">
                                                            <a href="javascript:void(0)" class="btn btn-trigger btn-icon dropdown-toggle" data-toggle="dropdown">
                                                                <div class="dot dot-primary"></div>
                                                                <em class="icon ni ni-filter-alt"></em>
                                                            </a>
                                                            </a>
                                                            <div class="filter-wg dropdown-menu dropdown-menu-xl dropdown-menu-right">
                                                                <div class="dropdown-head">
                                                                    <span class="sub-title dropdown-title"><?php echo e(__('Filter Users')); ?></span>
                                                                </div>
                                                                <form action="<?php echo e(route('admin.users')); ?>" method="GET">
                                                                <div class="dropdown-body dropdown-body-rg">
                                                                    <div class="row gx-6 gy-3">
                                                                        <div class="col-6">
                                                                            <div class="custom-control custom-control-sm custom-checkbox">
                                                                                <input type="checkbox" class="custom-control-input" id="hasBalance" name="hasBalance" value="true"<?php echo e(($getHasBalance==true) ? ' checked' : ''); ?>>
                                                                                <label class="custom-control-label" for="hasBalance"> <?php echo e(__('Has Balance')); ?></label>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-6">
                                                                            <div class="custom-control custom-control-sm custom-checkbox">
                                                                                <input type="checkbox" class="custom-control-input" id="email-verified" name="emailVerified" value="true"<?php echo e(($getEmailVerified==true) ? ' checked' : ''); ?>>
                                                                                <label class="custom-control-label" for="email-verified"> <?php echo e(__('Email Verified')); ?></label>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-12">
                                                                            <div class="custom-control custom-control-sm custom-checkbox">
                                                                                <input type="checkbox" class="custom-control-input" id="referral-join" name="referralJoin" value="true"<?php echo e(($getReferralJoin==true) ? ' checked' : ''); ?>>
                                                                                <label class="custom-control-label" for="referral-join"> <?php echo e(__('Referral Join')); ?></label>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-6">
                                                                            <div class="form-group">
                                                                                <label class="overline-title overline-title-alt"><?php echo e(__('Role')); ?></label>
                                                                                <select name="role" class="form-select form-select-sm">
                                                                                    <option value="any">
                                                                                        <?php echo e(__('Any Role')); ?>

                                                                                    </option>
                                                                                    <option value="admin"<?php echo e(($getRole=='admin') ? ' selected' : ''); ?>><?php echo e(__('Admin')); ?></option>
                                                                                    <option value="user"<?php echo e(($getRole=='user') ? ' selected' : ''); ?>><?php echo e(__('User')); ?></option>
                                                                                </select>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-6">
                                                                            <div class="form-group">
                                                                                <label class="overline-title overline-title-alt"><?php echo e(__('Status')); ?></label>
                                                                                <select name="status" class="form-select form-select-sm">
                                                                                    <option value="any"><?php echo e(__('Any Status')); ?></option>
                                                                                    <option value="inactive"<?php echo e(($getStatus=='inactive') ? ' selected' : ''); ?>><?php echo e(__('Inactive')); ?></option>
                                                                                    <option value="active"<?php echo e(($getStatus=='active') ? ' selected' : ''); ?>><?php echo e(__('Active')); ?></option>
                                                                                    <option value="locked"<?php echo e(($getStatus=='locked') ? ' selected' : ''); ?>><?php echo e(__('Locked')); ?></option>
                                                                                    <option value="suspend"<?php echo e(($getStatus=='suspend') ? ' selected' : ''); ?>><?php echo e(__('Suspend')); ?></option>
                                                                                    <option value="deleted"<?php echo e(($getStatus=='deleted') ? ' selected' : ''); ?>><?php echo e(__('Deleted')); ?></option>
                                                                                </select>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-6">
                                                                            <div class="form-group">
                                                                                <label class="overline-title overline-title-alt"><?php echo e(__('Reg. Method')); ?></label>
                                                                                <select name="regMethod" class="form-select form-select-sm">
                                                                                    <option value="any"><?php echo e(__('Any Method')); ?></option>
                                                                                    <option value="direct"<?php echo e(($getRegMethod=='direct') ? ' selected' : ''); ?>><?php echo e(__('By Direct')); ?></option>
                                                                                    <option value="email"<?php echo e(($getRegMethod=='email') ? ' selected' : ''); ?>><?php echo e(__('By Email')); ?></option>
                                                                                    <option value="social"<?php echo e(($getRegMethod=='social') ? ' selected' : ''); ?>><?php echo e(__('By Social')); ?></option>
                                                                                </select>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="dropdown-foot between">
                                                                    <button type="submit" class="btn btn-secondary"><?php echo e(__('Filter')); ?></button>
                                                                    <a href="<?php echo e(route('admin.users')); ?>" class="clickable"><?php echo e(__('Reset Filter')); ?></a>
                                                                </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </li>
                                                    <li>
                                                        <div class="dropdown">
                                                            <a href="javascript:void(0)" class="btn btn-trigger btn-icon dropdown-toggle" data-toggle="dropdown">
                                                                <em class="icon ni ni-setting"></em></a>
                                                            </a>
                                                            <div class="dropdown-menu dropdown-menu-xs dropdown-menu-right">
                                                                <ul class="link-check">
                                                                    <li><span><?php echo e(__('Show')); ?></span></li>
                                                                    <?php $__currentLoopData = config('investorm.pgtn_pr_pg'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <li class="update-meta<?php echo e((user_meta('user_perpage', '10') == $item) ? ' active' : ''); ?>">
                                                                        <a href="#" data-value="<?php echo e($item); ?>" data-meta="perpage" data-type="user"><?php echo e(__(ucfirst($item))); ?></a>
                                                                    </li>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </ul>
                                                                <ul class="link-check">
                                                                    <li><span><?php echo e(__('Order')); ?></span></li>
                                                                    <?php $__currentLoopData = config('investorm.pgtn_order'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <li class="update-meta<?php echo e((user_meta('user_order', 'desc') == $item) ? ' active' : ''); ?>">
                                                                        <a href="#" data-value="<?php echo e($item); ?>" data-meta="order" data-type="user"><?php echo e(__(strtoupper($item))); ?></a>
                                                                    </li>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </ul>
                                                                <ul class="link-check">
                                                                    <li><span><?php echo e(__('Density')); ?></span></li>
                                                                    <?php $__currentLoopData = config('investorm.pgtn_dnsty'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <li class="update-meta<?php echo e((user_meta('user_display', 'regular') == $item) ? ' active' : ''); ?>">
                                                                        <a href="#" data-value="<?php echo e($item); ?>" data-meta="display" data-type="user"><?php echo e(__(ucfirst($item))); ?></a>
                                                                    </li>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </ul>
                                                            </div>
                                                        </div>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="card-search search-wrap<?php echo e((request()->get('query', false)) ? ' active' : ''); ?>" data-search="search">
                            <div class="card-body">
                                <form action="<?php echo e(route('admin.users')); ?>">
                                    <div class="search-content">
                                        <a href="javascript:void(0)" class="search-back btn btn-icon toggle-search<?php echo e((request()->get('query', false)) ? ' active' : ''); ?>" data-target="search"><em class="icon ni ni-arrow-left"></em></a>
                                        <input name="query" type="text" value="<?php echo e(request()->get('query', '')); ?>" class="form-control border-transparent form-focus-none" placeholder="<?php echo e(__('Search by user or email')); ?>">
                                        <button type="submit" class="search-submit btn btn-icon"><em class="icon ni ni-search"></em></button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="card-inner p-0">
                        <div class="nk-tb-list nk-tb-ulist<?php echo e(user_meta('user_display') == 'compact' ? ' is-compact': ''); ?>">
                            <div class="nk-tb-item nk-tb-head">
                                <div class="nk-tb-col nk-tb-col-check">
                                    <div class="custom-control custom-control-sm custom-checkbox notext">
                                        <input type="checkbox" class="custom-control-input qs-checkbox" id="choose-by-all">
                                        <label class="custom-control-label" for="choose-by-all"></label>
                                    </div>
                                </div>
                                <div class="nk-tb-col"><span class="sub-text"><?php echo e(__('User')); ?></span></div>
                                <?php if(!$isAdmin): ?>
                                <div class="nk-tb-col tb-col-md">
                                    <span class="sub-text"><?php echo e(__("Account Balance")); ?> <em class="icon ni ni-info" data-toggle="tooltip" title="<?php echo e(__("Amount without locked")); ?>"></em></span>
                                </div>
                                <?php endif; ?>
                                <div class="nk-tb-col tb-col-sm"><span class="sub-text"><?php echo e(__('Verified')); ?></span></div>
                                <div class="nk-tb-col tb-col-lg"><span class="sub-text"><?php echo e(__('Last Login')); ?></span></div>
                                <div class="nk-tb-col tb-col-md"><span class="sub-text"><?php echo e(__('Status')); ?></span></div>
                                <div class="nk-tb-col nk-tb-col-tools text-right">&nbsp;</div>
                            </div>

                            
                            <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="nk-tb-item">
                                    <div class="nk-tb-col nk-tb-col-check">
                                        <div class="custom-control custom-control-sm custom-checkbox notext">
                                            <input type="checkbox" class="custom-control-input qs-checkbox-i" data-uid="<?php echo e($user->id); ?>" id="qs-checkbox-uid-<?php echo e($user->id); ?>">
                                            <label class="custom-control-label" for="qs-checkbox-uid-<?php echo e($user->id); ?>"></label>
                                        </div>
                                    </div>
                                    <div class="nk-tb-col w-500px">
                                        <a href="<?php echo e((auth()->user()->id == $user->id) ? route('admin.profile.view') : route('admin.users.details', ['id' => $user->id, 'type' => 'personal'])); ?>">
                                            <div class="user-card">
                                                <?php echo user_avatar($user); ?>

                                                <div class="user-info">
                                                    <span class="tb-lead align-center">
                                                        <span class="user-info-name"><?php echo e($user->name); ?></span>
                                                        <span class="dot d-md-none ml-1<?php echo e(css_state($user->status, 'dot')); ?>"></span>
                                                        <?php if($user->role == uRole::SUPER_ADMIN): ?>
                                                        <span class="badge badge-dim badge-danger ml-1"><?php echo e(__("Super Admin")); ?></span>
                                                        <?php endif; ?>
                                                    </span>
                                                    <span><?php echo e(str_protect($user->email)); ?></span>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                    <?php if(!$isAdmin): ?>
                                    <div class="nk-tb-col tb-col-md">
                                        <span class="tb-amount"><?php echo e(money($user->balance(AccType('main')), $base_currency)); ?></span>
                                    </div>
                                    <?php endif; ?>
                                    <div class="nk-tb-col tb-col-sm">
                                        <ul class="list-status">
                                            <li>
                                                <em class="icon ni <?php echo e(data_get($user, 'is_verified') ? 'text-success ni-check-circle' : 'ni-alert-circle'); ?>"></em> 
                                                <span><?php echo e(__('Email')); ?></span>
                                            </li>
                                            <?php if(in_array(data_get($user, 'kyc_status'), ['verified', 'pending', 'reject', 'resubmit'])): ?>
                                            <li>
                                                <?php if(data_get($user, 'kyc_verified') || data_get($user, 'kyc_rejected')): ?>
                                                <em class="icon ni <?php echo e(data_get($user, 'kyc_verified') ? 'text-success ni-check-circle' : 'text-danger ni-cross-circle'); ?>"></em>
                                                <?php else: ?>
                                                <em class="icon ni ni-alert-circle"></em>
                                                <?php endif; ?>
                                                <span><?php echo e(__('KYC')); ?></span>
                                            </li>
                                            <?php endif; ?>
                                        </ul>
                                    </div>
                                    <div class="nk-tb-col tb-col-lg">
                                        <?php if($user->status !== uStatus::INACTIVE): ?>
                                        <span><?php echo !blank($user->last_login) ? $user->last_login->format('j F Y') : '<em class="small">'.__('Not yet').'</em>'; ?></span>
                                        <?php else: ?> 
                                        <span class="small font-italic"><?php echo e(__('Not verified yet')); ?></span>
                                        <?php endif; ?>
                                    </div>
                                    <div class="nk-tb-col tb-col-md w-140px">
                                        <span class="tb-status u-status-<?php echo e($user->id . css_state($user->status, 'text')); ?>"><?php echo e(__(ucfirst($user->status))); ?></span>
                                    </div>
                                    <div class="nk-tb-col nk-tb-col-tools">
                                        <ul class="nk-tb-actions gx-1">
                                            <?php if($user->status !== uStatus::INACTIVE): ?>
                                            <li class="nk-tb-action-hidden">
                                                <a href="<?php echo e((auth()->user()->id == $user->id) ? route('admin.profile.view') : route('admin.users.details', ['id' => $user->id, 'type' => 'personal'])); ?>" class="btn btn-trigger btn-icon" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('View Profile')); ?>">
                                                    <em class="icon ni ni-eye-fill"></em>
                                                </a>
                                            </li>
                                            <?php endif; ?>
                                            <li class="nk-tb-action-hidden">
                                                <a href="javascript:void(0)" class="btn btn-trigger btn-icon send-email" data-uid="<?php echo e($user->id); ?>" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Send Email')); ?>">
                                                    <em class="icon ni ni-mail-fill"></em>
                                                </a>
                                            </li>
                                            <?php if(auth()->user()->id !== $user->id && $user->status !== uStatus::INACTIVE): ?>
                                            <li class="nk-tb-action-hidden u-sw-suspend-<?php echo e($user->id); ?><?php echo e(($user->status == uStatus::SUSPEND) ? ' d-none' : ''); ?>">
                                                <a class="btn btn-trigger btn-icon quick-action" data-action="suspend" data-uid="<?php echo e($user->id); ?>" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Make as Suspend')); ?>">
                                                    <em class="icon ni ni-user-cross-fill"></em>
                                                </a>
                                            </li>
                                            <li class="nk-tb-action-hidden u-sw-active-<?php echo e($user->id); ?><?php echo e(($user->status == uStatus::ACTIVE) ? ' d-none' : ''); ?>">
                                                <a class="btn btn-trigger btn-icon quick-action" data-action="active" data-uid="<?php echo e($user->id); ?>" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Make as Active')); ?>">
                                                    <em class="icon ni ni-user-check-fill"></em>
                                                </a>
                                            </li>
                                            <?php endif; ?>
                                            <li>
                                                <div class="drodown">
                                                    <a href="javascript:void(0)" class="dropdown-toggle btn btn-icon btn-trigger" data-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                                                    <div class="dropdown-menu dropdown-menu-right">
                                                        <ul class="link-list-opt no-bdr">
                                                            <?php if($user->status !== uStatus::INACTIVE): ?>
                                                            <li><a href="<?php echo e((auth()->user()->id == $user->id) ? route('admin.profile.view') : route('admin.users.details', ['id' => $user->id, 'type' => 'personal'])); ?>"><em class="icon ni ni-eye"></em><span><?php echo e((auth()->user()->id == $user->id) ? __('View Profile') : __('View Details')); ?></span></a></li>

                                                            <?php if(!in_array($user->role, [uRole::ADMIN, uRole::SUPER_ADMIN])): ?>
                                                            <li><a href="<?php echo e(route('admin.users.details', ['id' => $user->id, 'type' => 'transactions'])); ?>"><em class="icon ni ni-repeat"></em><span><?php echo e(__('Transaction')); ?></span></a></li>
                                                            <?php endif; ?>

                                                            <?php else: ?>
                                                            <li><a class="quick-action" data-action="verification" data-uid="<?php echo e($user->id); ?>"><em class="icon ni ni-send"></em><span><?php echo e(__('Resend Verification')); ?></span></a></li>
                                                            <li><a class="quick-action" data-action="verifyUser" data-uid="<?php echo e($user->id); ?>"><em class="icon ni ni-check"></em><span><?php echo e(__('Verify User')); ?></span></a></li>
                                                            <?php endif; ?>

                                                            <li class="divider"></li>
                                                            <li><a href="javascript:void(0)" class="send-email" data-uid="<?php echo e($user->id); ?>"><em class="icon ni ni-mail"></em><span><?php echo e(__('Send an Email')); ?></span></a></li>

                                                            <?php if((auth()->user()->id !== $user->id && $user->status !== uStatus::INACTIVE) && !(auth()->user()->role == uRole::ADMIN && $user->role == uRole::SUPER_ADMIN)): ?>
                                                            <li><a class="quick-action" data-action="password" data-uid="<?php echo e($user->id); ?>"><em class="icon ni ni-shield-star"></em><span><?php echo e(__('Reset Password')); ?></span></a></li>
                                                            <li class="u-sw-suspend-<?php echo e($user->id); ?><?php echo e(($user->status == uStatus::SUSPEND) ? ' d-none' : ''); ?>"><a class="quick-action" data-action="suspend" data-uid="<?php echo e($user->id); ?>"><em class="icon ni ni-user-cross"></em><span><?php echo e(__('Suspend User')); ?></span></a></li>
                                                            <li class="u-sw-active-<?php echo e($user->id); ?><?php echo e(($user->status == uStatus::ACTIVE) ? ' d-none' : ''); ?>"><a class="quick-action" data-action="active" data-uid="<?php echo e($user->id); ?>"><em class="icon ni ni-user-check"></em><span><?php echo e(__('Active User')); ?></span></a></li>
                                                            <?php endif; ?>
                                                            <?php if(!in_array($user->role, [uRole::ADMIN, uRole::SUPER_ADMIN])): ?>
                                                            <li><a href="javascript:void(0)" class="assign-user-group" data-uid="<?php echo e($user->id); ?>"><em class="icon ni ni-users"></em><span><?php echo e(__("Assign to Group")); ?></span></a></li>
                                                            <?php endif; ?>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        
                        </div>
                    </div>
                    
                    <div class="card-inner">
                        <div class="nk-block-between-md g-3">
                            <?php echo e($users->appends(request()->all())->links('admin.user.pagination')); ?>

                        </div>
                    </div>
                </div>
            </div>
            <?php else: ?> 
            <div class="card card-bordered text-center">
                <div class="card-inner card-inner-lg py-5">
                    <h4><?php echo e(__("No User Found")); ?></h4>
                    <p><?php echo e(__("We have not found any :status user, you can add new user.", ['status' => $byTypes])); ?></p>
                    <p><a data-toggle="modal" href="#add-new-user" data-toggle="modal" class="btn btn-primary"><em class="icon ni ni-user-add"></em><span><?php echo e(__("Add User")); ?></span></a></p>
                </div>
            </div>
            <?php endif; ?>
        </div>
    
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
<div class="modal fade" role="dialog" id="ajax-modal"></div>


<div class="modal fade" tabindex="-1" role="dialog" id="add-new-user">
    <div class="modal-dialog modal-dialog-centered modal-md" role="document">
        <div class="modal-content">
            <a href="javascript:void(0)" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
            <div class="modal-body modal-body-md">
                <h4 class="title nk-modal-title"><?php echo e(__('Add New User')); ?></h4>
                <form action="<?php echo e(route('admin.users.save')); ?>" method="POST" class="form-validate is-alter">
                    <div class="row gy-4">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-label" for="user-type"><?php echo e(__('User Type')); ?> <span class="text-danger">*</span></label>
                                <select name="role" id="user-type" class="form-select form-select-sm">
                                    <option value="user"><?php echo e(__('Regular User')); ?></option>
                                    <option value="admin"><?php echo e(__('Admin User')); ?></option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-label" for="full-name"><?php echo e(__('Full Name')); ?> <span class="text-danger">*</span></label>
                                <div class="form-control-wrap">
                                    <input type="text" name="name" class="form-control" id="full-name" placeholder="<?php echo e(__('Enter full name')); ?>" required maxlength="190">
                                </div>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-label" for="email"><?php echo e(__('Email Address')); ?> <span class="text-danger">*</span></label>
                                <div class="form-control-wrap">
                                    <input type="email" name="email" autocomplete="off" class="form-control" id="email" placeholder="<?php echo e(__('Enter an email')); ?>" required>
                                </div>
                                <div class="form-note"><?php echo e(__("Email address should be unique.")); ?></div>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-label" for="password"><?php echo e(__('Password')); ?></label>
                                <div class="form-control-wrap">
                                    <input type="password" autocomplete="new-password" name="password" class="form-control" id="password" placeholder="<?php echo e(__('Password')); ?>">
                                </div>
                                <div class="form-note"><?php echo e(__("Generate a password if you leave blank.")); ?></div>
                            </div>
                        </div>

                        <div class="col-6">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" name="verified" class="custom-control-input" id="required-verification">
                                <label class="custom-control-label" for="required-verification"> <?php echo e(__('Required Email Verification')); ?></label>
                            </div>
                        </div>

                        <div class="col-12">
                            <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                                <li>
                                    <button type="button" id="user-add" class="btn btn-lg btn-primary"><?php echo e(__('Add User')); ?></button>
                                </li>
                                <li>
                                    <a href="javascript:void(0)" data-dismiss="modal" class="link link-light"><?php echo e(__('Cancel')); ?></a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


<div class="modal fade" tabindex="-1" role="dialog" id="send-email-user">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <a href="javascript:void(0)" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
            <div class="modal-body modal-body-md">
                <h5 class="title nk-modal-title"><?php echo e(__('Send an Email')); ?></h5>
                <form action="<?php echo e(route('admin.users.send.email')); ?>" method="POST" class="form-validate is-alter">
                    <input type="hidden" name="send_to" value="" id="userid">
                    <div class="row gy-4">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-label" for="email-subject"><?php echo e(__('Email Subject')); ?> <span class="text-danger">*</span></label>
                                <div class="form-control-wrap">
                                    <input type="text" name="subject" class="form-control form-control-lg" id="email-subject" placeholder="<?php echo e(__('Subject')); ?>" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-label" for="greeting"><?php echo e(__('Email Greeting')); ?></label>
                                <div class="form-control-wrap">
                                    <input type="text" name="greeting" class="form-control form-control-lg" id="greeting" placeholder="<?php echo e(__('Hello!')); ?>">
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-label" for="message"><?php echo e(__('Your Message')); ?><span class="text-danger">*</span></label>
                                <div class="form-control-wrap">
                                    <textarea name="message" id="message" class="form-control form-control-lg" placeholder="<?php echo e(__('Write your message')); ?>" required></textarea>
                                </div>
                            </div>
                        </div>

                        <div class="col-12">
                            <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                                <li>
                                    <button type="button" class="btn btn-lg btn-primary u-send-mail">
                                        <span><?php echo e(__('Send Email')); ?></span>
                                        <span class="spinner-border spinner-border-sm hide" role="status" aria-hidden="true"></span>
                                    </button>
                                </li>
                                <li>
                                    <a href="javascript:void(0)" data-dismiss="modal" class="link link-light"><?php echo e(__('Cancel')); ?></a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('scripts'); ?>
<script type="text/javascript">
    const quick_update = "<?php echo e(route('admin.users.action')); ?>", bulk_update = "<?php echo e(route('admin.users.action.bulk')); ?>", updateSetting = "<?php echo e(route('admin.profile.update')); ?>";
    const qmsg = { title: "<?php echo e(__('Are you sure?')); ?>", btn: {cancel: "<?php echo e(__('Cancel')); ?>", confirm: "<?php echo e(__('Confirm')); ?>"}, bulkbtn: {cancel: "<?php echo e(__('No')); ?>", confirm: "<?php echo e(__('Yes')); ?>"}, context: "<?php echo __('Do you want to perform this action?'); ?>", action: {active: "<?php echo __('Do you want to actived the user account?'); ?>", suspend: "<?php echo __('Do you want to suspend the user account?'); ?>", password: "<?php echo __('Do you want to reset the password? Once you confirmed, new password will set into account and the user unable to login using existing password. A confirmation email will send to user after successfully reseted.'); ?>", removed: "<?php echo __('Do you want to remove unverified user accounts? You cannot revert back this action, so please confirm that you want to delete permanently.'); ?>", bulk: "<?php echo __('Do you want to update user profile with this bulk action?'); ?>", verifyUser: "<?php echo __('Do you want to verify this user? Once you verify the user, you can not undo this action.'); ?>"} };

    !(function (App, $) {
        $(document).ready(function() {
            let assignGroup = $('.assign-user-group'), modal = '#ajax-modal';

            assignGroup.on('click', function(e) {
                e.preventDefault();
                let $this = $(this), user_id = $this.data('uid'), url = "<?php echo e(route('admin.users.group.change.show')); ?>", data = { uid: user_id, type: "assign" };
                if (url) {
                    App.Form.toModal(url, data, { modal: $(modal) });
                }
            });
        });
    })(NioApp, jQuery);
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/admin/user/list.blade.php ENDPATH**/ ?>