<?php
$user = auth()->user();

$alert_class = (isset($attr['class']) && !empty($attr['class'])) ? ' '.$attr['class'] : '';
$alert_type = (isset($attr['type']) && !empty($attr['type'])) ? $attr['type'] : '';

$wd_account = (blank($user->accounts) && sys_settings('alert_wd_account')=='on') ? true : false;
$is_profile = (!$user->has_basic && sys_settings('alert_profile_basic')=='on') ? true : false;

$is_email_verified = auth()->user()->is_verified;

$link_modal = (isset($attr['link_modal']) && !empty($attr['link_modal'])) ? $attr['link_modal'] : false;
$link_modal_verify = (isset($attr['link_modal_verify']) && !empty($attr['link_modal_verify'])) ? $attr['link_modal_verify'] : false;

$kyc_alert = Panel::profile_module_alert('BasicKYC', ['type' => 'warning', 'class' => 'alert-thick alert-plain']);

?>

<?php if(($wd_account || $is_profile || $kyc_alert) && in_array($alert, ['any', 'account', 'profile'])): ?>
<div class="nk-block">
    <?php if($wd_account && in_array($alert, ['any', 'account'])): ?>
    <div class="alert alert-<?php echo e(($alert_type) ? $alert_type : 'warning'); ?> alert-thick<?php echo e($alert_class); ?>">
        <div class="alert-cta flex-wrap flex-md-nowrap g-2">
            <div class="alert-text has-icon">
                <em class="icon ni ni-alert-fill text-<?php echo e(($alert_type) ? $alert_type : 'warning'); ?>"></em>
                <p><?php echo e(__('Add an account that you’d like to receive payment or withdraw fund.')); ?></p>
            </div>
            <div class="alert-actions my-1 my-md-0">
                <a href="<?php echo e(($link_modal) ? $link_modal : route('account.withdraw-accounts')); ?>"<?php echo ($link_modal) ? ' data-toggle="modal"' : ''; ?> class="btn btn-sm btn-<?php echo e(($alert_type) ? $alert_type : 'warning'); ?>"><?php echo e(__('Add Account')); ?></a>
            </div>
        </div>
    </div>
    <?php endif; ?>

    <?php if($is_profile && in_array($alert, ['any', 'profile'])): ?>
    <div class="alert alert-<?php echo e(($alert_type) ? $alert_type : 'primary'); ?> alert-thick<?php echo e($alert_class); ?>">
        <div class="alert-cta flex-wrap flex-md-nowrap g-2">
            <div class="alert-text has-icon">
                <em class="icon ni ni-info-fill text-<?php echo e(($alert_type) ? $alert_type : 'primary'); ?>"></em>
                <p><?php echo e(__('Update your account information from your profile to complete account setup.')); ?></p>
            </div>
            <div class="alert-actions my-1 my-md-0">
                <a href="<?php echo e(($link_modal) ? $link_modal : route('account.profile')); ?>"<?php echo ($link_modal) ? ' data-toggle="modal"' : ''; ?> class="link link-<?php echo e(($alert_type) ? $alert_type : 'primary'); ?>"><?php echo e(__('Update Profile')); ?></a>
            </div>
        </div>
    </div>
    <?php endif; ?>

    <?php echo (!auth()->user()->has_basic && gss('kyc_profile_complete', 'yes') == 'yes') ? '' : $kyc_alert; ?>

</div>
<?php endif; ?>

<?php if(!$is_email_verified && in_array($alert, ['any', 'verify_email'])): ?>
<div class="nk-block">
    <div class="alert alert-<?php echo e(($alert_type) ? $alert_type : 'info'); ?> alert-thick<?php echo e($alert_class); ?>">
        <div class="alert-cta flex-wrap flex-md-nowrap g-2">
            <div class="alert-text has-icon">
                <em class="icon ni ni-alert-fill text-<?php echo e(($alert_type) ? $alert_type : 'info'); ?>"></em>
                <p><strong><?php echo e(__('Please verify your email address to deposit funds or to achieve bonuses.')); ?></strong></p>
            </div>

            <?php if(is_route('account.profile') || is_route('account.settings')): ?>
            <div class="alert-actions my-1 my-md-0">
                <a href="<?php echo e(($link_modal) ? $link_modal : route('account.profile')); ?>"<?php echo ($link_modal) ? ' data-toggle="modal"' : ''; ?> class="btn btn-sm btn-<?php echo e(($alert_type) ? $alert_type : 'info'); ?>"><?php echo e(__('Change Email')); ?></a>
                <a href="<?php echo e(($link_modal_verify) ? $link_modal_verify : route('account.profile')); ?>"<?php echo ($link_modal_verify) ? ' data-toggle="modal"' : ''; ?> class="btn btn-sm btn-<?php echo e(($alert_type) ? $alert_type : 'info'); ?>"><?php echo e(__('Verify Email')); ?></a>
            </div>
            <?php else: ?>
            <div class="alert-actions my-1 my-md-0">
                <a href="<?php echo e(route('account.profile')); ?>" class="btn btn-sm btn-<?php echo e(($alert_type) ? $alert_type : 'info'); ?>"><?php echo e(__('Verify Email')); ?></a>
            </div>
            <?php endif; ?>
        </div>
    </div>
</div>
<?php endif; ?>
<?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/misc/panel/alerts.blade.php ENDPATH**/ ?>