<?php
    $userAccount = $userAccount ?? compact([]);
    $config = data_get($userAccount, 'config');
?>

<div class="modal-dialog modal-dialog-centered modal-md" role="document">
    <div class="modal-content">
        <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
        <div class="modal-body">
            <h4 class="title"><?php echo e(blank($userAccount) ? __('Add New Wallet') : __('Update Wallet')); ?></h4>
            <?php if(blank($userAccount)): ?>
            <p><?php echo e(__('Add your personal wallet to withdraw your funds.')); ?></p>
            <?php else: ?>
            <p><?php echo e(__('Update your personal wallet for future withdraw.')); ?></p>
            <?php endif; ?>
            <div class="divider sm stretched"></div>
            <form action="<?php echo e($action); ?>" method="POST" class="form">
                <div class="row gy-4">
                    <div class="col-12">
                        <div class="row gx-2">
                            <?php if(!blank($currencies)): ?>
                            <div class="col-4">
                                <div class="form-group">
                                    <label class="form-label" for="cwm-wallet-name"><?php echo e(__('Wallet Name')); ?></label>
                                    <div class="form-control-wrap">
                                        <select name="cwm-currency" class="form-select" id="cwm-wallet-name" data-ui="lg"<?php echo e(blank($userAccount) ? '' : ' disabled'); ?>>
                                            <?php if(count($currencies) > 1): ?>
                                                <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($currency); ?>"<?php echo e(($currency==data_get($userAccount, 'config.currency', $default)) ? ' selected' : ''); ?>><?php echo e(get_currency($currency, 'name')); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php else: ?>
                                                <option value="<?php echo e($default); ?>"><?php echo e($default); ?></option>
                                            <?php endif; ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <?php endif; ?>
                            <div class="col-8">
                                <div class="form-group">
                                    <label class="form-label" for="cwm-wallet-address"><?php echo e(__('Wallet Address')); ?> <span class="text-danger">*</span></label>
                                    <div class="form-control-wrap">
                                        <input type="text" name="cwm-address" value="<?php echo e(data_get($userAccount, 'config.wallet')); ?>" class="form-control form-control-lg" id="cwm-wallet-address">
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-note mt-2"><?php echo e(__('You will receive payment on this account in selected currency.')); ?></div>
                            </div>
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="form-group">
                            <label class="form-label" for="cwm-account-label"><?php echo e(__('Label of account')); ?> <span><?php echo e(__('(Optional)')); ?></span></label>
                            <div class="form-control-wrap">
                                <input type="text" name="cwm-label" value="<?php echo e(data_get($userAccount, 'name')); ?>" class="form-control form-control-lg" id="cwm-account-label" placeholder="eg. Personal">
                            </div>
                            <div class="form-note">
                                <?php echo e(__('You can easily identify using this.')); ?> <?php echo e((blank($userAccount)) ? __('The label will auto generate if you leave blank.') : ''); ?><br>
                                <?php echo e((isset($quickAdd) && $quickAdd) ? __('You can view or make changes the account info that saved in your Profile.') : ''); ?>

                            </div>
                        </div>
                    </div>
                    <div class="col-12">
                        <?php echo csrf_field(); ?>
                        <?php if(isset($quickAdd) && $quickAdd): ?>
                            <input type="hidden" name="quick_added" value="yes">
                        <?php endif; ?>
                        <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                            <li>
                                <button type="button" class="btn btn-primary" id="svu-wd-account" data-redirect="<?php echo e((isset($quickAdd) && $quickAdd) ? 'yes' : 'no'); ?>">
                                    <span class="spinner-border spinner-border-sm hide" role="status" aria-hidden="true"></span>
                                    <span><?php echo e(blank($userAccount) ? __('Add Account') : __('Update Account')); ?></span>
                                </button>
                            </li>
                            <?php if(!blank($userAccount)): ?>
                            <li>
                                <a href="javascript:void(0)" id="delete-wd-account" class="link link-btn link-danger" data-url="<?php echo e(route('user.withdraw.account.wd-crypto-wallet.delete', ['id' => the_hash(data_get($userAccount, 'id', 0))])); ?>"><?php echo e(__('Delete')); ?></a>
                            </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
            </form>
            <div class="divider md stretched"></div>
            <p class="small text-info mb-1"><?php echo e(__("Please ensure that you have provide correct address and you have access of that.")); ?></p>
            <p class="small text-danger"><?php echo e(__("Caution: You will lose your funds if your wallet address is wrong or you don't have access.")); ?></p>
        </div>
    </div>
</div>
<?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/niomodules/WdCrypto/Views/account-form.blade.php ENDPATH**/ ?>