

<?php $__env->startSection('title', __('Investment History')); ?>

<?php $__env->startSection('content'); ?>
<div class="nk-content-body">
    <div class="nk-block-head">
        <div class="nk-block-head-sub">
            <a href="<?php echo e(route('user.investment.dashboard')); ?>" class="text-soft back-to"><em class="icon ni ni-arrow-left"> </em><span><?php echo e(__("Investment")); ?></span></a>
        </div>
        <div class="nk-block-between-sm g-4">
            <div class="nk-block-head-content">
                <h2 class="nk-block-title fw-normal"><?php echo e(__("Investment History")); ?></h2>
                <div class="nk-block-des">
                    <p><?php echo e(__("List of your investment plan that you have invested.")); ?></p>
                </div>
            </div>
            <div class="nk-block-head-content">
                <ul class="nk-block-tools gx-3">
                    <li class="order-md-last"><a href="<?php echo e((gss('invest_earn_redirect', 'default') == 'plan') ? route('user.investment.plans') : route('user.investment.invest')); ?>" class="btn btn-primary"><span><?php echo e(__('Invest More')); ?></span> <em class="icon ni ni-arrow-long-right"></em></a></li>
                </ul>
            </div>
        </div>
    </div>

    <ul class="nk-nav nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link<?php echo e(($listing == 'all' || empty($listing)) ? ' active' : ''); ?>" href="<?php echo e(route('user.investment.history')); ?>"><?php echo e(__("History")); ?></a>
        </li>
        <li class="nav-item">
            <a class="nav-link<?php echo e(($listing == 'active') ? ' active' : ''); ?>" href="<?php echo e(route('user.investment.history', 'active')); ?>"><?php echo e(__("Active")); ?> <span class="badge badge-primary"><?php echo e(data_get($investCount, 'active')); ?></span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link<?php echo e(($listing == 'pending') ? ' active' : ''); ?>" href="<?php echo e(route('user.investment.history', 'pending')); ?>"><?php echo e(__("Pending")); ?> <span class="badge badge-primary"><?php echo e(data_get($investCount, 'pending')); ?></span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link<?php echo e(($listing == 'completed') ? ' active' : ''); ?>" href="<?php echo e(route('user.investment.history', 'completed')); ?>"><?php echo e(__("Completed")); ?></a>
        </li>
    </ul>
    <div class="nk-block nk-block-xs">
        <div class="nk-block-head nk-block-head-sm">
            <div class="nk-block-between">
                <div class="nk-block-head-content">
                    <h6 class="nk-block-title"><?php echo e(__("All Plans")); ?></h6>
                </div>
                <ul class="nk-block-tools gx-3">
                    <li>
                        <a href="#" class="search-toggle toggle-search btn btn-icon btn-trigger" data-target="search"><em class="icon ni ni-search"></em></a>
                    </li>
                    <li>
                        <div class="dropdown">
                            <a class="dropdown-toggle btn btn-icon btn-trigger mx-n1" data-toggle="dropdown" data-offset="-8,0"><em class="icon ni ni-setting"></em></a>
                            <div class="dropdown-menu dropdown-menu-xs dropdown-menu-right">
                                <ul class="link-check">
                                    <li><span><?php echo e(__('Show')); ?></span></li>
                                    <?php $__currentLoopData = config('investorm.pgtn_pr_pg'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="update-meta<?php echo e((user_meta('iv_history_perpage', '10') == $item) ? ' active' : ''); ?>">
                                            <a href="#" data-value="<?php echo e($item); ?>" data-meta="perpage" data-type="iv_history"><?php echo e($item); ?></a>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                                <ul class="link-check">
                                    <li><span><?php echo e(__('Density')); ?></span></li>
                                    <?php $__currentLoopData = config('investorm.pgtn_dnsty'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="update-meta<?php echo e((user_meta('iv_history_display', 'regular') == $item) ? ' active' : ''); ?>">
                                            <a href="#" data-value="<?php echo e($item); ?>" data-meta="display" data-type="iv_history"><?php echo e(__(ucfirst($item))); ?></a>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
            <form action="<?php echo e(url()->current()); ?>" method="GET">
                <div class="search-wrap search-wrap-extend bg-lighter<?php echo e((request()->get('query')) ? ' active' : ''); ?>" data-search="search">
                    <div class="search-content">
                        <a href="<?php echo e(url()->current()); ?>" class="search-back btn btn-icon toggle-search" data-target="search"><em class="icon ni ni-arrow-left"></em></a>
                        <input type="text" name="query" value="<?php echo e(request()->get('query')); ?>" class="form-control border-transparent form-focus-none" placeholder="<?php echo e(__("Search by invest id")); ?>">
                        <button class="search-submit btn btn-icon mr-1"><em class="icon ni ni-search"></em></button>
                    </div>
                </div>
            </form>
        </div>

        <?php if(filled($investments)): ?>
            <div class="card card-bordered card-stretch">
                <table class="table table-plans<?php echo e(user_meta('iv_history_display') != 'compact' ? ' table-lg': ''); ?>">
                    <thead class="thead-white">
                        <tr>
                            <th class="tb-col fw-normal text-soft"><?php echo e(__("ID")); ?></th>
                            <th class="tb-col fw-normal text-soft tb-col-sm"><?php echo e(__("Plan")); ?></th>
                            <th class="tb-col fw-normal text-soft tb-col-lg"><?php echo e(__("Date")); ?></th>
                            <th class="tb-col fw-normal text-soft"><?php echo e(__("Invested")); ?></th>
                            <th class="tb-col fw-normal text-soft tb-col-md"><?php echo e(__("Received")); ?></th>
                            <th class="tb-col fw-normal text-soft tb-col-mb"><?php echo e(__("Status")); ?></th>
                            <th class="tb-col fw-normal text-soft tb-col-end align-middle">&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $investments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $invest): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td class="tb-col"><a href="<?php echo e(route('user.investment.details', ['id' => the_hash($invest->id)])); ?>" class="text-secondary fw-bold"><?php echo e(the_inv(data_get($invest, 'ivx'))); ?></a></td>
                            <td class="tb-col tb-col-sm"><?php echo e(data_get($invest, 'scheme.name')); ?></td>
                            <td class="tb-col tb-col-lg"><?php echo e(show_date(data_get($invest, 'term_start'), true)); ?></td>
                            <td class="tb-col"><?php echo e(money(data_get($invest, 'amount'), data_get($invest, 'currency'))); ?></td>
                            <td class="tb-col tb-col-md"><?php echo e(money(data_get($invest, 'received'), data_get($invest, 'currency'))); ?></td>
                            <td class="tb-col tb-col-mb">
                                <span class="badge badge-dim <?php echo e(the_state(data_get($invest, 'status'), ['prefix' => 'badge'])); ?>"><?php echo e(__(ucfirst(data_get($invest, 'status')))); ?></span>
                            </td>
                            <td class="tb-col tb-col-end p-1 align-middle">
                                <a class="btn btn-icon btn-sm btn-round btn-trans" href="<?php echo e(route('user.investment.details', ['id' => the_hash($invest->id)])); ?>"><em class="icon ni ni-chevron-right"></em></a>
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
            <?php if(filled($investments) && $investments->hasPages()): ?>
            <div class="card-inner pt-3 pb-3">
                <?php echo e($investments->appends(request()->all())->links('misc.pagination')); ?>

            </div>
            <?php endif; ?>
        <?php else: ?>
            <div class="alert alert-primary">
                <div class="alert-cta flex-wrap flex-md-nowrap">
                    <div class="alert-text">
                        <p><?php echo e(__('No investment plan found.')); ?></p>
                    </div>
                </div>
            </div>
        <?php endif; ?>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
<div class="modal fade" role="dialog" id="ajax-modal"></div>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/investment/user/history.blade.php ENDPATH**/ ?>