<?php
    $class = (isset($class) && !empty($class)) ? ' '.$class : '';
    $btnClass = (isset($button) && !empty($button)) ? $button : 'btn-light';
?>

<?php if(is_null(data_get($scheme, 'type'))): ?>
<div class="pricing card card-shadow h-100 round-lg text-center<?php echo e($class); ?>">
    <div class="card-inner card-inner-lg h-100 d-flex flex-column">
        <h5 class="pricing-title"><?php echo e(data_get($scheme, 'name')); ?></h5>
        <span class="fs-20px"><?php echo e(data_get($scheme, 'total_return')); ?>% <?php echo e(__("ROI")); ?></span>
        <div class="pricing-parcent">
            <h3 class="percent"><?php echo e(data_get($scheme, 'rate_text')); ?></h3>
            <h5 class="text"><?php echo e(__(data_get($scheme, 'calc_period'))); ?></h5>
        </div>
        <ul class="pricing-feature">
            <li>
                <span><?php echo e(__("Investment Period")); ?></span>
                <span><?php echo e(__(data_get($scheme, 'term_text_alter'))); ?></span>
            </li>
            <li>
                <span><?php echo e(__("Investments")); ?></span>
                <?php if(data_get($scheme, 'is_fixed')): ?>
                <span><?php echo e(money(data_get($scheme, 'amount'), base_currency())); ?></span>
                <?php else: ?>
                <span><?php echo e(money(data_get($scheme, 'amount'),  base_currency())); ?> - <?php echo e(data_get($scheme, 'maximum') ? money(data_get($scheme, 'maximum'),  base_currency()) : __("Unlimited")); ?></span>
                <?php endif; ?>
            </li>
            <?php if(sys_settings('iv_plan_terms_show') == 'yes'): ?>
            <li>
                <span class="label"><?php echo e(__('Term Duration')); ?></span>
                <span class="data"><?php echo e(data_get($scheme, 'term_text_alter')); ?></span>
            </li>
            <?php endif; ?>
            <?php if(sys_settings('iv_plan_payout_show') == 'yes'): ?>
            <li>
                <span class="label"><?php echo e(__('Payout Term')); ?></span>
                <span class="data"><?php echo e(data_get($scheme, 'payout') == 'after_matured' ? __("After matured") : __("Term basis")); ?></span>
            </li>
            <?php endif; ?>
            <?php if(sys_settings('iv_plan_capital_show') == 'yes'): ?>
            <li>
                <span><?php echo e(__("Capital Return")); ?></span>
                <span><?php echo e((data_get($scheme, 'capital') == 1) ? __("End of Term") : __("Each Term")); ?></span>
            </li>
            <?php endif; ?>
        </ul>
        <div class="pricing-action mt-auto">
            <?php if(!auth()->check()): ?>
            <a class="btn <?php echo e($btnClass); ?> btn-lg btn-block" href="<?php echo e(route('auth.register.form')); ?>"><?php echo e(__("Make a deposit")); ?></a>
            <?php else: ?>
            <a class="btn <?php echo e($btnClass); ?> btn-lg btn-block" href="<?php echo e(route('user.investment.invest', data_get($scheme, 'uid_code'))); ?>"><?php echo e(__("Invest Now")); ?></a>
            <?php endif; ?>
        </div>
    </div>
</div>
<?php else: ?>
    <?php if(view()->exists('ExtInvest::frontend.plan-home')): ?>
        <?php echo $__env->make('ExtInvest::frontend.plan-home', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>
<?php endif; ?>
<?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/misc/scheme-card.blade.php ENDPATH**/ ?>