<?php
    $treeCollapse = $treeCollapse ?? true;
    $mainUser = $first ?? false;
    $members  = count(data_get($user, 'referrals', []));
?>

<?php if($mainUser && $members == 0): ?>
    <p class="p-4 border border-light rounded"><span class="icon ni ni-meh fs-22px text-soft"></span><br><?php echo e(__("No one join yet!")); ?></p>
<?php else: ?>
<div class="nk-tree-sb">
    <div class="user-pro-info">
        <?php if($mainUser): ?>
            <?php echo user_avatar($user); ?>

            <div class="user-info">
                <span class="lead-text"><?php echo e($user->name); ?></span>
            </div>
        <?php else: ?>
        <a class="uinfo-pop" href="<?php echo e(route('admin.users.details', ['id' => $user->id, 'type' => 'personal'])); ?>" target="_blank">
            <?php echo user_avatar($user, 'sm'); ?>

            <div class="user-info">
                <span class="lead-text<?php echo e(($user->status!='active') ? css_state($user->status, 'text') : ''); ?>"><?php echo e($user->username); ?></span>
            </div>
        </a>
        <?php endif; ?>

        <?php if(!$mainUser): ?>
        <div class="uinfo-over">
            <div class="user-info">
                <span class="lead-text">
                    <?php echo e($user->name); ?> 
                    <?php if($user->status!='active'): ?> 
                        <span class="ml-1 badge badge-dot<?php echo e(css_state($user->status, 'badge')); ?>">&nbsp;</span>
                    <?php endif; ?>
                </span>
                <span class="sub-text"><?php echo e(the_uid($user->id)); ?> / <?php echo e($user->email); ?></span>
                <span class="sub-text mt-1 lh-4">
                    <?php echo e(__("Joined Date")); ?>: <span><?php echo e(show_date($user->created_at)); ?></span> <br>
                    <?php echo e(__("Total Earned")); ?>:  <span><?php echo e($user->referral_bonus_earned); ?> <?php echo e(base_currency()); ?></span> <br>
                    <?php if($members): ?>
                    <?php echo e(__("Total Referral")); ?>: <span><?php echo e(($members >= 2) ? __(":num Members", ['num' => $members]) : __(":num Member", ['num' => $members])); ?></span>
                    <?php endif; ?>
                </span>
            </div>
        </div>
        <?php endif; ?>

        <?php if($treeCollapse && ($members > 0)): ?>
        <div class="tree-collapse" data-user_id="<?php echo e(data_get($user, 'id')); ?>">
            <em class="icon ni ni-plus-circle-fill"></em>
            <em class="spinner-border spinner-border-sm d-none"></em>
        </div>
        <?php endif; ?>
    </div>
</div>
<?php endif; ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/admin/user/referral-tree/user-info.blade.php ENDPATH**/ ?>