<?php 
use \App\Enums\TransactionType as TType;
use \App\Enums\TransactionCalcType as TCType;

$base_currency = base_currency();

$investments = data_get($user,'allInvested');
$statements = data_get($user,'ivStatements');
?>

<?php $__env->startSection('title', __("Investments")); ?>

<div class="nk-block-head">
    <div class="nk-block-between g-3">
        <div class="nk-block-head-content">
            <h5 class="title"><?php echo e(__('Invested Plans')); ?></h5>
            <p><?php echo e(__('Recent :num invested plans made by user.',['num' => 10])); ?></p>
        </div>
        <div class="nk-block-head-content">
            <a href="<?php echo e(route('admin.investment.list',['user' => the_uid($user->id)])); ?>"><?php echo e(__('View All')); ?></a>
        </div>
    </div>
</div>

<div class="nk-block is-stretch">
    <div class="nk-tb-list nk-tb-ivx<?php echo e(user_meta('iv_invest_display') == 'compact' ? ' is-compact': ''); ?>">
        <div class="nk-tb-item nk-tb-head">
            <div class="nk-tb-col"><span><?php echo e(__('Plan')); ?></span></div>
            <div class="nk-tb-col tb-col-lg"><span><?php echo e(__('Start Date')); ?></span></div>
            <div class="nk-tb-col tb-col-lg"><span><?php echo e(__('End Date')); ?></span></div>
            <div class="nk-tb-col tb-col-lg"><span><?php echo e(__('Investment ID')); ?></span></div>
            <div class="nk-tb-col"><span><?php echo e(__('Amount')); ?></span></div>
            <div class="nk-tb-col tb-col-sm"><span><?php echo e(__('Status')); ?></span></div>
            <div class="nk-tb-col"><span>&nbsp;</span></div>
        </div>

        <?php $__empty_1 = true; $__currentLoopData = $investments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
            <div class="nk-tb-item">
                <div class="nk-tb-col">
                    <div class="align-center">
                        <div class="user-avatar user-avatar-sm bg-light">
                            <span><?php echo e(strtoupper(substr(data_get($plan, 'scheme.short'), 0, 2))); ?></span>
                        </div>
                        <span class="tb-sub ml-2"><?php echo e(data_get($plan, 'scheme.name')); ?> <span class="d-none d-md-inline">- <?php echo e(data_get($plan, 'calc_details_alter')); ?></span></span>
                    </div>
                </div>
                <div class="nk-tb-col tb-col-lg">
                    <span class="tb-sub"><?php echo e(show_date(data_get($plan, 'term_start'), true)); ?></span>
                </div>
                <div class="nk-tb-col tb-col-lg">
                    <span class="tb-sub"><?php echo e(show_date(data_get($plan, 'term_end'), true)); ?></span>
                </div>
                <div class="nk-tb-col tb-col-lg">
                    <span class="tb-sub"><?php echo e(data_get($plan, 'ivx')); ?></span>
                </div>
                <div class="nk-tb-col">
                    <span class="tb-sub tb-amount"><?php echo e(money(data_get($plan, 'amount'), base_currency())); ?></span>
                </div>
                <div class="nk-tb-col tb-col-sm">
                    <?php if(data_get($plan, 'status')=='active'): ?>
                    <div class="progress progress-sm w-100px nk-tooltip" title="<?php echo e(__("Received :amount (:percent)", ['amount' => money(data_get($plan, 'received', 0), base_currency()), 'percent' => data_get($plan, 'progress', 0).'%'])); ?>">
                        <div class="progress-bar" data-progress="<?php echo e(data_get($plan, 'progress', 0)); ?>"></div>
                    </div>
                    <?php else: ?> 
                    <span class="badge badge-dim <?php echo e(the_state(data_get($plan, 'status'), ['prefix' => 'badge'])); ?>"><?php echo e(__(ucfirst(data_get($plan, 'status')))); ?></span>
                    <?php endif; ?>
                </div>
                <div class="nk-tb-col nk-tb-col-action">
                    <a href="<?php echo e(route('admin.investment.details', ['id' => the_hash($plan->id)])); ?>" target="_blank" class="text-soft btn btn-sm btn-icon btn-trigger"><em class="icon ni ni-chevron-right"></em></a>
                </div>    
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
            <div class="nk-tb-item">
                <div class="nk-tb-col"><?php echo e(__('No transactions history found!')); ?></div>
            </div>
        <?php endif; ?>
    </div>
</div>

<div class="nk-block-head">
    <div class="nk-block-between g-3">
        <div class="nk-block-head-content">
            <h5 class="title"><?php echo e(__('Invested Statements')); ?></h5>
            <p><?php echo e(__('Recent :num investment transactions.',['num' => 15])); ?></p>
        </div>
        <div class="nk-block-head-content">
            <a href="<?php echo e(route('admin.investment.transactions.list',['user' => the_uid($user->id)])); ?>"><?php echo e(__('View All')); ?></a>
        </div>
    </div>
</div>

<div class="nk-block is-stretch is-compact">
    <div class="nk-tb-list nk-tb-ivx<?php echo e(user_meta('iv_invest_display') == 'compact' ? ' is-compact': ''); ?>">
        <div class="nk-tb-item nk-tb-head">
            <div class="nk-tb-col"><span><?php echo e(__('Statement ID')); ?></span></div>
            <div class="nk-tb-col tb-col-lg"><span><?php echo e(__('Date & Time')); ?></span></div>
            <div class="nk-tb-col tb-col-lg"><span><?php echo e(__('Details')); ?></span></div>
            <div class="nk-tb-col tb-col-lg"><span><?php echo e(__('Type')); ?></span></div>
            <div class="nk-tb-col text-right"><span><?php echo e(__('Amount')); ?></span></div>
        </div>
        <?php $__empty_1 = true; $__currentLoopData = $statements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
            <div class="nk-tb-item" id="tnx-row-<?php echo e($statement->id); ?>">
                <?php echo $__env->make('investment.admin.statement.transaction-row', ['transaction' => $statement, 'hide_user'=>true], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
            <div class="nk-tb-item">
                <div class="nk-tb-col"><?php echo e(__('No transactions history found!')); ?></div>
            </div>
        <?php endif; ?>
    </div>
</div><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/admin/user/investments.blade.php ENDPATH**/ ?>