

<?php 

use \App\Enums\UserStatus as uStatus;
use \App\Enums\UserRoles as uRole;

$base_currency = base_currency();
?>

<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="nk-block-head nk-block-head-sm">
            <div class="nk-block-between g-3">
                <div class="nk-block-head-content">
                    <h3 class="nk-block-title page-title"><?php echo e(__('User')); ?> / <span class="text-primary small"><?php echo e(__($user->name)); ?></span></h3>
                    <div class="nk-block-des text-soft">
                        <ul class="list-inline">
                            <li><?php echo e(__('User ID:')); ?> <span class="text-base"><?php echo e(the_uid($user->id)); ?></span></li>
                            <li><?php echo e(__('Email:')); ?> <span class="text-base"><?php echo e($user->is_verified ? __('Verified') : __('Pending')); ?></span></li>
                            <li><?php echo e(__('Account Status:')); ?> <span class="text-base"><?php echo e(__(ucfirst($user->status))); ?></span></li>
                        </ul>
                    </div>
                </div>
                <div class="nk-block-head-content">
                    <a href="<?php echo e((in_array($user->role, [uRole::ADMIN, uRole::SUPER_ADMIN])) ? route('admin.users.administrator') : route('admin.users')); ?>" class="btn btn-outline-light bg-white d-none d-sm-inline-flex"><em class="icon ni ni-arrow-left"></em><span><?php echo e(__('Back')); ?></span></a>
                    <a href="<?php echo e((in_array($user->role, [uRole::ADMIN, uRole::SUPER_ADMIN])) ? route('admin.users.administrator') : route('admin.users')); ?>" class="btn btn-icon btn-outline-light bg-white d-inline-flex d-sm-none"><em class="icon ni ni-arrow-left"></em></a>
                </div>
            </div>
        </div>
        
        <div class="nk-block">
            <div class="card card-bordered card-stretch">
                <div class="card-aside-wrap">
                    <div class="card-content">
                        <ul class="nav nav-tabs nav-tabs-mb-icon nav-tabs-card">
                            <li class="nav-item<?php echo e(($type == 'personal') ? ' active' : ''); ?>">
                                <a class="nav-link" href="<?php echo e(route('admin.users.details', ['id' => $user->id, 'type' => 'personal'])); ?>"><em class="icon ni ni-user-circle"></em><span><?php echo e(__('Personal')); ?></span></a>
                            </li>
                            <?php if(!in_array($user->role, [uRole::ADMIN, uRole::SUPER_ADMIN])): ?>
                            <li class="nav-item<?php echo e(($type == 'transactions') ? ' active' : ''); ?>">
                                <a class="nav-link" href="<?php echo e(route('admin.users.details', ['id' => $user->id, 'type' => 'transactions'])); ?>"><em class="icon ni ni-repeat"></em><span><?php echo e(__('Transactions')); ?></span></a>
                            </li>
                            <?php endif; ?>
                            <?php if(!in_array($user->role, [uRole::ADMIN, uRole::SUPER_ADMIN])): ?>
                            <li class="nav-item<?php echo e(($type == 'investments') ? ' active' : ''); ?>">
                                <a class="nav-link" href="<?php echo e(route('admin.users.details', ['id' => $user->id, 'type' => 'investments'])); ?>"><em class="icon ni ni-invest"></em><span><?php echo e(__('Investments')); ?></span></a>
                            </li>
                            <?php endif; ?>
                            <?php if(!in_array($user->role, [uRole::ADMIN, uRole::SUPER_ADMIN])): ?>
                            <li class="nav-item<?php echo e(($type == 'referrals') ? ' active' : ''); ?>">
                                <a class="nav-link" href="<?php echo e(route('admin.users.details', ['id' => $user->id, 'type' => 'referrals'])); ?>"><em class="icon ni ni-users"></em><span><?php echo e(__('Referrals')); ?></span></a>
                            </li>
                            <?php endif; ?>
                            <li class="nav-item<?php echo e(($type == 'activities') ? ' active' : ''); ?>">
                                <a class="nav-link" href="<?php echo e(route('admin.users.details', ['id' => $user->id, 'type' => 'activities'])); ?>"><em class="icon ni ni-activity"></em><span><?php echo e(__('Activities')); ?></span></a>
                            </li>
                            <li class="nav-item nav-item-trigger d-xxl-none">
                                <a href=javascript:void(0) class="toggle btn btn-icon btn-trigger" data-target="userAside"><em class="icon ni ni-user-list-fill"></em></a>
                            </li>
                        </ul>
                        <div class="card-inner">
                            <?php echo $__env->make('admin.user.'.$type, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>
                    <div class="card-aside card-aside-right user-aside toggle-slide toggle-slide-right toggle-break-xxl" data-content="userAside" data-toggle-screen="xxl" data-toggle-overlay="true" data-toggle-body="true">
                        <div class="card-inner-group" data-simplebar>
                            <div class="card-inner">
                                <div class="user-card user-card-s2">
                                    <?php echo user_avatar($user, 'lg'); ?>

                                    <div class="user-info">
                                        <div class="badge badge-pill ucap<?php echo e(($user->role==uRole::SUPER_ADMIN) ? ' badge-dim badge-danger' : ' badge-outline-light'); ?>">
                                            <?php echo e(__(str_replace(['-', '_'], ' ', $user->role))); ?>

                                        </div>
                                        <h5><?php echo e($user->name); ?></h5>
                                        <span class="sub-text"><?php echo e(str_protect($user->email)); ?></span>
                                    </div>
                                </div>
                            </div>
                            <div class="card-inner card-inner-sm">
                                <ul class="btn-toolbar justify-center gx-1">
                                    <li><a href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Send Email')); ?>" class="btn btn-trigger btn-icon send-email" data-uid="<?php echo e($user->id); ?>"><em class="icon ni ni-mail"></em></a></li>
                                    
                                    <?php if(!in_array($user->role, [uRole::ADMIN, uRole::SUPER_ADMIN])): ?>
                                    <li><a href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Assign to Group')); ?>" class="btn btn-trigger btn-icon user-group-action" data-method="changeGroup" data-uid="<?php echo e($user->id); ?>"><em class="icon ni ni-users-fill"></em></a></li>
                                    <?php endif; ?>

                                    <?php if(auth()->user()->id !== $user->id): ?>
                                    <li><a href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Reset Password')); ?>" class="btn btn-trigger btn-icon quick-action" data-action="password" data-uid="<?php echo e($user->id); ?>"><em class="icon ni ni-shield-star"></em></a></li>

                                    <?php if($user->status!=uStatus::LOCKED): ?>
                                    <li><a href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Make as Locked')); ?>" class="btn btn-trigger btn-icon quick-action" data-action="locked" data-reload="1" data-uid="<?php echo e($user->id); ?>"><em class="icon ni ni-shield-off"></em></a></li>
                                    <?php endif; ?>

                                    <?php if($user->status!=uStatus::ACTIVE): ?>
                                    <li><a href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Make as Active')); ?>" class="btn btn-trigger btn-icon quick-action" data-action="active" data-reload="1" data-uid="<?php echo e($user->id); ?>"><em class="icon ni ni-user-check"></em></a></li>
                                    <?php endif; ?>

                                    <?php if($user->status!=uStatus::SUSPEND): ?>
                                    <li><a href="javascript:void(0)" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('Make as Suspend')); ?>" class="btn btn-trigger btn-icon text-danger quick-action" data-action="suspend" data-reload="1" data-uid="<?php echo e($user->id); ?>"><em class="icon ni ni-na"></em></a></li>
                                    <?php endif; ?>

                                    <?php else: ?> 
                                    <li><a href="<?php echo e(route('admin.profile.view')); ?>" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('View My Profile')); ?>" class="btn btn-trigger btn-icon"><em class="icon ni ni-account-setting-alt"></em></a></li>
                                    <?php endif; ?>
                                </ul>
                            </div>
                            <?php if($user->role==uRole::USER): ?>
                            <div class="card-inner">
                                <div class="overline-title-alt mb-2"><?php echo e(__("Main Account")); ?></div>
                                <div class="row">
                                    <div class="col-6">
                                        <div class="profile-stats">
                                            <span class="amount"><?php echo e(money($user->balance(AccType('main')), '')); ?> <small class="currency"><?php echo e($base_currency); ?></small></span>
                                            <span class="sub-text"><?php echo e(__("Available Balance")); ?></span>
                                        </div>
                                    </div>
                                    <div class="col-6">
                                        <div class="profile-stats">
                                            <span class="amount"><?php echo e(money($user->balance('locked_amount'), '')); ?></span>
                                            <span class="sub-text"><?php echo e(__("Locked Amount")); ?></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-inner">
                                <div class="overline-title-alt mb-2"><?php echo e(__("Invested Account")); ?></div>
                                <div class="row">
                                    <div class="col-6">
                                        <div class="profile-stats">
                                            <span class="amount"><?php echo e(money($user->balance(AccType('invest')), '')); ?> <small class="currency"><?php echo e($base_currency); ?></small></span>
                                            <span class="sub-text"><?php echo e(__("Investment Wallet")); ?></span>
                                        </div>
                                    </div>
                                    <div class="col-6">
                                        <div class="profile-stats">
                                            <span class="amount"><?php echo e(money($user->balance('active_invest'), '')); ?></span>
                                            <span class="sub-text"><?php echo e(__("Active Investment")); ?></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php endif; ?>
                            <div class="card-inner">
                                <h6 class="overline-title-alt mb-2"><?php echo e(__('Additional')); ?></h6>
                                <div class="row g-3">
                                    <div class="col-6">
                                        <span class="sub-text"><?php echo e(__('User ID:')); ?></span>
                                        <span><?php echo e(the_uid($user->id)); ?></span>
                                    </div>
                                    <div class="col-6">
                                        <span class="sub-text"><?php echo e(__('Last Login:')); ?></span>
                                        <span><?php echo ($user->last_login) ? show_date($user->last_login) : '<em class="small text-soft">'.__('Not yet').'</em>'; ?></span>
                                    </div>
                                    <div class="col-6">
                                        <span class="sub-text"><?php echo e(__('Email Status:')); ?></span>
                                        <?php if($user->is_verified): ?>
                                            <span class="lead-text text-success"><?php echo e(__('Verified')); ?> <?php if($user->meta('email_verified_by')): ?> <em class="icon ni ni-info" data-toggle="tooltip" title="<?php echo e(__("Verified by Admin")); ?>"></em> <?php endif; ?></span>
                                        <?php else: ?>
                                            <span class="lead-text text-info"><?php echo e(__('Pending')); ?></span>
                                        <?php endif; ?>
                                    </div>
                                    <?php if(in_array(data_get($user, 'kyc_status'), ['verified', 'pending', 'reject', 'resubmit'])): ?>
                                    <div class="col-6">
                                        <span class="sub-text"><?php echo e(__('KYC Status:')); ?></span>
                                        <?php if(data_get($user, 'kyc_verified')): ?>
                                            <span class="lead-text text-success"><?php echo e(__('Verified')); ?></span>
                                        <?php elseif(data_get($user, 'kyc_rejected')): ?>
                                            <span class="lead-text text-danger"><?php echo e(__('Rejected')); ?></span>
                                        <?php else: ?>
                                            <span class="lead-text text-info"><?php echo e(__('Pending')); ?></span>
                                        <?php endif; ?>
                                    </div>
                                    <?php endif; ?>
                                    <div class="col-6">
                                        <span class="sub-text"><?php echo e(__('Register At:')); ?></span>
                                        <span><?php echo e(show_date($user->created_at, true)); ?></span>
                                    </div>
                                </div>
                            </div>
                            <?php if(!in_array($user->role, [uRole::ADMIN, uRole::SUPER_ADMIN]) && !blank($user->user_groups)): ?>
                            <div class="card-inner">
                                <h6 class="overline-title-alt mb-3">Groups</h6>
                                <ul class="g-1">
                                    <?php $__currentLoopData = $user->user_groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $userGroup): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li class="btn-group">
                                        <a class="user-group-action badge text-<?php echo e($userGroup->color); ?>" data-method="removeGroup" data-uid="<?php echo e($user->id); ?>" data-gid="<?php echo e($userGroup->id); ?>" href="javascript:void(0)"><?php echo e(__(ucfirst($userGroup->label))); ?><em class="ml-1 icon ni ni-cross"></em></a>
                                    </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
        
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
<div class="modal fade" role="dialog" id="ajax-modal"></div>


<div class="modal fade" tabindex="-1" role="dialog" id="send-email-user">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <a href="javascript:void(0)" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
            <div class="modal-body modal-body-md">
                <h5 class="title nk-modal-title"><?php echo e(__('Send an Email')); ?></h5>
                <form action="<?php echo e(route('admin.users.send.email')); ?>" method="POST" class="form-validate is-alter">
                    <input type="hidden" name="send_to" value="" id="userid">
                    <div class="row gy-4">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-label" for="email-subject"><?php echo e(__('Email Subject')); ?> <span class="text-danger">*</span></label>
                                <div class="form-control-wrap">
                                    <input type="text" name="subject" class="form-control form-control-lg" id="email-subject" placeholder="<?php echo e(__('Subject')); ?>" required>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-label" for="greeting"><?php echo e(__('Email Greeting')); ?></label>
                                <div class="form-control-wrap">
                                    <input type="text" name="greeting" class="form-control form-control-lg" id="greeting" placeholder="<?php echo e(__('Hello!')); ?>">
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-label" for="message"><?php echo e(__('Your Message')); ?><span class="text-danger">*</span></label>
                                <div class="form-control-wrap">
                                    <textarea name="message" id="message" class="form-control form-control-lg" placeholder="<?php echo e(__('Write your message')); ?>" required></textarea>
                                </div>
                            </div>
                        </div>

                        <div class="col-12">
                            <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                                <li>
                                    <button type="button" class="btn btn-lg btn-primary u-send-mail">
                                        <span><?php echo e(__('Send Email')); ?></span>
                                        <span class="spinner-border spinner-border-sm hide" role="status" aria-hidden="true"></span>
                                    </button>
                                </li>
                                <li>
                                    <a href="javascript:void(0)" data-dismiss="modal" class="link link-light"><?php echo e(__('Cancel')); ?></a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('scripts'); ?>
<script type="text/javascript">
    const quick_update = "<?php echo e(route('admin.users.action')); ?>";
    const qmsg = { title: "<?php echo e(__('Are you sure?')); ?>", btn: {cancel: "<?php echo e(__('Cancel')); ?>", confirm: "<?php echo e(__('Confirm')); ?>"}, context: "<?php echo __('Do you want to perform this action?'); ?>", action: {active: "<?php echo __('Do you want to actived the user account?'); ?>", suspend: "<?php echo __('Do you want to suspend the user account?'); ?>", password: "<?php echo __('Do you want to reset the password? Once you confirmed, new password will set into account and the user unable to login using existing password. A confirmation email will send to user after successfully reseted.'); ?>"} };

    !(function (App, $) {
        $(document).ready(function() {
            const routes = { changeGroup: "<?php echo e(route('admin.users.group.change.show')); ?>", removeGroup: "<?php echo e(route('admin.users.group.remove')); ?>" }, msgs = { removeGroup: { title: "<?php echo e(__('Do you want to remove this user?')); ?>", btn: { cancel: "<?php echo e(__('Cancel')); ?>", confirm: "<?php echo e(__('Remove')); ?>" }, context: "<?php echo __('You cannot revert back this action, so please confirm that you want to remove this user from the group.'); ?>", custom: "danger", type: "warning" } };

            let usrGrpActionBtn = $('.user-group-action'), modal = '#ajax-modal';

            usrGrpActionBtn.on('click', function(e) {
                e.preventDefault();
                let $this = $(this), method = $this.data('method'), user_id = $this.data('uid'), url = routes[method], amsg = msgs[method];
                if (url) {
                    if (method == 'removeGroup' && amsg) {
                        App.Ask(amsg.title, amsg.context, amsg.btn, '', 'info').then(function(confirm) {
                            if(confirm) {
                                let group_id = $this.data('gid'), data = (user_id && group_id) ? { uid: user_id, gid: group_id } : {};
                                App.Form.toAjax(url, data);
                            }
                        });
                    } else {
                        let data = (user_id) ? { uid: user_id, type: 'assign' } : {};
                        App.Form.toModal(url, data, { modal: $(modal) });
                    }
                }
            });
        });
    })(NioApp, jQuery);
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/admin/user/index.blade.php ENDPATH**/ ?>