

<?php $__env->startSection('title', !empty(sys_settings('registration_seo_title')) ? sys_settings('registration_seo_title') : __('Register')); ?>

<?php $__env->startSection('content'); ?>
<div class="card card-bordered">
    <div class="card-inner card-inner-lg">
        <div class="nk-block-head">
            <div class="nk-block-head-content">
                <h4 class="nk-block-title"><?php echo e(__('Create an Account')); ?></h4>
                <div class="nk-block-des mt-2">
                    <?php if($user_counts != 0): ?>
                    <p><?php echo e(__('Sign up with your email and get started with your free account.')); ?></p>
                    <?php endif; ?>
                </div>
                <?php if($user_counts == 0): ?>
                <div class="alert alert-fill alert-primary alert-icon mt-3">
                    <em class="icon ni ni-user"></em> <?php echo e(__("Register a regular admin account first.")); ?>

                </div>
                <?php endif; ?>
            </div>
        </div>
        <?php echo $__env->make('auth.partials.error', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <form action="<?php echo e(route('auth.register')); ?>" autocomplete="off" method="POST" id="registerForm" class="form-validate is-alter" autocomplete="off">
            <div class="form-group">
                <label class="form-label" for="full-name"><?php echo e(__('Full Name')); ?><span class="text-danger"> &nbsp;*</span></label>
                <div class="form-control-wrap">
                    <input type="text" id="full-name" name="name" value="<?php echo e(old('name')); ?>" class="form-control form-control-lg<?php echo e(($errors->has('name')) ? ' error' : ''); ?>" minlength="3" data-msg-required="<?php echo e(__('Required.')); ?>" data-msg-minlength="<?php echo e(__('At least :num chars.', ['num' => 3])); ?>" required>
                </div>
            </div>
            <div class="form-group">
                <label class="form-label" for="email-address"><?php echo e(__('Email Address')); ?><span class="text-danger"> &nbsp;*</span></label>
                <div class="form-control-wrap">
                    <input type="email" id="email-address" name="email" value="<?php echo e(old('email')); ?>" class="form-control form-control-lg<?php echo e(($errors->has('email')) ? ' error' : ''); ?>" autocomplete="off" data-msg-email="<?php echo e(__('Enter a valid email.')); ?>" data-msg-required="<?php echo e(__('Required.')); ?>" required>
                </div>
            </div>
            <div class="form-group">
                <label class="form-label" for="passcode"><?php echo e(__('Password')); ?><span class="text-danger"> &nbsp;*</span></label>
                <div class="form-control-wrap">
                    <a tabindex="-1" href="#" class="form-icon form-icon-right passcode-switch" data-target="passcode">
                        <em class="passcode-icon icon-show icon ni ni-eye-off"></em>
                        <em class="passcode-icon icon-hide icon ni ni-eye"></em>
                    </a>
                    <input name="password" id="passcode" type="password" autocomplete="new-password" class="form-control form-control-lg" minlength="6" data-msg-required="<?php echo e(__('Required.')); ?>" data-msg-minlength="<?php echo e(__('At least :num chars.', ['num' => 6])); ?>" required>
                </div>
            </div>
            <?php if(!empty(sys_settings('signup_form_fields'))): ?>
                <?php if(is_array(sys_settings('signup_form_fields')) && isset(sys_settings('signup_form_fields')['profile_phone']['show']) && sys_settings('signup_form_fields')['profile_phone']['show'] == 'yes'): ?>
                    <div class="form-group">
                        <label class="form-label" for="phone-number"><?php echo e(__('Phone Number')); ?> <?php if(sys_settings('signup_form_fields')['profile_phone']['req'] == 'yes'): ?> <span class="text-danger">&nbsp;*</span> <?php endif; ?></label>
                        <div class="form-control-wrap">
                            <input type="text" name="profile_phone" class="form-control form-control-lg<?php echo e($errors->has('profile_phone') ? ' error' : ''); ?>" id="phone-number" value="<?php echo e(old('profile_phone')); ?>" <?php if(sys_settings('signup_form_fields')['profile_phone']['req'] == 'yes'): ?> required <?php endif; ?>>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if(is_array(sys_settings('signup_form_fields')) && isset(sys_settings('signup_form_fields')['profile_dob']['show']) && sys_settings('signup_form_fields')['profile_dob']['show'] == 'yes'): ?>
                    <div class="form-group">
                        <label class="form-label" for="profile-dob"><?php echo e(__('Date of Birth')); ?> <?php if(sys_settings('signup_form_fields')['profile_dob']['req'] == 'yes'): ?> <span class="text-danger">&nbsp;*</span> <?php endif; ?></label>
                        <div class="form-control-wrap">
                            <input type="text" name="profile_dob" data-date-start-date="-85y" data-date-end-date="-12y" class="form-control form-control-lg date-picker-alt<?php echo e($errors->has('profile_dob') ? ' error' : ''); ?>" id="profile-dob" value="<?php echo e(old('profile_dob')); ?>" <?php if(sys_settings('signup_form_fields')['profile_dob']['req'] == 'yes'): ?> required <?php endif; ?>>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if(is_array(sys_settings('signup_form_fields')) && isset(sys_settings('signup_form_fields')['profile_country']['show']) && sys_settings('signup_form_fields')['profile_country']['show'] == 'yes'): ?>
                    <div class="form-group">
                        <label class="form-label" for="country"><?php echo e(__('Country')); ?> <?php if(sys_settings('signup_form_fields')['profile_country']['req'] == 'yes'): ?> <span class="text-danger">&nbsp;*</span> <?php endif; ?></label>
                        <div class="form-control-wrap">
                            <select name="profile_country" class="form-control form-control-lg form-select <?php echo e($errors->has('profile_country') ? ' error' : ''); ?>" id="country" data-ui="lg" data-placeholder="<?php echo e(__('Please select any country')); ?>" data-search="on" <?php if(sys_settings('signup_form_fields')['profile_country']['req'] == 'yes'): ?> required <?php endif; ?>>
                                <option></option>
                                <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $code => $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($country); ?>"<?php echo e(old('profile_country') == $country ? ' selected' : ''); ?>><?php echo e(config('countries')[$code]); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                <?php endif; ?>
            <?php endif; ?>

            <?php if(referral_system() && in_array(sys_settings('referral_show_info'), ['uname', 'invite']) && $refer_code): ?>
            <div class="form-group">
                <div class="form-control-wrap">
                    <input type="text" value="<?php echo e((sys_settings('referral_show_info')=='uname') ? __("You were invited by :username", ['username' => data_get($refer_user, 'username')]) : __("Referral Code: :id", ['id' => $refer_code])); ?>" class="form-control" autocomplete="off" disabled readonly>
                </div>
            </div>
            <?php endif; ?>

            <?php if($user_counts != 0 && page_status('terms', true)): ?>
            <div class="form-group">
                <div class="custom-control custom-control-xs custom-checkbox">
                    <input type="checkbox" name="confirmation" class="custom-control-input<?php echo e($errors->has('confirmation') ? ' error' : ''); ?>" id="checkbox" data-msg-required=" <?php echo e(__("You should accept our terms.")); ?>" required>
                    <label class="custom-control-label" for="checkbox"><?php echo __('I have agree to the :terms', ['terms' => get_page_link('terms', __("Terms & Condition"), true)]); ?></label>
                </div>
            </div>
            <?php endif; ?>

            <?php if(has_restriction()): ?>
            <div class="text-danger text-center font-italic small mb-1">
                <?php echo 'You are about to register into demo application to see the platform.'; ?>

            </div>
            <?php endif; ?>

            <div class="form-group">
                <?php echo csrf_field(); ?>
                <?php if(has_recaptcha()): ?>
                    <input type="hidden" id="recaptcha" value="" name="recaptcha">
                <?php endif; ?>
                <?php if($user_counts == 0): ?>
                <input type="hidden" name="confirmation" value="on">
                <?php endif; ?>
                <button class="btn btn-lg btn-primary btn-block"><?php echo e(__('Register')); ?></button>
            </div>
        </form>
        <?php if($user_counts > 0): ?>
        <div class="form-note-s2 text-center pt-4">
            <?php echo e(__('Already have an account?')); ?> <a href="<?php echo e(route('auth.login.form')); ?>"><strong><?php echo e(__('Sign in instead')); ?></strong></a>
        </div>
        <?php endif; ?>
        <?php echo $__env->make('auth.partials.social-auth', ['type' => 'signup'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->make('auth.partials.socials', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php if(has_recaptcha()): ?>
<?php $__env->startPush('scripts'); ?>
<script>
    grecaptcha.ready(function() {
        grecaptcha.execute('<?php echo e(recaptcha_key("site")); ?>', {action: 'register'}).then(function(token) {
            document.getElementById('recaptcha').value=token;
        });
    });
</script>
<?php $__env->stopPush(); ?>
<?php endif; ?>

<?php echo $__env->make('auth.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/auth/register.blade.php ENDPATH**/ ?>