

<?php $__env->startSection('title', __(gss('front_page_title', "Welcome"))); ?>
<?php $__env->startSection('desc', gss('seo_description_home', gss('seo_description', ''))); ?>
<?php $__env->startSection('keyword', gss('seo_keyword_home', gss('seo_keyword', ''))); ?>

<?php $__env->startSection('content'); ?>
<?php if(!empty($schemes)): ?>
<section class="section <?php echo e((gss('ui_page_skin', 'dark') == 'dark') ? 'bg-grad-stripe-botttom' : 'bg-lighter pt-5'); ?> py-1">
    <div class="container wide-lg">
        <div class="row justify-content-center g-gs">

            <div class="col-lg-4 order-lg-2">
                <?php echo e(Panel::scheme_card('home', ['class' => 'is-dark', 'button' => 'btn-primary', 'scheme' => $schemes['highlight']])); ?>

            </div>

            <div class="col-lg-4 col-md-6">
                <?php echo e(Panel::scheme_card('home', ['scheme' => $schemes['one']])); ?>

            </div>

            <div class="col-lg-4 col-md-6">
                <?php echo e(Panel::scheme_card('home', ['scheme' => $schemes['two']])); ?>

            </div>

        </div>
    </div>
</section>
<?php endif; ?>

<?php if(gss('front_page_extra', 'on')=='on' && (!auth()->check() || (auth()->check() && auth()->user()->role=='user'))): ?>
<section class="section">
    <div class="container wide-lg">
        <div class="row g-gs">

            <div class="col-lg-8">
                <div class="row g-gs">
                    <?php if(!auth()->check()): ?>
                    <div class="col-sm-6 col-md-4">
                        <div class="card card-shadow text-center h-100">
                            <div class="card-inner">
                                <div class="card-image">
                                    <img src="<?php echo e(asset('images/icon-a.png')); ?>" alt="">
                                </div>
                                <div class="card-text mt-4">
                                    <h6 class="title fs-14px"><?php echo e((gss('extra_step1_title')) ? __(gss('extra_step1_title')) : __("Register your free account")); ?></h6>
                                    <p><?php echo e((gss('extra_step1_text')) ? __(gss('extra_step1_text')) : __("Sign up with your email and get started!")); ?></p>
                                </div>
                            </div>
                            <div class="card-inner py-2 border-top mt-auto">
                                <a class="link" href="<?php echo e(route('auth.register.form')); ?>"><?php echo e(__("Create an account")); ?></a>
                            </div>
                        </div>
                    </div>
                    <?php endif; ?>

                    <div class="<?php echo e((auth()->check()) ? 'col-md-6' : 'col-md-4 col-sm-6'); ?>">
                        <div class="card card-shadow text-center h-100">
                            <div class="card-inner">
                                <div class="card-image">
                                    <img src="<?php echo e(asset('/images/icon-b.png')); ?>" alt="">
                                </div>
                                <div class="card-text mt-4">
                                    <h6 class="title fs-14px"><?php echo e((gss('extra_step2_title')) ? __(gss('extra_step2_title')) : __("Deposit fund and invest")); ?></h6>
                                    <p><?php echo e((gss('extra_step2_text')) ? __(gss('extra_step2_text')) : __("Just top up your balance & select your desired plan.")); ?></p>
                                </div>
                            </div>
                            <div class="card-inner py-2 border-top mt-auto">
                                <?php if(!auth()->check()): ?>
                                <a class="link" href="<?php echo e(route('auth.register.form')); ?>"><?php echo e(__("Make a deposit")); ?></a>
                                <?php else: ?>
                                <a class="link" href="<?php echo e(route('deposit')); ?>"><?php echo e(__("Make a deposit")); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>

                    <div class="<?php echo e((auth()->check()) ? 'col-md-6' : 'col-md-4'); ?>">
                        <div class="card card-shadow text-center h-100">
                            <div class="card-inner">
                                <div class="card-image">
                                    <img src="<?php echo e(asset('/images/icon-c.png')); ?>" alt="">
                                </div>
                                <div class="card-text mt-4">
                                    <h6 class="title fs-14px"><?php echo e((gss('extra_step3_title')) ? __(gss('extra_step3_title')) : __("Payout your profits")); ?></h6>
                                    <p><?php echo e((gss('extra_step3_text')) ? __(gss('extra_step3_text')) : __("Withdraw your funds to your account once earn profit.")); ?></p>
                                </div>
                            </div>
                            <div class="card-inner py-2 border-top mt-auto">
                                <?php if(!auth()->check()): ?>
                                <a class="link" href="<?php echo e(route('auth.register.form')); ?>"><?php echo e(__("Withdraw profits")); ?></a>
                                <?php else: ?>
                                <a class="link" href="<?php echo e(route('withdraw')); ?>"><?php echo e(__("Withdraw profits")); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-4">
                <div class="card card-shadow text-center h-100">
                    <div class="card-inner card-inner-lg my-auto">
                        <div class="card-text my-lg-n2">
                            <h6 class="title fs-14px"><?php echo e((gss('extra_step4_title')) ? __(gss('extra_step4_title')) : __("Payment processors we accept")); ?></h6>
                            <p><?php echo e((gss('extra_step4_text')) ? __(gss('extra_step4_text')) : __("We accept paypal, cryptocurrencies such as Bitcoin, Litecoin, Ethereum more.")); ?></p>
                            <?php
                            $accepted_icons = gss('extra_step4_icons', ['paypal-alt', 'sign-btc', 'sign-eth', 'sign-ltc']);
                            ?>

                            <?php if(!empty($accepted_icons) && is_array($accepted_icons)): ?>
                            <ul class="icon-list icon-bordered icon-rounded mb-3">
                                <?php $__currentLoopData = $accepted_icons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $icon): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><em class="icon ni ni-<?php echo e($icon); ?>"></em></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                            <?php endif; ?>

                            <div class="payment-action">
                                <?php if(!auth()->check()): ?>
                                <a href="<?php echo e(route('auth.register.form')); ?>" class="btn btn-lg btn-primary btn-block"><span class="text-wrap"><?php echo e(__("Join now")); ?> <?php echo e(__("and")); ?> <?php echo e(__("make deposit")); ?></span></a>
                                <?php else: ?>
                                <a class="btn btn-lg btn-primary btn-block" href="<?php echo e(route('deposit')); ?>"><?php echo e(__("Make a deposit")); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php else: ?>
<div class="gap gap-md"></div>
<?php endif; ?>

<?php if(gss('tnx_list_show', 'no') == 'yes'): ?>
<section class="section section-transaction">
    <div class="container wide-lg">
        <div class="row justify-content-between g-gs">
            <?php if(gss('tnx_list_heading') || gss('tnx_list_text')): ?>
            <div class="col-lg-12 text-center">
                <?php if(gss('tnx_list_heading')): ?>
                <h3><?php echo e(__(gss('tnx_list_heading'))); ?></h3>
                <?php endif; ?>
                <?php if(gss('tnx_list_text')): ?>
                <div class="row justify-content-center mt-2">
                    <div class="col-lg-7 text-wrap">
                        <p class="fs-16px"><?php echo e(__(gss('tnx_list_text'))); ?></p>
                    </div>
                </div>
                <?php endif; ?>
            </div>
            <?php endif; ?>
            <?php if(gss('tnx_list_show_dp', 'no') == 'yes' && gss('tnx_list_show', 'no') == 'yes'): ?> 
            <div class="col-lg-<?php echo e((sys_settings('tnx_list_show_wd', 'no') == 'yes' && sys_settings('tnx_list_show_dp', 'no') == 'yes')  ? '6' : '12'); ?>">
                <div class="card card-shadow round-lg text-center">
                    <?php if(gss('tnx_deposit_title')): ?>
                    <div class="card-inner-bg d-flex justify-content-center align-items-center border-bottom">
                        <p class="fs-16px py-2"><strong><?php echo e(__(gss('tnx_deposit_title'))); ?></strong></p>
                    </div>
                    <?php endif; ?>
                    <?php if(filled($deposits)): ?>
                    <div class="nk-odr-list card">
                        <?php $__currentLoopData = $deposits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php echo $__env->make('misc.panel.transaction-list', compact('transaction'), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                    <?php else: ?>
                    <p class="font-italic small text-gray py-2"><?php echo e(__("No transaction available.")); ?></p>
                    <?php endif; ?>
                </div>
            </div>
            <?php endif; ?>
            <?php if(gss('tnx_list_show_wd', 'no') == 'yes' && gss('tnx_list_show', 'no') == 'yes'): ?>
            <div class="col-lg-<?php echo e((sys_settings('tnx_list_show_wd', 'no') == 'yes' && sys_settings('tnx_list_show_dp', 'no') == 'yes')  ? '6' : '12'); ?>">
                <div class="card card-shadow round-lg text-center">
                    <?php if(gss('tnx_withdraw_title')): ?>
                    <div class="card-inner-bg d-flex justify-content-center align-items-center border-bottom">
                        <p class="fs-16px py-2"><strong><?php echo e(__(gss('tnx_withdraw_title'))); ?></strong></p>
                    </div>
                    <?php endif; ?>
                    <?php if(filled($withdrawals)): ?>
                    <div class="nk-odr-list card">
                        <?php $__currentLoopData = $withdrawals; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php echo $__env->make('misc.panel.transaction-list', compact('transaction'), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                    <?php else: ?>
                    <p class="font-italic small text-gray py-2"><?php echo e(__("No transaction available.")); ?></p>
                    <?php endif; ?>
                </div>
            </div>
            <?php endif; ?>
        </div>
    </div>
</section>
<?php else: ?>
<div class="gap gap-md"></div>
<?php endif; ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/frontend/index.blade.php ENDPATH**/ ?>