

<?php $__env->startSection('title', __('Profile Info')); ?>

<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="nk-block-head">
            <div class="nk-block-head-content">
                <h2 class="nk-block-title fw-normal"><?php echo e(__('Profile Info')); ?></h2>
                <div class="nk-block-des">
                    <p><?php echo e(__('You have full control to manage your own account setting.')); ?></p>
                </div>
            </div>
        </div>
        <ul class="nk-nav nav nav-tabs">
            <?php echo $__env->make('user.account.nav-tab', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </ul>
        <div class="nk-block">
            <?php if(session('email-sent')): ?>
                <div class="alert alert-pro alert-success alert-dismissible alert-icon">
                    <em class="icon ni ni-check-circle"></em>
                    <strong><?php echo e(session('email-sent')); ?></strong>
                    <button class="close" data-dismiss="alert"></button>
                </div>
            <?php endif; ?>
            <?php echo Panel::profile_alerts('verify_email', ['class' => 'alert-plain', 'type' => 'info', 'link_modal' => '#change-unverified-email', 'link_modal_verify' => '#send-verification-link']); ?>

            <?php echo Panel::profile_alerts('profile', ['class' => 'alert-plain', 'type' => 'primary', 'link_modal' => '#profile-edit']); ?>

            <div class="nk-block-head">
                <div class="nk-block-head-content">
                    <h5 class="nk-block-title"><?php echo e(__('Personal Information')); ?></h5>
                    <div class="nk-block-des">
                        <p><?php echo e(__('Basic info, like your name and address, that you use on our platform.')); ?></p>
                    </div>
                </div>
            </div>
            
            <div class="card card-bordered">
                <div class="nk-data data-list">
                    <div class="data-item"<?php echo (!profile_lockable()) ? ' data-toggle="modal" data-target="#profile-edit"' : ''; ?>>
                        <div class="data-col">
                            <span class="data-label"><?php echo e(__('Full Name')); ?></span>
                            <span class="data-value"><?php echo e(auth()->user()->name); ?></span>
                        </div>
                        <div class="data-col data-col-end">
                            <span class="data-more<?php echo e((profile_lockable()) ? ' disable' : ''); ?>"><em class="icon ni ni-<?php echo e((profile_lockable()) ? 'lock-alt' : 'forward-ios'); ?>"></em></span>
                        </div>
                    </div>
                    <div class="data-item" data-toggle="modal" data-target="#profile-edit">
                        <div class="data-col">
                            <span class="data-label"><?php echo e(__('Display Name')); ?></span>
                            <span class="data-value"><?php echo e($metas['profile_display_name'] ?? ''); ?></span>
                        </div>
                        <div class="data-col data-col-end"><span class="data-more"><em class="icon ni ni-forward-ios"></em></span></div>
                    </div>
                    <div class="data-item">
                        <div class="data-col">
                            <span class="data-label"><?php echo e(__('Email')); ?></span>
                            <span class="data-value"><?php echo e(auth()->user()->email); ?></span>
                        </div>
                        <div class="data-col data-col-end"><span class="data-more disable"><em class="icon ni ni-lock-alt"></em></span></div>
                    </div>
                    <div class="data-item" data-toggle="modal" data-target="#profile-edit">
                        <div class="data-col">
                            <span class="data-label"><?php echo e(__('Phone Number')); ?></span>
                            <span class="data-value<?php echo e((empty($metas['profile_phone'])) ? ' text-soft font-italic' : ''); ?>">
                                <?php echo e($metas['profile_phone'] ?? __('Not added yet')); ?>

                            </span>
                        </div>
                        <div class="data-col data-col-end"><span class="data-more"><em class="icon ni ni-forward-ios"></em></span></div>
                    </div>
                    <div class="data-item" data-toggle="modal" data-target="#profile-edit">
                        <div class="data-col">
                            <span class="data-label"><?php echo e(__('Telegram')); ?></span>
                            <span class="data-value<?php echo e((empty($metas['profile_telegram'])) ? ' text-soft font-italic' : ''); ?>">
                                <?php echo e(empty($metas['profile_telegram']) ? __('Not added yet') : "@".$metas['profile_telegram']); ?>

                            </span>
                        </div>
                        <div class="data-col data-col-end"><span class="data-more"><em class="icon ni ni-forward-ios"></em></span></div>
                    </div>
                    <div class="data-item"<?php echo (!profile_lockable()) ? ' data-toggle="modal" data-target="#profile-edit"' : ''; ?>>
                        <div class="data-col">
                            <span class="data-label"><?php echo e(__('Gender')); ?></span>
                            <span class="data-value<?php echo e((empty($metas['profile_gender'])) ? ' text-soft font-italic' : ''); ?>">
                                <?php echo e(!empty(data_get($metas, 'profile_gender')) ? __(ucfirst($metas['profile_gender'])) : __('Not added yet')); ?>

                            </span>
                        </div>
                        <div class="data-col data-col-end">
                            <span class="data-more<?php echo e((profile_lockable()) ? ' disable' : ''); ?>"><em class="icon ni ni-<?php echo e((profile_lockable()) ? 'lock-alt' : 'forward-ios'); ?>"></em></span>
                        </div>
                    </div>
                    <div class="data-item"<?php echo (!profile_lockable()) ? ' data-toggle="modal" data-target="#profile-edit"' : ''; ?>>
                        <div class="data-col">
                            <span class="data-label"><?php echo e(__('Date of Birth')); ?></span>
                            <span class="data-value<?php echo e((empty($metas['profile_dob'])) ? ' text-soft font-italic' : ''); ?>">
                                <?php echo e(!empty(data_get($metas, 'profile_dob')) ? show_dob(data_get($metas, 'profile_dob')) : __('Not added yet')); ?>

                            </span>
                        </div>
                        <div class="data-col data-col-end">
                            <span class="data-more<?php echo e((profile_lockable()) ? ' disable' : ''); ?>"><em class="icon ni ni-<?php echo e((profile_lockable()) ? 'lock-alt' : 'forward-ios'); ?>"></em></span>
                        </div>
                    </div>
                    <?php if(!empty($metas['profile_nationality']) && $metas['profile_nationality'] != 'same'): ?>
                    <div class="data-item"<?php echo (!profile_lockable()) ? ' data-toggle="modal" data-target="#profile-edit" data-tab-target="#address"' : ''; ?>>
                        <div class="data-col">
                            <span class="data-label"><?php echo e(__('Nationality')); ?></span>
                            <span class="data-value">
                                <?php echo e($metas['profile_nationality'] ?? ''); ?>

                            </span>
                        </div>
                        <div class="data-col data-col-end">
                            <span class="data-more<?php echo e((profile_lockable()) ? ' disable' : ''); ?>"><em class="icon ni ni-<?php echo e((profile_lockable()) ? 'lock-alt' : 'forward-ios'); ?>"></em></span>
                        </div>
                    </div>
                    <?php endif; ?>
                    <div class="data-item"<?php echo (!profile_lockable()) ? ' data-toggle="modal" data-target="#profile-edit" data-tab-target="#address"' : ''; ?>>
                        <div class="data-col">
                            <span class="data-label"><?php echo e(__('Country')); ?> <em class="icon ni ni-info" data-toggle="tooltip" data-placement="right" title="<?php echo e(__('Your residential country')); ?>"></em></span>
                            <span class="data-value<?php echo e((empty($metas['profile_country'])) ? ' text-soft font-italic' : ''); ?>">
                                <?php echo e(empty($metas['profile_country']) ? __('Not added yet') : $metas['profile_country']); ?>

                            </span>
                        </div>
                        <div class="data-col data-col-end">
                            <span class="data-more<?php echo e((profile_lockable()) ? ' disable' : ''); ?>"><em class="icon ni ni-<?php echo e((profile_lockable()) ? 'lock-alt' : 'forward-ios'); ?>"></em></span>
                        </div>
                    </div>
                    <div class="data-item"<?php echo (!profile_lockable()) ? ' data-toggle="modal" data-target="#profile-edit" data-tab-target="#address"' : ''; ?>>
                        <div class="data-col">
                            <span class="data-label"><?php echo e(__('Address')); ?></span>
                            <span class="data-value">
                                <?php if(address_lines(auth()->user()->meta('addresses'))): ?> 
                                    <?php echo e(address_lines(auth()->user()->meta('addresses'))); ?>

                                <?php else: ?>
                                    <span class="text-soft font-italic"><?php echo e(__('Not added yet')); ?></span>
                                <?php endif; ?>
                            </span>
                        </div>
                        <div class="data-col data-col-end">
                            <span class="data-more<?php echo e((profile_lockable()) ? ' disable' : ''); ?>"><em class="icon ni ni-<?php echo e((profile_lockable()) ? 'lock-alt' : 'forward-ios'); ?>"></em></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
    
    <div class="modal fade" role="dialog" id="profile-edit">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <a href="javascript:void(0)" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
                <div class="modal-body modal-body-md">
                    <h4 class="title"><?php echo e(__('Update Profile')); ?></h4>
                    <ul class="nk-nav nav nav-tabs">
                        <li class="nav-item">
                            <a class="nav-link active" data-toggle="tab" href="#personal"><?php echo e(__('Personal')); ?></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#address"><?php echo e(__('Address')); ?></a>
                        </li>
                    </ul>

                    <?php if(profile_lockable()): ?>
                    <div class="alert mt-4 alert-info p-2">
                        <div class="alert-text has-icon">
                            <em class="icon ni ni-info-fill"></em>
                            <?php if(auth()->user()->kyc_verified): ?>
                            <?php echo e(__("You cannot change some of your personal info as your identity is already verified.")); ?>

                            <?php else: ?>
                            <?php echo e(__("You cannot change some of your personal details as your identity verification is under review.")); ?>

                            <?php endif; ?>
                        </div>
                    </div>
                    <?php endif; ?>

                    <div class="tab-content">
                        <div class="tab-pane active" id="personal">
                            <form action="<?php echo e(route('account.profile.personal')); ?>" method="POST" class="form-validate is-alter form-profile" id="profile-personal-form">
                                <?php echo csrf_field(); ?>
                                <div class="row gy-4">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <div class="form-label-group">
                                                <label class="form-label" for="full-name"><?php echo e(__('Full Name')); ?>  <span class="text-danger">*</span></label>
                                            </div>

                                            <div class="form-control-wrap">
                                                <input type="text" name="name" value="<?php echo e(auth()->user()->name); ?>" class="form-control form-control-lg" id="full-name" placeholder="<?php echo e(__('Enter Full name')); ?>" required maxlength="190"<?php echo e((profile_lockable()) ? ' readonly' : ''); ?>>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <div class="form-label-group">
                                                <label class="form-label" for="display-name"><?php echo e(__('Nice Name')); ?> <span class="text-danger">*</span></label>
                                            </div>

                                            <div class="form-control-wrap">
                                                <input type="text" name="profile_display_name" value="<?php echo e($metas['profile_display_name'] ?? ''); ?>" class="form-control form-control-lg" id="display-name" placeholder="<?php echo e(__('Enter display name')); ?>" required maxlength="190">
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <div class="form-label-group">
                                                <label class="form-label" for="phone-no"><?php echo e(__('Phone Number')); ?> <span class="text-danger">*</span></label>
                                            </div>

                                            <div class="form-control-wrap">
                                                <input type="text" name="profile_phone" value="<?php echo e($metas['profile_phone'] ?? ''); ?>" class="form-control form-control-lg" id="phone-no" required placeholder="<?php echo e(__('Phone Number')); ?>">
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <div class="form-label-group">
                                                <label class="form-label" for="telegram"><?php echo e(__('Telegram')); ?></label>
                                            </div>

                                            <div class="form-control-wrap">
                                                <input type="text" name="profile_telegram" value="<?php echo e($metas['profile_telegram'] ?? ''); ?>" class="form-control form-control-lg" id="telegram" placeholder="<?php echo e(__('Telegram')); ?>">
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label" for="gender"><?php echo e(__('Gender')); ?></label>
                                            <select name="profile_gender" class="form-select" id="gender" data-placeholder="<?php echo e(__('Please select')); ?>" data-ui="lg"<?php echo e((profile_lockable()) ? ' disabled' : ''); ?>>
                                                    <option value=""></option>
                                                    <option value="male" <?php echo e((isset($metas['profile_gender']) && $metas['profile_gender'] == 'male') ? ' selected' : ''); ?>><?php echo e(__('Male')); ?></option>
                                                    <option value="female" <?php echo e((isset($metas['profile_gender']) && $metas['profile_gender'] == 'female') ? ' selected' : ''); ?>><?php echo e(__('Female')); ?></option>
                                                    <option value="other" <?php echo e((isset($metas['profile_gender']) && $metas['profile_gender'] == 'other') ? ' selected' : ''); ?>><?php echo e(__('Others')); ?></option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label" for="birth-day"><?php echo e(__('Date of Birth')); ?> <span class="text-danger">*</span></label>
                                            <input type="text" name="profile_dob" value="<?php echo e($metas['profile_dob'] ?? ''); ?>" data-date-start-date="-85y" data-date-end-date="-12y" class="form-control form-control-lg date-picker-alt" id="birth-day" required placeholder="<?php echo e(__('Enter your date of birth')); ?>"<?php echo e((profile_lockable()) ? ' disabled' : ''); ?>>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="custom-control custom-switch">
                                            <input type="checkbox" name="profile_display_full_name" class="custom-control-input" id="display-full-name"<?php echo e((data_get($metas, 'profile_display_full_name') == 'on') ? ' checked' : ''); ?>>
                                            <label class="custom-control-label" for="display-full-name"><?php echo e(__('Use full name to display')); ?></label>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2 pt-2">
                                            <li>
                                                <button type="button" class="btn btn-lg btn-primary ua-updp" data-action="profile"><?php echo e(__('Update Profile')); ?></button>
                                            </li>
                                            <li>
                                                <a href="#" data-dismiss="modal" class="link link-light"><?php echo e(__('Cancel')); ?></a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="tab-pane" id="address">
                            <form action="<?php echo e(route('account.profile.address')); ?>" method="POST" class="form-validate is-alter form-profile" id="profile-address-form">
                                <?php echo csrf_field(); ?>
                                <div class="row gy-4">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <div class="form-label-group">
                                                <label class="form-label" for="address-l1"><?php echo e(__('Address Line 1')); ?> <span class="text-danger">*</span></label>
                                            </div>
                                            <div class="form-control-wrap">
                                                <input type="text" name="profile_address_line_1" class="form-control form-control-lg" id="address-l1" value="<?php echo e($metas['profile_address_line_1'] ?? ''); ?>" required maxlength="190"<?php echo e((profile_lockable()) ? ' disabled' : ''); ?>>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <div class="form-label-group">
                                                <label class="form-label" for="address-l2"><?php echo e(__('Address Line 2')); ?></label>
                                            </div>
                                            <div class="form-control-wrap">
                                                <input type="text" name="profile_address_line_2" class="form-control form-control-lg" id="address-l2" value="<?php echo e($metas['profile_address_line_2'] ?? ''); ?>" maxlength="190"<?php echo e((profile_lockable()) ? ' disabled' : ''); ?>>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12 col-lg-6">
                                        <div class="form-group">
                                            <div class="form-label-group">
                                                <label class="form-label" for="address-city"><?php echo e(__('City')); ?></label>
                                            </div>
                                            <div class="form-control-wrap">
                                                <input type="text" name="profile_city" class="form-control form-control-lg" id="address-city" value="<?php echo e($metas['profile_city'] ?? ''); ?>" maxlength="190"<?php echo e((profile_lockable()) ? ' disabled' : ''); ?>>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-lg-3">
                                        <div class="form-group">
                                            <div class="form-label-group">
                                                <label class="form-label" for="address-st"><?php echo e(__('State / Province')); ?> <span class="text-danger">*</span></label>
                                            </div>
                                            <div class="form-control-wrap">
                                                <input type="text" name="profile_state" class="form-control form-control-lg" id="address-st" value="<?php echo e($metas['profile_state'] ?? ''); ?>" required maxlength="190"<?php echo e((profile_lockable()) ? ' disabled' : ''); ?>>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-lg-3">
                                        <div class="form-group">
                                            <div class="form-label-group">
                                                <label class="form-label" for="address-zip"><?php echo e(__('Zip / Postal Code')); ?></label>
                                            </div>
                                            <div class="form-control-wrap">
                                                <input type="text" name="profile_zip" class="form-control form-control-lg" id="address-zip" value="<?php echo e($metas['profile_zip'] ?? ''); ?>" maxlength="50"<?php echo e((profile_lockable()) ? ' disabled' : ''); ?>>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label" for="address-county"><?php echo e(__('Country')); ?> <span class="small">(<?php echo e(__('Residential')); ?>)</span> <span class="text-danger">*</span></label>
                                            <select name="profile_country" class="form-select" id="address-county" data-ui="lg" required data-placeholder="<?php echo e(__("Please select")); ?>" data-search="on"<?php echo e((profile_lockable()) ? ' disabled' : ''); ?>>
                                                <option></option>
                                                <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $code => $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($country); ?>"<?php echo e((isset($metas['profile_country']) && $metas['profile_country'] == $country) ? ' selected' : ''); ?>><?php echo e(config('countries')[$code]); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label" for="address-county"><?php echo e(__('Nationality')); ?> <span class="small">(<?php echo e(__('Citizenship')); ?>)</span></label>
                                            <select name="profile_nationality" class="form-select" id="nationality" data-ui="lg" data-search="on"<?php echo e((profile_lockable()) ? ' disabled' : ''); ?>>
                                                <option value="same"<?php echo e((isset($metas['profile_nationality']) && ($metas['profile_nationality'] == 'same' || empty($metas['profile_nationality']))) ? ' selected' : ''); ?>><?php echo e(__('Same as Country')); ?></option>
                                                <?php $__currentLoopData = config('countries'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($item); ?>"<?php echo e((isset($metas['profile_nationality']) && $metas['profile_nationality'] == $item) ? ' selected' : ''); ?>><?php echo e($item); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                </div>

                                <div class="row gy-4">
                                    <div class="col-12">
                                        <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2 pt-2">
                                            <li>
                                                <button type="button" class="btn btn-lg btn-primary ua-updp" data-action="address"><?php echo e(__('Update Address')); ?></button>
                                            </li>
                                            <li>
                                                <a href="#" data-dismiss="modal" class="link link-light"><?php echo e(__('Cancel')); ?></a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    
    <div class="modal fade" tabindex="-1" role="dialog" id="change-unverified-email">
        <div class="modal-dialog modal-dialog-centered modal-md" role="document">
            <div class="modal-content">
                <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
                <div class="modal-body modal-body-md">
                    <h5 class="title"><?php echo e(__('Enter Your Valid Email Address')); ?></h5>
                    <form action="<?php echo e(route('account.profile.update-unverified-email')); ?>" method="POST" class="form-validate is-alter mt-4 form-profile" autocomplete="off">
                        <?php echo csrf_field(); ?>
                        <div class="form-group">
                            <label class="form-label" for="email-address"><?php echo e(__('Current Email Address')); ?></label>
                            <div class="form-control-wrap">
                                <input type="email" class="form-control form-control-lg" id="email-address" readonly value="<?php echo e(auth()->user()->email); ?>">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="form-label" for="new-unverified-email-address"><?php echo e(__('New Email Address')); ?>  <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <input type="email" id="new-unverified-email-address" autocomplete="new-email" name="user_new_unverified_email" class="form-control form-control-lg"  placeholder="<?php echo e(__('Enter Email Address')); ?>" required maxlength="190">
                            </div>
                        </div>
                        <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                            <li>
                                <button type="submit" class="btn btn-md btn-primary ua-updp" data-action="email"><?php echo e(__('Send Verification Email')); ?></button>
                            </li>
                        </ul>
                        <div class="notes mt-gs">
                            <ul>
                                <li class="alert-note is-plain text-danger">
                                    <em class="icon ni ni-alert-circle"></em>
                                    <p><?php echo e(__("Wether you verify your email or not, from next login you have to use your new email address.")); ?></p>
                                </li>
                            </ul>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    
    <div class="modal fade" tabindex="-1" role="dialog" id="send-verification-link">
        <div class="modal-dialog modal-dialog-centered modal-md" role="document">
            <div class="modal-content">
                <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
                <div class="modal-body modal-body-lg">
                    <h5 class="title mb-2"><?php echo e(__('Verify your email address')); ?></h5>
                    <p class="text-dark"><?php echo __('Your email address (:mail) has not been verified yet! To secure your account, you need to verify your email address.', ['mail' => '<strong>'. auth()->user()->email .'</strong>' ]); ?></p>

                    <div class="mt-3" id="mail-resend">
                        <div class="form-group">
                            <p><?php echo e(__('To verify, please click the below button to send verification email.')); ?></p>
                        </div>
                        <div class="form-group">
                            <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                                <li>
                                    <button type="submit" class="btn btn-md btn-primary" id="resend-email"><?php echo e(__('Send Verification Email')); ?></button>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <form action="<?php echo e(route('account.profile.verify-unverified-code')); ?>" method="post" class="form-validate is-alter mt-4 d-none" autocomplete="off" id="mail-confirm">
                        <div class="form-group mt-2">
                            <div class="form-control-wrap">
                                <input type="number" minlength="6" maxlength="6" name="code" class="form-control" placeholder="<?php echo e(__('Enter verification code')); ?>"
                                data-msg-minlength="<?php echo e(__('Minimum :num digit.', ['num' => 6])); ?>" data-msg-maxlength="<?php echo e(__('Maximum :num digit.', ['num' => 6])); ?>" data-msg-number="<?php echo e(__('Enter valid number.')); ?>"
                                data-msg-required="<?php echo e(__('Required.')); ?>" required>
                            </div>
                        </div>
                        <div class="form-group mb-n3">
                            <ul class="btn-group-vertical gy-3">
                                <li>
                                    <button id="verify-code" class="btn btn-primary"><?php echo e(__('Verify Code')); ?></button>
                                </li>
                                <li>
                                    <p><?php echo __("If the email doesn't arrive soon, check your :spam folder or have us :send.", 
                                    ['spam' => '<strong>'.__("spam").'</strong>', 'send' => '<a id="resend-email" href="javascript:void(0)" class="link">'.__("send it again").'</a>']); ?></p>
                                </li>
                            </ul>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('scripts'); ?>
<script type="text/javascript">
    const profileSetting = "<?php echo e(route('account.settings.save')); ?>";
    
    $(document).on('click', '#resend-email', function(e) {
        let emrout = "<?php echo e(route('account.profile.verify-unverified-email')); ?>";
        e.preventDefault(); 
        $('#verify-code').attr('disabled', true).addClass('disabled');
        NioApp.Form.toPost(emrout, {action : 'verify'}, {
            onSuccess: function (res) {
                if (res.msg) {
                    $('#mail-resend').addClass('d-none');
                    $('#mail-confirm').removeClass('d-none');
                    NioApp.Toast(res.msg, res.type);
                    $('#verify-code').removeAttr('disabled', true).removeClass('disabled');
                }
            }
        });
    });

    $(document).on('click', '#verify-code', function(e) {
        let $self = $(this), $form = $self.closest('form');
        e.preventDefault();
        if($form.valid()) {
            let data = {code : $form.find('input[name=code]').val() }, url = $form.attr('action');
            NioApp.Form.toPost(url, data, {btn: $self});
        }
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/user/account/profile.blade.php ENDPATH**/ ?>