<?php 
   use \App\Enums\TransactionType as dTType;
   use \App\Enums\TransactionStatus as dTStatus;
   use \App\Enums\TransactionCalcType as dTCType;
?>
<div class="nk-block">
    <h4 class="title nk-modal-title"><?php echo e(__('User Profile')); ?> <a target="_blank" href="<?php echo e(route('admin.users.details', ['id' => $user->id, 'type' => 'personal'])); ?>" class="btn btn-round btn-sm btn-primary ml-2"><?php echo e(__('View Details')); ?></a></h4>
    <div class="row gy-3">
        <div class="col-md-6">
            <span class="sub-text"><?php echo e(__('Current Balance')); ?></span>
            <span class="caption-text fw-bold"><?php echo e(money($user->balance(AccType('main')), base_currency(), ['dp' => 'calc'])); ?></span>
        </div>
        <div class="col-md-6">
            <span class="sub-text"><?php echo e(__('User ID')); ?></span>
            <span class="caption-text fw-bold"><?php echo e(the_uid(data_get($user, 'id'))); ?></span>
        </div>
    </div>
    <div class="divider md stretched"></div>
    <div class="row gy-3">
        <div class="col-md-6">
            <span class="sub-text"><?php echo e(__('Full Name')); ?></span>
            <span class="caption-text fw-bold"><?php echo e(data_get($user, 'name')); ?></span>
        </div>
        <div class="col-md-6">
            <span class="sub-text"><?php echo e(__('Email Address')); ?></span>
            <span class="caption-text fw-bold"><?php echo e(str_protect(data_get($user, 'email'))); ?></span>
        </div>
        <div class="col-md-6">
            <span class="sub-text"><?php echo e(__('Mobile Number')); ?></span>
            <span class="caption-text fw-bold"><?php echo ($user->meta('profile_phone')) ? $user->meta('profile_phone') : '<em class="text-soft small">'.__('Not updated yet').'</em>'; ?></span>
        </div>
        <div class="col-md-6">
            <span class="sub-text"><?php echo e(__('Date of Birth')); ?></span>
            <span class="caption-text fw-bold"><?php echo ($user->meta('profile_dob')) ? show_dob($user->meta('profile_dob')) : '<em class="text-soft small">'.__('Not updated yet').'</em>'; ?></span>
        </div>
        <div class="col-md-6">
            <span class="sub-text"><?php echo e(__('Country')); ?></span>
            <span class="caption-text fw-bold"><?php echo ($user->meta('profile_country')) ? ucfirst($user->meta('profile_country')) : '<em class="text-soft small">'.__('Not updated yet').'</em>'; ?></span>
        </div>
        <?php if(!blank($user->user_groups)): ?>
        <div class="col-md-6">
            <span class="sub-text"><?php echo e(__('Groups')); ?></span>
            <ul>
                <li>
                    <?php $__currentLoopData = $user->user_groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $userGroup): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <span class="badge text-<?php echo e($userGroup->color); ?>"><?php echo e(__(ucfirst($userGroup->label))); ?></span>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </li>
            </ul>
        </div>
        <?php endif; ?>
    </div>
    <div class="divider md stretched"></div>
    <div class="row gy-3">
        <div class="col-md-6">
            <span class="sub-text"><?php echo e(__('Joining Date')); ?></span>
            <span class="caption-text"><?php echo e(show_date(data_get($user, 'created_at'), true)); ?></span>
        </div>
        <div class="col-md-6">
            <span class="sub-text"><?php echo e(__('Last Login')); ?></span>
            <span class="caption-text"><?php echo show_date(data_get($user, 'last_login'), true) ?? '<em class="text-soft small">'.__('Not logged in yet').'</em>'; ?></span>
        </div>
    </div>
</div>
<?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/admin/transaction/modal/details-profile.blade.php ENDPATH**/ ?>