
<?php $__env->startSection('title', __('Investment Overview')); ?>

<?php $__env->startSection('content'); ?>
<div class="nk-content-body">
    <div class="nk-block-head">
        <div class="nk-block-head-sub"><span><?php echo e(__('Investment')); ?></span></div>
        <div class="nk-block-between-md g-4">
            <div class="nk-block-head-content">
                <h2 class="nk-block-title fw-normal"><?php echo e(__('Invested Plans')); ?></h2>
                <div class="nk-block-des">
                    <p><?php echo e(__('At a glance summary of your investment.')); ?></p>
                </div>
            </div>
            <div class="nk-block-head-content">
                <ul class="nk-block-tools gx-3">
                    <li class="order-md-last"><a href="<?php echo e((gss('invest_earn_redirect', 'default') == 'plan') ? route('user.investment.plans') : route('user.investment.invest')); ?>" class="btn btn-primary"><span><?php echo e(__('Invest & Earn')); ?></span> <em class="icon ni ni-arrow-long-right"></em></a></li>
                    <li><a href="<?php echo e(route('deposit')); ?>" class="btn btn-light btn-white"><span><?php echo e(__('Deposit Funds')); ?></span> <em class="icon ni ni-arrow-long-right"></em></a></li>
                </ul>
            </div>
        </div>
    </div>
    <div class="nk-block">
        <div class="row gy-gs">
            <div class="col-md-6 col-lg-5 col-xxl-4">
                <div class="card card-full card-bordered card-wg on-left is-primary">
                    <div class="card-inner">
                        <div class="nk-wgacc">
                            <div class="nk-wgacc-title text-base">
                                <?php echo e(__("Investment Account")); ?> 
                                <em class="icon ni ni-info fs-13px text-soft nk-tooltip" title="<?php echo e(__("The available balance in your investment account.")); ?>"></em>
                            </div>
                            <div class="nk-wgacc-group flex-lg-nowrap gx-4">
                                <div class="nk-wgacc-sub">
                                    <div class="nk-wgacc-amount">
                                        <div class="number number-md"><?php echo e(account_balance(AccType('invest'))); ?> <small class="currency"><?php echo e(base_currency()); ?></small></div>
                                    </div>
                                    <div class="nk-wgacc-subtitle"><?php echo e(__('Available Funds')); ?></div>
                                </div>
                                <div class="nk-wgacc-sub">
                                    <span class="nk-wgacc-sign text-soft"><em class="icon ni ni-plus"></em></span>
                                    <div class="nk-wgacc-amount">
                                        <div class="number number-sm"><?php echo e(amount($amounts['locked'], base_currency(), ['zero' => true])); ?></div>
                                    </div>
                                    <div class="nk-wgacc-subtitle"><?php echo e(__('Locked')); ?></div>
                                </div>
                            </div>
                        </div>
                        <div class="card-action">
                            <ul class="nk-block-tools gx-1">
                                <li><a href="<?php echo e(route('user.investment.payout')); ?>" class="btn btn-secondary iv-payout"><span><?php echo e(__('Transfer Funds')); ?></span> <em class="icon ni ni-arrow-long-right"></em></a></li>

                                <?php if(gss("iv_auto_transfer", "no") == "yes"): ?>
                                    <li><a href="<?php echo e(route('user.investment.settings')); ?>" class="btn btn-trans iv-settings"><em class="icon ni ni-setting"></em></a></li>
                                <?php endif; ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-lg-7 col-xxl-8">
                <div class="card card-bordered">
                    <div class="card-inner-group">
                        <div class="card-inner">
                            <div class="row gy-gs">
                                <div class="col-md-12">
                                    <div class="nk-wgacc">
                                        <div class="nk-wgacc-group flex-md-nowrap gx-4">
                                            <div class="flex-shrink-0">
                                                <div class="nk-wgacc-title text-base">
                                                    <?php echo e(__('Amount in Invested')); ?>

                                                    <em class="icon ni ni-info fs-13px text-soft nk-tooltip" title="<?php echo e(__("The investment currently actived without pending.")); ?>"></em>
                                                </div>
                                                <div class="nk-wgacc-group flex-md-nowrap gx-4">
                                                    <div class="nk-wgacc-sub">
                                                        <div class="nk-wgacc-amount">
                                                            <div class="number number-md"><?php echo e(amount($amounts['invested'], base_currency(), ['zero' => true])); ?> <small class="currency"><?php echo e(base_currency()); ?></small></div>
                                                        </div>
                                                        <div class="nk-wgacc-subtitle"><?php echo e(__('Currently Invested')); ?></div>
                                                    </div>
                                                    <div class="nk-wgacc-sub">
                                                        <span class="nk-wgacc-sign text-soft"><em class="icon ni ni-plus"></em></span>
                                                        <div class="nk-wgacc-amount">
                                                            <div class="number number-sm"><?php echo e(amount($amounts['profit'], base_currency(), ['zero' => true])); ?></div>
                                                        </div>
                                                        <div class="nk-wgacc-subtitle"><?php echo e(__('Approx Profit')); ?></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="nk-wgacc-sub flex-grow-1 ml-lg-1 ml-xxl-5 d-md-none d-lg-block">
                                                <div class="nk-wgacc-ck lg mb-0">
                                                    <canvas class="chart-liner" id="dailyInvestment"></canvas>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card-inner">
                            <ul class="nk-wgacc-nav">
                                <li><a href="<?php echo e(route('user.investment.transactions')); ?>"><em class="icon ni ni-notes-alt"></em> <span><?php echo e(__('Transactions')); ?></span></a></li>
                                <li><a href="<?php echo e(route('user.investment.history')); ?>"><em class="icon ni ni-file-check"></em> <span><?php echo e(__('History')); ?></span></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php if(!blank($pendingPlans = data_get($investments, 'pending', []))): ?>
    <div class="nk-block nk-block-lg">
        <div class="nk-block-head-sm">
            <div class="nk-block-head-content">
                <h5 class="nk-block-title"><?php echo e(__('Pending Plan')); ?> <span class="count text-base">(<?php echo e(count($pendingPlans)); ?>)</span></h5>
            </div>
        </div>

        <div class="nk-plan-list">
            <?php $__currentLoopData = $pendingPlans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php echo $__env->make('investment.user.plan-row', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
    <?php endif; ?>

    <?php if(!blank($activePlans = data_get($investments, 'active', []))): ?>
    <div class="nk-block nk-block-lg">
        <div class="nk-block-head-sm">
            <div class="nk-block-head-content">
                <h5 class="nk-block-title"><?php echo e(__('Active Plan')); ?> <span class="count text-base">(<?php echo e(count($activePlans)); ?>)</span></h5>
            </div>
        </div>

        <div class="nk-plan-list">
            <?php $__currentLoopData = $activePlans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php echo $__env->make('investment.user.plan-row', $plan, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
    <?php endif; ?>

    <?php if(!blank($recents)): ?>
    <div class="nk-block nk-block-lg">
        <div class="nk-block-head-sm">
            <div class="nk-block-between">
                <div class="nk-block-head-content">
                    <h5 class="nk-block-title"><?php echo e(__('Recently End')); ?> <span class="count text-base">(<?php echo e(count($recents)); ?>)</span></h5>
                </div>
                <div class="nk-block-head-content">
                    <a href="<?php echo e(route('user.investment.history', 'completed')); ?>"><em class="icon ni ni-dot-box"></em> <?php echo e(__('Go to Archive')); ?></a>
                </div>
            </div>
        </div>

        <div class="nk-plan-list">
            <?php $__currentLoopData = $recents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php echo $__env->make('investment.user.plan-row', $plan, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
    <?php endif; ?>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
<div class="modal fade" role="dialog" id="ajax-modal"></div>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('scripts'); ?>

    <script>

        var investment=JSON.parse('<?php echo json_encode($investChart); ?>');

        var profit=JSON.parse('<?php echo json_encode($profitChart); ?>');

        var dailyInvestment = { tooltip: false, legend: true, labels: Object.keys(investment), dataUnit: '<?php echo e(base_currency()); ?>', stacked: true, lineTension: .3,
            datasets: [{ label: "Investment", color: "#816bff", background: 'transparent', borderWidth: 2, data: Object.values(investment) },
            { label: "Profit", color: "#c4cefe", background: 'transparent', borderWidth: 2, data: Object.values(profit) }] };

        let $btnSettings = $('.iv-settings'), $modalTnx = $('#ajax-modal');
		$btnSettings.on('click', function(e) {
			e.preventDefault();
			let $self = $(this), url = $self.attr('href'), data = [];
	        NioApp.Form.toModal(url, data, {modal: $modalTnx});
		});
    </script>

<?php $__env->stopPush(); ?>
<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/investment/user/dashboard.blade.php ENDPATH**/ ?>