
<?php $__env->startSection('title', __('Profits / Interests')); ?>

<?php

use App\Enums\TransactionCalcType;
use App\Enums\LedgerTnxType;

?>

<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="nk-block-head nk-block-head-sm">
            <div class="nk-block-between gy-2 gx-3">
                <div class="nk-block-head-content">
                    <h3 class="nk-block-title page-title"><?php echo e(__('Profits / Interests')); ?></h3>
                    <p><?php echo __('Total :num entries.', ['num' => '<span class="text-base">'.$profits->total().'</span>' ]); ?></p>
                </div>
                <div class="nk-block-head-content">
                    <ul class="nk-block-tools g-3">
                        <li>
                            <a href="<?php echo e(route('admin.investment.transactions.list')); ?>" class="btn btn-white btn-dim btn-outline-gray d-none d-sm-inline-flex"><em class="icon ni ni-report-profit"></em><span><?php echo e(__("Statement")); ?></span></a>
                            <a href="<?php echo e(route('admin.investment.transactions.list')); ?>" class="btn btn-icon btn-white btn-dim btn-outline-gray d-inline-flex d-sm-none"><em class="icon ni ni-report-profit"></em></a>
                        </li>
                        <li class="nk-block-tools">
                            <div class="dropdown">
                                <a class="dropdown-toggle btn btn-primary" data-toggle="dropdown"><em class="icon ni ni-invest"></em><span class="d-none d-sm-inline"><?php echo e(__("Process")); ?></span></a>
                                <div class="dropdown-menu dropdown-menu-smd dropdown-menu-right">
                                    <ul class="link-list-opt no-bdr">
                                        <li><a href="javascript:void(0)" data-action="plan" data-backdrop="static" class="actn-psivs<?php echo e((is_locked('plan')) ? ' disabled' : ''); ?>">
                                            <em class="icon ni ni-update"></em><span><?php echo e(__('Sync Invested Plans')); ?></span></a>
                                        </li>
                                        <li><a href="javascript:void(0)" data-action="profit" data-backdrop="static" class="actn-psivs<?php echo e((is_locked('profit')) ? ' disabled' : ''); ?>">
                                            <em class="icon ni ni-check-circle-cut"></em><span><?php echo e(__('Approve the Profits')); ?></span></a>
                                        </li>
                                        <li><a href="javascript:void(0)" data-action="transfer" data-backdrop="static" class="actn-psivs<?php echo e((is_locked('transfer')) ? ' disabled' : ''); ?>"">
                                            <em class="icon ni ni-swap-alt"></em><span><?php echo e(__('Complete Auto Transfers')); ?></span></a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <ul class="nk-nav nav nav-tabs mt-n3 mb-md-n3">
            <li class="nav-item">
                <a class="nav-link<?php echo e((is_route('admin.investment.profits.list') && $type=='all') ? ' active' : ''); ?>" href="<?php echo e(route('admin.investment.profits.list')); ?>">
                    <span><?php echo e(__('History')); ?></span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link<?php echo e((is_route('admin.investment.profits.list') && $type=='pending') ? ' active' : ''); ?>" href="<?php echo e(route('admin.investment.profits.list', 'pending')); ?>">
                    <span><?php echo e(__('Scheduled')); ?></span>
                </a>
            </li>
        </ul>

        <div class="nk-block">
            <div class="nk-block-head nk-block-head-sm">
                <div class="nk-block-between">
                    <div class="nk-block-head-content">
                        <h6 class="nk-block-title"><?php echo e(($type=='pending') ? __('Outstanding Profits') : __(':Type Profits', ['type' => $type])); ?></h6>
                    </div>
                    <ul class="nk-block-tools gx-3">
                        <li>
                            <a href="#" class="search-toggle toggle-search btn btn-icon btn-trigger" data-target="search"><em class="icon ni ni-search"></em></a>
                        </li>
                        <li>
                            <div class="dropdown">
                                <a class="dropdown-toggle btn btn-icon btn-trigger mx-n1" data-toggle="dropdown" data-offset="-8,0" aria-expanded="false">
                                    <em class="icon ni ni-setting"></em>
                                </a>
                                <div class="dropdown-menu dropdown-menu-xs dropdown-menu-right" style="">
                                    <ul class="link-check">
                                        <li><span><?php echo e(__('Show')); ?></span></li>
                                        <?php $__currentLoopData = config('investorm.pgtn_pr_pg'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="update-meta<?php echo e((user_meta('iv_profit_perpage', '20') == $item) ? ' active' : ''); ?>">
                                            <a href="#" data-value="<?php echo e($item); ?>" data-meta="perpage" data-type="iv_profit"><?php echo e($item); ?></a>
                                        </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                    <ul class="link-check">
                                        <li><span><?php echo e(__('Order')); ?></span></li>
                                        <?php $__currentLoopData = config('investorm.pgtn_order'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="update-meta<?php echo e((user_meta('iv_profit_order', 'desc') == $item) ? ' active' : ''); ?>">
                                            <a href="#" data-value="<?php echo e($item); ?>" data-meta="order" data-type="iv_profit"><?php echo e(__(strtoupper($item))); ?></a>
                                        </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
                <form action="<?php echo e(url()->current()); ?>" method="GET">
                    <div class="search-wrap search-wrap-extend bg-lighter<?php echo e((request()->get('query')) ? ' active' : ''); ?>" data-search="search">
                        <div class="search-content">
                            <a href="<?php echo e(url()->current()); ?>" class="search-back btn btn-icon toggle-search" data-target="search"><em class="icon ni ni-arrow-left"></em></a>
                            <input type="text" name="query" value="<?php echo e(request()->get('query')); ?>" class="form-control border-transparent form-focus-none" placeholder="<?php echo e(__("Search by invested plan id")); ?>">
                            <button class="search-submit btn btn-icon mr-1"><em class="icon ni ni-search"></em></button>
                        </div>
                    </div>
                </form>
            </div>

            <div class="card card-bordered card-stretch">
                <div class="card-inner-group">
                    <?php if(filled($profits)): ?>
                    <div class="card-inner p-0">
                        <table class="nk-plan-tnx table">
                            <thead class="thead-light">
                            <tr>
                                <th class="tb-col"><span class="overline-title"><?php echo e(__('Desc')); ?></span></th>
                                <th class="tb-col"><span class="overline-title"><?php echo e(__('Invest ID')); ?></span></th>
                                <th class="tb-col"><span class="overline-title"><?php echo e(__('User ID')); ?></span></th>
                                <th class="tb-col"><span class="overline-title"><?php echo e(__('Date & Time')); ?></span></th>
                                <th class="tb-col"><span class="overline-title"><?php echo e(__('Paid')); ?></span> <em class="icon ni ni-info nk-tooltip small text-soft" title="<?php echo e(__("The profit amount transfered to investment account or not.")); ?>"></em></th>
                                <th class="tb-col tb-col-end"><span class="overline-title"><?php echo e(__('Amount')); ?></span></th>
                            </tr>
                            </thead>
                            <tbody>

                            <?php $__currentLoopData = $profits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $profit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td class="tb-col">
                                    <?php echo e(__("Profit for :plan", ['plan' => data_get($profit, 'invest.scheme.name')])); ?>

                                    <em class="icon ni ni-info nk-tooltip small text-soft" title="<?php echo e(__("Invested: :amount", ['amount' => money($profit->invested, base_currency()) ])); ?>"></em>
                                </td>
                                <td class="tb-col">
                                    <a class="text-dark" href="<?php echo e(route('admin.investment.details', ['id' => the_hash($profit->invest->id)])); ?>"><?php echo e($profit->invest->ivx); ?></a>
                                </td>
                                <td class="tb-col">
                                    <?php echo e(the_uid($profit->user_id)); ?>

                                    <em class="icon ni ni-info nk-tooltip small text-soft" title="<?php echo e(str_protect($profit->invest_by->email)); ?>"></em>
                                </td>
                                <td class="tb-col"><span class="sub-text"><?php echo e(show_date($profit->calc_at, true)); ?></span></td>
                                <td class="tb-col"><span class="sub-text"><?php echo ($profit->payout) ? '<em class="icon ni ni-info nk-tooltip text-soft" title="'. __("Batch #:id", ['id' => $profit->payout]). '"></em> ' . show_date($profit->updated_at, true) : '<span class="font-italic text-soft">'.__("Not yet").'</span>'; ?></span></td>
                                <td class="tb-col tb-col-end"><span class="<?php echo e((!$profit->payout) ? 'lead-text ' : ''); ?>text-dark">+ <?php echo e(amount_z($profit->amount, base_currency(), ['dp' => 'calc'])); ?></span></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="card-inner pt-3 pb-3">
                        <?php if(filled($profits)): ?>
                            <?php echo e($profits->appends(request()->all())->links('misc.pagination')); ?>

                        <?php endif; ?>
                    </div>
                    <?php else: ?>
                    <div class="alert alert-primary">
                        <div class="alert-cta flex-wrap flex-md-nowrap">
                            <div class="alert-text">
                                <p><?php echo e(__('No profit found.')); ?></p>
                            </div>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
<div class="modal fade" role="dialog" id="ajax-modal"></div>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('scripts'); ?>
<script type="text/javascript">
    const updateSetting = "<?php echo e(route('admin.profile.update')); ?>", 
          routes = { profit: "<?php echo e(route('admin.investment.process.profits')); ?>", plan: "<?php echo e(route('admin.investment.process.plans')); ?>", transfer: "<?php echo e(route('admin.investment.process.transfers')); ?>" };
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/investment/admin/statement/profits.blade.php ENDPATH**/ ?>