<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>" class="js" id="<?php echo e(gui_body()); ?>">
<head>
    <meta charset="utf-8">
    <meta name="author" content="<?php echo e(site_info('author')); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta name="site-token" content="<?php echo e(site_token()); ?>">
    <title><?php echo $__env->yieldContent('title', 'Dashboard'); ?> | <?php echo e(site_info('name')); ?></title>
    <link rel="shortcut icon" href="<?php echo e(asset('favicon.ico')); ?>">
    <?php $style = (lang_dir() == 'rtl') ? 'apps.rtl' : 'apps'; ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/'.$style.'.css?ver=140')); ?>">
<?php if(sys_settings('ui_theme_skin', 'default')!='default'): ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/skins/theme-'.sys_settings('ui_theme_skin').'.css?ver=140')); ?>">
<?php endif; ?>

<?php echo $__env->make('misc.analytics', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php if(sys_settings('header_code')): ?>
    <?php echo e(html_string(sys_settings('header_code'))); ?>

<?php endif; ?>
</head>
<body class="nk-body npc-cryptlite has-sidebar has-sidebar-fat<?php echo e(dark_theme('active')); ?>"<?php echo lang_dir() == 'rtl' ? ' dir="rtl"' : ''; ?> data-theme="<?php echo e(dark_theme('mode')); ?>">
<div class="nk-app-root">
    <div class="nk-main">
        
        <?php echo $__env->make('user.layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        
        <div class="nk-wrap">

            <?php echo $__env->make('user.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <div class="nk-content nk-content-fluid">
                <div class="container-xl wide-lg">
                    
                    <?php echo $__env->make('misc.notices', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                    <?php echo $__env->yieldContent('content'); ?>

                </div>
            </div>

            <?php echo $__env->make('user.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            
        </div>
    </div>
</div>

<?php echo $__env->make('misc.gdpr', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php echo $__env->yieldPushContent('modal'); ?>
<?php if(sys_settings('custom_stylesheet')=='on'): ?>
    <link rel="stylesheet" href="<?php echo e(asset('/css/custom.css')); ?>">
<?php endif; ?>
<?php if(dark_theme('exist') && dark_theme('css')): ?>
    <style type="text/css"><?php echo e(dark_theme('css')); ?></style> 
<?php endif; ?>
<script type="text/javascript">
    const updateSetting = "<?php echo e(route('update.setting')); ?>", upreference = "<?php echo e(route('account.preference')); ?>", getTnxDetails = "<?php echo e(route('transaction.details')); ?>", msgwng = "<?php echo e(__("Sorry, something went wrong!")); ?>", msgunp = "<?php echo e(__("Unable to process your request.")); ?>"<?php echo (user_consent() === null) ? ', consentURI = "'.route('gdpr.cookie').'"' : ''; ?>;
</script>
<script src="<?php echo e(asset('/assets/js/bundle.js?ver=140')); ?>"></script>
<script src="<?php echo e(asset('/assets/js/app.js?ver=140')); ?>"></script>
<script src="<?php echo e(asset('/assets/js/charts.js?ver=140')); ?>"></script>
<?php echo $__env->yieldPushContent('scripts'); ?>
<?php if(sys_settings('tawk_api_key')): ?>
<script type="text/javascript">
    var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date(); (function(){ var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0]; s1.async=true; s1.src='https://embed.tawk.to/<?php echo e(str_replace(['https://tawk.to/chat/', 'http://tawk.to/chat/'], '', sys_settings('tawk_api_key'))); ?>'; s1.charset='UTF-8'; s1.setAttribute('crossorigin','*'); s0.parentNode.insertBefore(s1,s0); })();
</script>
<?php endif; ?>
<?php if(sys_settings('footer_code')): ?>
    <?php echo e(html_string(sys_settings('footer_code'))); ?>

<?php endif; ?>
</body>
</html><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/user/layouts/master.blade.php ENDPATH**/ ?>