
<?php $__env->startSection('title', __('Invest Transactions')); ?>

<?php

$typeName = __("All Transactions");

if($type=='transfer') {
    $typeName = __("Transferred History");
}
if($type=='profit') {
    $typeName = __("Profit Settelment");
}

?>

<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="nk-block-head nk-block-head-sm">
            <div class="nk-block-between gy-2 gx-3">
                <div class="nk-block-head-content">
                    <h3 class="nk-block-title page-title"><?php echo e(__('Invest Transactions')); ?></h3>
                    <p><?php echo __('Total :num transactions.', ['num' => '<span class="text-base">'.$transactions->total().'</span>' ]); ?></p>
                </div>
                <div class="nk-block-head-content">
                    <ul class="nk-block-tools g-3">
                        <li>
                            <a href="<?php echo e(route('admin.investment.profits.list')); ?>" class="btn btn-white btn-dim btn-outline-gray d-none d-sm-inline-flex"><em class="icon ni ni-report-profit"></em><span><?php echo e(__("Profit Logs")); ?></span></a>
                            <a href="<?php echo e(route('admin.investment.profits.list')); ?>" class="btn btn-icon btn-white btn-dim btn-outline-gray d-inline-flex d-sm-none"><em class="icon ni ni-report-profit"></em></a>
                        </li>
                        <li class="nk-block-tools-opt">
                            <div class="btn-group">
                                <button class="uaj-mntnx btn btn-primary" data-action="manual" data-view="any" data-backdrop="static"><em class="icon ni ni-plus"></em> <span><?php echo e(__("Add")); ?></span></button>
                                <div class="btn-group dropdown">
                                    <button class="dropdown-toggle btn btn-icon btn-primary" data-toggle="dropdown"><em class="icon ni ni-chevron-down"></em></button>
                                    <div class="dropdown-menu dropdown-menu-smd dropdown-menu-right">
                                        <ul class="link-list-opt no-bdr">
                                            <li class="opt-head overline-title"><span><?php echo e(__("Add Manually")); ?></span></li>
                                            <li><a href="javascript:void(0)" class="uaj-mntnx" data-action="manual" data-backdrop="static" data-view="profit">
                                                <em class="icon ni ni-wallet-in"></em><span><?php echo e(__('Add Profit')); ?></span></a>
                                            </li>
                                            <li><a href="javascript:void(0)" class="uaj-mntnx" data-action="manual" data-backdrop="static" data-view="loss">
                                                <em class="icon ni ni-wallet-saving"></em><span><?php echo e(__('Add Loss')); ?></span></a>
                                            </li>
                                            <li><a href="javascript:void(0)" class="uaj-mntnx" data-action="manual" data-backdrop="static" data-view="penalty">
                                                <em class="icon ni ni-wallet-out"></em><span><?php echo e(__('Add Penalty')); ?></span></a>
                                            </li>
                                            <li class="divider"></li>
                                            <li class="opt-head overline-title"><span><?php echo e(__("Bulk Process")); ?></span></li>
                                            <li><a href="javascript:void(0)" data-action="plan" data-backdrop="static" class="actn-psivs<?php echo e((is_locked('plan')) ? ' disabled' : ''); ?>">
                                                <em class="icon ni ni-update"></em><span><?php echo e(__('Sync Invested Plans')); ?></span></a>
                                            </li>
                                            <li><a href="javascript:void(0)" data-action="profit" data-backdrop="static" class="actn-psivs<?php echo e((is_locked('profit')) ? ' disabled' : ''); ?>">
                                                <em class="icon ni ni-check-circle-cut"></em><span><?php echo e(__('Approve the Profits')); ?></span></a>
                                            </li>
                                            <li><a href="javascript:void(0)" data-action="transfer" data-backdrop="static" class="actn-psivs<?php echo e((is_locked('transfer')) ? ' disabled' : ''); ?>"">
                                                <em class="icon ni ni-swap-alt"></em><span><?php echo e(__('Complete Auto Transfers')); ?></span></a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <ul class="nk-nav nav nav-tabs mt-n3 mb-md-n3">
            <li class="nav-item">
                <a class="nav-link<?php echo e((is_route('admin.investment.transactions.list') && $type=='all') ? ' active' : ''); ?>" href="<?php echo e(route('admin.investment.transactions.list')); ?>">
                    <span><?php echo e(__('History')); ?></span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link<?php echo e((is_route('admin.investment.transactions.list') && $type=='profit') ? ' active' : ''); ?>" href="<?php echo e(route('admin.investment.transactions.list', 'profit')); ?>">
                    <span><?php echo e(__('Profits')); ?></span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link<?php echo e((is_route('admin.investment.transactions.list') && $type=='transfer') ? ' active' : ''); ?>" href="<?php echo e(route('admin.investment.transactions.list', 'transfer')); ?>">
                    <span><?php echo e(__('Transfer')); ?></span>
                </a>
            </li>
        </ul>

        <div class="nk-block">
            <div class="nk-block-head nk-block-head-sm">
                <div class="nk-block-between">
                    <div class="nk-block-head-content">
                        <h6 class="nk-block-title"><?php echo e(__(':StatementType', ['statementType' => $typeName])); ?></h6>
                    </div>
                    <ul class="nk-block-tools gx-3">
                        <li><a href="#" class="search-toggle toggle-search btn btn-icon btn-trigger" data-target="search"><em class="icon ni ni-search"></em></a></li>
                        <li>
                            <div class="dropdown">
                                <a href="#" class="btn btn-trigger btn-icon dropdown-toggle" data-toggle="dropdown">
                                    <?php if($filter_count): ?>
                                    <div class="badge badge-circle badge-primary"><?php echo e($filter_count); ?></div>
                                    <?php endif; ?>
                                    <em class="icon ni ni-filter-alt"></em>
                                </a>
                                </a>
                                <div class="filter-wg dropdown-menu dropdown-menu-xl dropdown-menu-right">
                                    <div class="dropdown-head">
                                        <span class="sub-title dropdown-title"><?php echo e(__('Advance Filter')); ?></span>
                                    </div>
                                    <form action="<?php echo e(route('admin.investment.transactions.list')); ?>" method="GET">
                                        <input type="hidden" name="filter" value="true">
                                        <div class="dropdown-body dropdown-body-rg">
                                            <div class="row gx-6 gy-3">
                                                <div class="col-6">
                                                    <div class="form-group">
                                                        <label
                                                            class="overline-title overline-title-alt"><?php echo e(__('Type')); ?></label>
                                                        <select name="type" class="form-select form-select-sm">
                                                            <option value="any"><?php echo e(__("Any Type")); ?></option>
                                                            <?php $__currentLoopData = $ledgers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option<?php echo e((request()->get('type') == $type) ? ' selected' : ''); ?> value="<?php echo e($type); ?>">
                                                                <?php echo e(ucfirst(__($type))); ?>

                                                            </option>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-6">
                                                    <div class="form-group">
                                                        <label
                                                            class="overline-title overline-title-alt"><?php echo e(__('Source')); ?></label>
                                                        <select name="source" class="form-select form-select-sm">
                                                            <option value="any"><?php echo e(__("Any Source")); ?></option>
                                                            <?php $__currentLoopData = $sources; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $source): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option<?php echo e((request()->get('source') == $source) ? ' selected' : ''); ?> value="<?php echo e($source); ?>">
                                                                <?php echo e(w2n($source)); ?>

                                                            </option>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="dropdown-foot between">
                                            <button type="submit" class="btn btn-secondary"><?php echo e(__('Filter')); ?></button>
                                            <a href="<?php echo e(route('admin.investment.transactions.list')); ?>" class="clickable"><?php echo e(__('Reset Filter')); ?></a>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </li>
                        <li>
                            <div class="dropdown">
                                <a class="dropdown-toggle btn btn-icon btn-trigger mx-n1" data-toggle="dropdown"
                                   data-offset="-8,0" aria-expanded="false"><em class="icon ni ni-setting"></em></a>
                                <div class="dropdown-menu dropdown-menu-xs dropdown-menu-right" style="">
                                    <ul class="link-check">
                                        <li><span><?php echo e(__('Show')); ?></span></li>
                                        <?php $__currentLoopData = config('investorm.pgtn_pr_pg'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="update-meta<?php echo e((user_meta('iv_tnx_perpage', '10') == $item) ? ' active' : ''); ?>">
                                            <a href="#" data-value="<?php echo e($item); ?>" data-meta="perpage" data-type="iv_tnx"><?php echo e($item); ?></a>
                                        </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                    <ul class="link-check">
                                        <li><span><?php echo e(__('Order')); ?></span></li>
                                        <?php $__currentLoopData = config('investorm.pgtn_order'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="update-meta<?php echo e((user_meta('iv_tnx_order', 'desc') == $item) ? ' active' : ''); ?>">
                                            <a href="#" data-value="<?php echo e($item); ?>" data-meta="order" data-type="iv_tnx"><?php echo e(__(strtoupper($item))); ?></a>
                                        </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                    <ul class="link-check">
                                        <li><span><?php echo e(__('Density')); ?></span></li>
                                        <?php $__currentLoopData = config('investorm.pgtn_dnsty'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="update-meta<?php echo e((user_meta('iv_tnx_display', 'regular') == $item) ? ' active' : ''); ?>">
                                            <a href="#" data-value="<?php echo e($item); ?>" data-meta="display" data-type="iv_tnx"><?php echo e(__(ucfirst($item))); ?></a>
                                        </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
                <form action="<?php echo e(url()->current()); ?>" method="GET">
                    <div class="search-wrap search-wrap-extend bg-lighter<?php echo e((request()->get('query')) ? ' active' : ''); ?>" data-search="search">
                        <div class="search-content">
                            <a href="<?php echo e(url()->current()); ?>" class="search-back btn btn-icon toggle-search" data-target="search"><em class="icon ni ni-arrow-left"></em></a>
                            <input type="text" name="query" value="<?php echo e(request()->get('query')); ?>" class="form-control border-transparent form-focus-none" placeholder="Search by statement id">
                            <button class="search-submit btn btn-icon mr-1"><em class="icon ni ni-search"></em></button>
                        </div>
                    </div>
                </form>
            </div>

            <div class="card card-bordered card-stretch">
                <div class="card-inner-group">
                    <?php if(filled($transactions)): ?>
                    <div class="card-inner p-0">
                        <div class="nk-tb-list nk-tb-tnx<?php echo e(user_meta('iv_tnx_display') == 'compact' ? ' is-compact': ''); ?>">
                            <div class="nk-tb-item nk-tb-head">
                                <div class="nk-tb-col"><span><?php echo e(__('Statement ID')); ?></span></div>
                                <div class="nk-tb-col tb-col-sm"><span><?php echo e(__('Date & Time')); ?></span></div>
                                <div class="nk-tb-col tb-col-md"><span><?php echo e(__('Details')); ?></span></div>
                                <div class="nk-tb-col tb-col-md"><span><?php echo e(__('Account')); ?></span></div>
                                <div class="nk-tb-col tb-col-sm"><span><?php echo e(__('Type')); ?></span></div>
                                <div class="nk-tb-col text-right"><span><?php echo e(__('Amount')); ?></span></div>
                            </div>
                            <?php $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tnx): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="nk-tb-item" id="tnx-row-<?php echo e($tnx->id); ?>">
                                    <?php echo $__env->make('investment.admin.statement.transaction-row', ['transaction' => $tnx], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                    <div class="card-inner pt-3 pb-3">
                        <?php if(filled($transactions)): ?>
                            <?php echo e($transactions->appends(request()->all())->links('misc.pagination')); ?>

                        <?php endif; ?>
                    </div>
                    <?php else: ?>
                    <div class="alert alert-primary">
                        <div class="alert-cta flex-wrap flex-md-nowrap">
                            <div class="alert-text">
                                <p><?php echo e(__('No transaction found.')); ?></p>
                            </div>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
<div class="modal fade" role="dialog" id="ajax-modal"></div>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('scripts'); ?>
<script type="text/javascript">
    const updateSetting = "<?php echo e(route('admin.profile.update')); ?>", 
          routes = { profit: "<?php echo e(route('admin.investment.process.profits')); ?>", plan: "<?php echo e(route('admin.investment.process.plans')); ?>", transfer: "<?php echo e(route('admin.investment.process.transfers')); ?>", manual: "<?php echo e(route('admin.investment.manual.add')); ?>" };
          msgs = {
              addnew:{ 
                title: "<?php echo e(__('Add Manual Transaction?')); ?>", 
                btn: {cancel: "<?php echo e(__('No')); ?>", confirm: "<?php echo e(__('Yes, Procced')); ?>"}, 
                context: "<?php echo __("You cannot revert back this action, so please confirm that you want to add the transaction manually."); ?>", 
                custom: "success", type: "info" 
            }
          };
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/investment/admin/statement/transactions.blade.php ENDPATH**/ ?>