<?php
$style = (lang_dir() == 'rtl') ? 'apps.rtl' : 'apps';
?>
<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>" class="js" id="<?php echo e(gui_body()); ?>">
<head>
    <meta charset="utf-8">
    <meta name="author" content="<?php echo e(site_info('author')); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta name="site-token" content="<?php echo e(site_token()); ?>">
    <title><?php echo $__env->yieldContent('title', 'Welcome'); ?> | <?php echo e(site_info('name')); ?></title>
    <link rel="shortcut icon" href="<?php echo e(asset('favicon.ico')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/'.$style.'.css?ver=140')); ?>">
<?php if(sys_settings('ui_theme_skin', 'default')!='default'): ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/skins/theme-'.sys_settings('ui_theme_skin').'.css?ver=140')); ?>">
<?php endif; ?>
<?php if(!empty(global_meta_content('seo'))): ?>
    <?php echo global_meta_content('seo'); ?>

<?php endif; ?>
    <?php echo $__env->make('misc.share', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('misc.analytics', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php if(has_recaptcha()): ?>
    <script src="https://www.google.com/recaptcha/api.js?render=<?php echo e(recaptcha_key('site')); ?>"></script>
<?php endif; ?>
<?php if(sys_settings('header_code')): ?>
    <?php echo e(html_string(sys_settings('header_code'))); ?>

<?php endif; ?>
</head>
<body class="nk-body npc-cryptlite pg-auth<?php echo e((gui('skin', 'auth')!='light') ? ' is-'.gui('skin', 'auth') : ''); ?><?php echo e(dark_theme('active')); ?>"<?php echo lang_dir() == 'rtl' ? ' dir="rtl"' : ''; ?> data-theme="<?php echo e(dark_theme('mode')); ?>">
<div class="nk-app-root">
    <div class="nk-wrap">

        <div class="nk-block nk-block-middle nk-auth-body wide-xs">

            <?php echo e(site_branding('header', ['panel' => 'auth', 'size' => 'lg', 'class' => 'pb-4', 'custom_link' => logo_link('pb', 'raw')])); ?>


            <?php echo $__env->yieldContent('content'); ?>

            <?php echo Panel::socials('any', ['class' => 'icon-list justify-center pt-4',  'parent' => true ]); ?>


        </div>

        <?php echo $__env->make('auth.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    </div>
</div>

<?php echo $__env->make('misc.gdpr', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php if(sys_settings('custom_stylesheet')=='on'): ?>
    <link rel="stylesheet" href="<?php echo e(asset('/css/custom.css')); ?>">
<?php endif; ?>
<?php if(dark_theme('exist') && dark_theme('css')): ?>
    <style type="text/css"><?php echo e(dark_theme('css')); ?></style>
<?php endif; ?>
<script type="text/javascript">
    const msgwng = "<?php echo e(__("Sorry, something went wrong!")); ?>", msgunp = "<?php echo e(__("Unable to process your request.")); ?>";
    <?php if(user_consent() === null): ?>
    const consentURI = "<?php echo e(route('gdpr.cookie')); ?>";
    <?php endif; ?>
</script>
<script src="<?php echo e(asset('/assets/js/bundle.js?ver=140')); ?>"></script>
<script src="<?php echo e(asset('/assets/js/app.js?ver=140')); ?>"></script>
<?php echo $__env->yieldPushContent('scripts'); ?>
<?php if(sys_settings('tawk_api_key')): ?>
<script type="text/javascript">
    var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date(); (function(){ var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0]; s1.async=true; s1.src='https://embed.tawk.to/<?php echo e(str_replace(['https://tawk.to/chat/', 'http://tawk.to/chat/'], '', sys_settings('tawk_api_key'))); ?>'; s1.charset='UTF-8'; s1.setAttribute('crossorigin','*'); s0.parentNode.insertBefore(s1,s0); })();
</script>
<?php endif; ?>
<?php if(sys_settings('footer_code')): ?>
    <?php echo e(html_string(sys_settings('footer_code'))); ?>

<?php endif; ?>
</body>
</html>
<?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/auth/layouts/master.blade.php ENDPATH**/ ?>