
<?php $__env->startSection('title', __('Invested Plan')); ?>

<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="nk-block-head nk-block-head-sm">
            <div class="nk-block-between">
                <div class="nk-block-head-content">
                    <h3 class="nk-block-title page-title"><?php echo e(__('Invested Plans')); ?></h3>
                    <p><?php echo __('Total :count entries.', ['count' => '<span class="text-base">'.$investments->total().'</span>' ]); ?></p>
                </div>
                <div class="nk-block-head-content">
                    <ul class="nk-block-tools g-3">
                        <li>
                            <a href="<?php echo e(route('admin.investment.schemes')); ?>" class="btn btn-white btn-dim btn-outline-gray d-none d-sm-inline-flex"><em class="icon ni ni-package-fill"></em><span><?php echo e(__("Manage Scheme")); ?></span></a>
                            <a href="<?php echo e(route('admin.investment.schemes')); ?>" class="btn btn-icon btn-white btn-dim btn-outline-gray d-inline-flex d-sm-none"><em class="icon ni ni-package-fill"></em></a>
                        </li>
                        <li class="nk-block-tools">
                            <div class="dropdown">
                                <a class="dropdown-toggle btn btn-primary" data-toggle="dropdown"><em class="icon ni ni-invest"></em><span class="d-none d-sm-inline"><?php echo e(__("Process")); ?></span></a>
                                <div class="dropdown-menu dropdown-menu-smd dropdown-menu-right">
                                    <ul class="link-list-opt no-bdr">
                                        <li><a href="javascript:void(0)" data-action="plan" data-backdrop="static" class="actn-psivs<?php echo e((is_locked('plan')) ? ' disabled' : ''); ?>">
                                            <em class="icon ni ni-update"></em><span><?php echo e(__('Sync Invested Plans')); ?></span></a>
                                        </li>
                                        <li><a href="javascript:void(0)" data-action="profit" data-backdrop="static" class="actn-psivs<?php echo e((is_locked('profit')) ? ' disabled' : ''); ?>">
                                            <em class="icon ni ni-check-circle-cut"></em><span><?php echo e(__('Approve the Profits')); ?></span></a>
                                        </li>
                                        <li><a href="javascript:void(0)" data-action="transfer" data-backdrop="static" class="actn-psivs<?php echo e((is_locked('transfer')) ? ' disabled' : ''); ?>"">
                                            <em class="icon ni ni-swap-alt"></em><span><?php echo e(__('Complete Auto Transfers')); ?></span></a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <ul class="nk-nav nav nav-tabs mt-n3 mb-md-n3">
            <li class="nav-item">
                <a class="nav-link<?php echo e(($listing=='active') ? ' active' : ''); ?>" href="<?php echo e(route('admin.investment.list', ['status' => 'active'])); ?>"><span><?php echo e(__('Actived')); ?></span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link<?php echo e(($listing=='pending') ? ' active' : ''); ?>" href="<?php echo e(route('admin.investment.list', ['status' => 'pending'])); ?>">
                    <span><?php echo e(__('Pending')); ?> <?php if($pendingCount > 0): ?> <span class="badge badge-primary"><?php echo e($pendingCount); ?></span> <?php endif; ?> </span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link<?php echo e(($listing=='completed') ? ' active' : ''); ?>" href="<?php echo e(route('admin.investment.list', ['status' => 'completed'])); ?>">
                    <span><?php echo e(__('Completed')); ?></span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link<?php echo e(($listing=='all') ? ' active' : ''); ?>" href="<?php echo e(route('admin.investment.list')); ?>">
                    <span><?php echo e(__('All Plans')); ?></span>
                </a>
            </li>
        </ul>
        <div class="nk-block nk-block-sm">
            <div class="nk-block-head nk-block-head-sm">
                <div class="nk-block-between">
                    <div class="nk-block-head-content">
                        <h6 class="nk-block-title"><?php echo e(__(':status Invested Plans', ['status' => ucfirst((($listing=='active') ? 'Actived' : $listing)) ?? 'Actived'])); ?></h6>
                    </div>
                    <ul class="nk-block-tools gx-3">
                        <li>
                            <a href="#" class="search-toggle toggle-search btn btn-icon btn-trigger" data-target="search"><em class="icon ni ni-search"></em></a>
                        </li>
                        <li>
                            <div class="dropdown">
                                <a class="dropdown-toggle btn btn-icon btn-trigger mx-n2" data-toggle="dropdown" data-offset="-8,0" aria-expanded="false"><em class="icon ni ni-setting"></em></a>
                                <div class="dropdown-menu dropdown-menu-xs dropdown-menu-right" style="">
                                    <ul class="link-check">
                                        <li><span><?php echo e(__('Show')); ?></span></li>
                                        <?php $__currentLoopData = config('investorm.pgtn_pr_pg'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="update-meta<?php echo e((user_meta('iv_invest_perpage', '10') == $item) ? ' active' : ''); ?>">
                                            <a href="#" data-value="<?php echo e($item); ?>" data-meta="perpage" data-type="iv_invest"><?php echo e($item); ?></a>
                                        </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                    <ul class="link-check">
                                        <li><span><?php echo e(__('Order')); ?></span></li>
                                        <?php $__currentLoopData = config('investorm.pgtn_order'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="update-meta<?php echo e((user_meta('iv_invest_order', 'desc') == $item) ? ' active' : ''); ?>">
                                            <a href="#" data-value="<?php echo e($item); ?>" data-meta="order" data-type="iv_invest"><?php echo e(__(strtoupper($item))); ?></a>
                                        </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                    <ul class="link-check">
                                        <li><span><?php echo e(__('Density')); ?></span></li>
                                        <?php $__currentLoopData = config('investorm.pgtn_dnsty'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="update-meta<?php echo e((user_meta('iv_invest_display', 'regular') == $item) ? ' active' : ''); ?>">
                                            <a href="#" data-value="<?php echo e($item); ?>" data-meta="display" data-type="iv_invest"><?php echo e(__(ucfirst($item))); ?></a>
                                        </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
                <form action="<?php echo e(url()->current()); ?>" method="GET">
                    <div class="search-wrap search-wrap-extend bg-lighter<?php echo e((request()->get('query')) ? ' active' : ''); ?>" data-search="search">
                        <div class="search-content">
                            <a href="#" class="search-back btn btn-icon toggle-search" data-target="search"><em class="icon ni ni-arrow-left"></em></a>
                            <input type="text" name="query" value="<?php echo e(request()->get('query')); ?>" class="form-control border-transparent form-focus-none" placeholder="<?php echo e(__("Search by investment id")); ?>">
                            <button class="search-submit btn btn-icon"><em class="icon ni ni-search"></em></button>
                        </div>
                    </div>
                </form>
            </div>
            <div class="card card-bordered">
                <div class="card-inner-group">
                    <?php if(blank($investments)): ?>
                        <div class="alert alert-primary">
                            <div class="alert-cta flex-wrap flex-md-nowrap">
                                <div class="alert-text">
                                    <p><?php echo e(__('No investment plan found.')); ?></p>
                                </div>
                            </div>
                        </div>
                    <?php else: ?>
                    <div class="card-inner p-0">
                        <div class="nk-tb-list nk-tb-ivx<?php echo e(user_meta('iv_invest_display') == 'compact' ? ' is-compact': ''); ?>">
                            <div class="nk-tb-item nk-tb-head">
                                <div class="nk-tb-col"><span><?php echo e(__('Plan')); ?></span></div>
                                <div class="nk-tb-col tb-col-sm"><span><?php echo e(__('Invest By')); ?></span></div>
                                <div class="nk-tb-col tb-col-lg"><span><?php echo e(__('Start Date')); ?></span></div>
                                <div class="nk-tb-col tb-col-lg"><span><?php echo e(__('End Date')); ?></span></div>
                                <div class="nk-tb-col tb-col-lg"><span><?php echo e(__('Investment ID')); ?></span></div>
                                <div class="nk-tb-col"><span><?php echo e(__('Amount')); ?></span></div>
                                <div class="nk-tb-col tb-col-sm"><span><?php echo e(__('Status')); ?></span></div>
                                <div class="nk-tb-col"><span>&nbsp;</span></div>
                            </div>

                            <?php $__currentLoopData = $investments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="nk-tb-item">
                                <div class="nk-tb-col">
                                    <div class="align-center">
                                        <div class="user-avatar user-avatar-sm bg-light">
                                            <span><?php echo e(strtoupper(substr(data_get($plan, 'scheme.short'), 0, 2))); ?></span>
                                        </div>
                                        <span class="tb-sub ml-2"><?php echo e(data_get($plan, 'scheme.name')); ?> <span class="d-none d-md-inline">- <?php echo e(data_get($plan, 'calc_details_alter')); ?></span></span>
                                    </div>
                                </div>
                                <div class="nk-tb-col tb-col-sm">
                                    <div class="user-card">
                                        <?php echo user_avatar($plan->user, 'xs'); ?>

                                        <div class="user-name">
                                            <span class="tb-lead"><?php echo e(data_get($plan, 'user.name')); ?></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="nk-tb-col tb-col-lg">
                                    <span class="tb-sub"><?php echo e(show_date(data_get($plan, 'term_start'), true)); ?></span>
                                </div>
                                <div class="nk-tb-col tb-col-lg">
                                    <span class="tb-sub"><?php echo e(show_date(data_get($plan, 'term_end'), true)); ?></span>
                                </div>
                                <div class="nk-tb-col tb-col-lg">
                                    <span class="tb-sub"><?php echo e(data_get($plan, 'ivx')); ?></span>
                                </div>
                                <div class="nk-tb-col">
                                    <span class="tb-sub tb-amount"><?php echo e(money(data_get($plan, 'amount'), base_currency())); ?></span>
                                </div>
                                <div class="nk-tb-col tb-col-sm">
                                    <?php if(data_get($plan, 'status')=='active' && $listing!='all'): ?>
                                    <div class="progress progress-sm w-100px nk-tooltip" title="<?php echo e(__("Received :amount (:percent)", ['amount' => money(data_get($plan, 'received', 0), base_currency()), 'percent' => data_get($plan, 'progress', 0).'%'])); ?>">
                                        <div class="progress-bar" data-progress="<?php echo e(data_get($plan, 'progress', 0)); ?>"></div>
                                    </div>
                                    <?php else: ?> 
                                    <span class="badge badge-dim <?php echo e(the_state(data_get($plan, 'status'), ['prefix' => 'badge'])); ?>"><?php echo e(__(ucfirst(data_get($plan, 'status')))); ?></span>
                                    <?php endif; ?>
                                </div>
                                <div class="nk-tb-col nk-tb-col-action">
                                    <a href="<?php echo e(route('admin.investment.details', ['id' => the_hash($plan->id)])); ?>" class="text-soft btn btn-sm btn-icon btn-trigger"><em class="icon ni ni-chevron-right"></em></a>
                                </div>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                    <?php if(filled($investments) && $investments->hasPages()): ?>
                    <div class="card-inner pt-3 pb-3">
                        <?php echo e($investments->appends(request()->all())->links('misc.pagination')); ?>

                    </div>
                    <?php endif; ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
<div class="modal fade" role="dialog" id="ajax-modal"></div>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('scripts'); ?>
<script type="text/javascript">
    const updateSetting = "<?php echo e(route('admin.profile.update')); ?>",
        routes = {
            profit: "<?php echo e(route('admin.investment.process.profits')); ?>", 
            plan: "<?php echo e(route('admin.investment.process.plans')); ?>",
            transfer: "<?php echo e(route('admin.investment.process.transfers')); ?>",
            quick: "<?php echo e(route('admin.investment.plan.action')); ?>",
            approve: "<?php echo e(route('admin.investment.plan.approve')); ?>",
            reject: "<?php echo e(route('admin.investment.plan.cancel')); ?>"
        },
        msgs = {
            approved: {
                title: "<?php echo e(__('Approved Investment?')); ?>",
                btn: {cancel: "<?php echo e(__('Cancel')); ?>", confirm: "<?php echo e(__('Yes, Procced')); ?>"},
                context: "<?php echo __("Please confirm that you want to procced the request and start the investment."); ?>",
                custom: "success", type: "info"
            },
            cancelled: {
                title: "<?php echo e(__('Cancel Investment?')); ?>",
                btn: {cancel: "<?php echo e(__('No')); ?>", confirm: "<?php echo e(__('Yes, Cancel')); ?>"},
                context: "<?php echo __("You cannot revert back this action, so please confirm that you want to cancel."); ?>",
                custom: "danger", type: "warning"
            }
        };
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/investment/admin/invest/list.blade.php ENDPATH**/ ?>