
<?php $__env->startSection('title', __('Investment Details')); ?>

<?php

use App\Enums\InvestmentStatus;
use App\Enums\InterestRateType;
use App\Enums\RefundType;
use App\Enums\SchemePayout;

$currency = base_currency();

?>
<?php if(is_null(data_get($invest, 'scheme.type'))): ?>
<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="nk-block-head">
            <h3 class="nk-block-title page-title">
                <?php echo __('Investment / :summary', ['summary' => '<span class="text-primary small">'.data_get($invest, 'summary_title_alter').'</span>' ]); ?>

            </h3>
            <div class="nk-block-between<?php echo e($invest->status === InvestmentStatus::PENDING ? '-md' : ' align-items-end'); ?> g-3">
                <div class="nk-block-head-content">
                    <div class="nk-block-des text-soft">
                        <ul class="list-inline">
                            <li><?php echo e(__("Invested By:")); ?> <span class="text-base"><?php echo e(the_uid($invest->user->id)); ?> (<?php echo e(str_protect($invest->user->email)); ?>)</span></li>
                            <li><?php echo e(__("Invest ID:")); ?> <span class="text-base"><?php echo e(the_inv($invest->ivx)); ?></span></li>
                            <li><span class="badge<?php echo e(the_state($invest->status, ['prefix' => 'badge'])); ?>"><?php echo e(ucfirst($invest->status)); ?></span></li>
                        </ul>
                    </div>
                </div>
                <div class="nk-block-head-content">
                    <ul class="nk-block-tools gx-1">

                        <?php if($invest->status == InvestmentStatus::PENDING): ?>

                            <li class="order-md-last"><a href="javascript:void(0)" class="btn btn-primary" data-toggle="modal" data-target="#approve-investment"><em class="icon ni ni-check"></em> <span><?php echo e(__('Approve')); ?></span> </a></li>
                            <li class="order-md-last"><a href="javascript:void(0)" class="btn btn-danger actnivs" data-confirm="yes" data-reload="yes" data-action="cancelled" data-uid="<?php echo e(the_hash($invest->id)); ?>"><em class="icon ni ni-cross"></em> <span><?php echo e(__('Cancel')); ?></span> </a></li>
                        <?php endif; ?>

                        <?php if($invest->status == InvestmentStatus::ACTIVE): ?>
                        <li class="nk-block-tools">
                            <div class="dropdown">
                                <a class="dropdown-toggle btn btn-white btn-icon btn-outline-light" data-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                                <div class="dropdown-menu dropdown-menu-right">
                                    <ul class="link-list-opt no-bdr">
                                        <?php if(($invest->payout_type == SchemePayout::TERM_BASIS) || ($invest->payout_type == SchemePayout::AFTER_MATURED && $invest->remaining_term == 0)): ?>
                                        <li>
                                        <a href="javascript:void(0)" data-action="plan" data-backdrop="static" class="actn-psivs <?php echo e((is_locked('plan')) ? ' disabled' : ''); ?>">
                                            <em class="icon ni ni-invest"></em><span><?php echo e(__('Approve the profits')); ?></span></a>
                                        </li>
                                        <?php endif; ?>
                                        <?php if($invest->remaining_term === 0): ?>
                                        <li>
                                        <a href="javascript:void(0)" class="actnivs" data-reload="yes" data-confirm="yes" data-action="complete" data-uid="<?php echo e(the_hash($invest->id)); ?>"><em class="icon ni ni-check-circle-cut"></em><span><?php echo e(__('Complete this plan')); ?></span></a>
                                        </li>
                                        <?php endif; ?>
                                        <li>
                                        <a href="javascript:void(0)" data-toggle="modal" data-target="#cancel-investment"><em class="icon ni ni-cross"></em> <span><?php echo e(__('Cancel this plan')); ?></span> </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </li>
                        <?php endif; ?>
                        <li class="order<?php echo e($invest->status === InvestmentStatus::PENDING ? '-md' : ''); ?>-first ml-auto">
                            <a href="<?php echo e((url()->previous() && (url()->previous() != url()->current())) ? url()->previous() : route('admin.investment.list')); ?>" class="btn btn-outline-light bg-white d-none d-sm-inline-flex"><em class="icon ni ni-arrow-left"></em><span><?php echo e(__('Back')); ?></span></a>
                            <a href="<?php echo e((url()->previous() && (url()->previous() != url()->current())) ? url()->previous() : route('admin.investment.list')); ?>" class="btn btn-icon btn-outline-light bg-white d-inline-flex d-sm-none back-me"><em class="icon ni ni-arrow-left"></em></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <?php if($invest->status === InvestmentStatus::ACTIVE && $invest->payout_type === SchemePayout::AFTER_MATURED): ?>
            <div class="nk-block">
                <div class="alert alert-primary alert-thick alert-plain">
                    <div class="alert-cta flex-wrap flex-md-nowrap g-2">
                        <div class="alert-text has-icon">
                            <em class="icon ni ni-info-fill text-primary"></em>
                            <?php if(data_get($invest, 'term_count') == data_get($invest, 'term_total')): ?>
                                <p><?php echo e(__('This investment plan has been matured. You should complete this investment plan.')); ?></p>
                            <?php else: ?>
                                <p><?php echo e(__('All the profits amount are locked until this investment plan is mature.')); ?></p>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif; ?>
        <div class="nk-block">
            <div class="row gx-gs gy-3">
                <div class="col-12">
                    <div class="card card-bordered">
                        <div class="card-inner">
                            <div class="row gy-gs">
                                <div class="col-md-6 col-xl col-xxl-8">
                                    <div class="nk-wgacc">
                                        <div class="nk-wgacc-group flex-lg-nowrap gx-4">
                                            <div class="nk-wgacc-sub">
                                                <div class="nk-wgacc-amount">
                                                    <div class="number"><?php echo e(amount_z($invest->amount, $currency)); ?> <span class="fw-normal text-base"><?php echo e($currency); ?></span></div>
                                                </div>
                                                <div class="nk-wgacc-subtitle"><?php echo e(__('Invested')); ?></div>
                                            </div>
                                            <div class="nk-wgacc-sub">
                                                <span class="nk-wgacc-sign text-soft"><em class="icon ni ni-plus"></em></span>
                                                <div class="nk-wgacc-amount">
                                                    <div class="number"><?php echo e(amount_z($invest->profit, $currency)); ?></div>
                                                </div>
                                                <div class="nk-wgacc-subtitle"><?php echo e(__('Profit')); ?> (<?php echo e(__("Approx")); ?>)</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6 col-xl col-xxl-4">
                                    <div class="nk-wgacc pl-md-3">
                                        <div class="nk-wgacc-group flex-lg-nowrap gx-4">
                                            <div class="nk-wgacc-sub">
                                                <div class="nk-wgacc-amount">
                                                    <div class="number">
                                                        <?php echo e(amount_z($invest->received, $currency)); ?> <span class="fw-normal text-base"><?php echo e($currency); ?></span>
                                                        <?php if($invest->pending_amount > 0): ?>
                                                            <em class="icon ni ni-info nk-tooltip" title="<?php echo e(__('Remain :amount', ['amount' => money($invest->pending_amount, $currency)])); ?>"></em>
                                                        <?php endif; ?>
                                                    </div>
                                                </div>
                                                <div class="nk-wgacc-subtitle">
                                                    <?php echo e(__('Paid Amount')); ?> <?php echo e((data_get($invest, 'scheme.capital', 0)==0) ? __("(inc. cap)") : (($invest->status != InvestmentStatus::COMPLETED) ? __("(exc. cap)") : '')); ?>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="nk-plan-details">
                            <ul class="nk-wgacc-list">
                                <li>
                                    <div class="sub-text"><?php echo e(__('Term duration')); ?></div>
                                    <div class="lead-text"><?php echo e(data_get($invest, 'term')); ?></div>
                                </li>
                                <li>
                                    <div class="sub-text"><?php echo e(__('Term compute')); ?></div>
                                    <div class="lead-text"><?php echo e(ucfirst(__(data_get($invest, 'term_calc')))); ?></div>
                                </li>
                                <li>
                                    <div class="sub-text"><?php echo e(__('Term start at')); ?></div>
                                    <div class="lead-text"><?php echo e(show_date(data_get($invest, 'term_start'), true) ?? __('N/A')); ?></div>
                                </li>
                                <li>
                                    <div class="sub-text"><?php echo e(__('Term end at')); ?></div>
                                    <div class="lead-text"><?php echo e(show_date(data_get($invest, 'term_end'), true) ?? __('N/A')); ?></div>
                                </li>
                            </ul>
                            <ul class="nk-wgacc-list">
                                <li>
                                    <div class="sub-text"><?php echo e(__('Interest (:frequency)', ['frequency' => __(data_get($invest, 'scheme.calc_period'))])); ?></div>
                                    <div class="lead-text"><?php echo e(data_get($invest, 'rate_text')); ?></div>
                                </li>
                                <li>
                                    <div class="sub-text"><?php echo e(__('Total net profit')); ?></div>
                                    <div class="lead-text"><span class="currency"><?php echo e($currency); ?></span> <?php echo e(amount_z(data_get($invest, 'profit'), $currency)); ?></div>
                                </li>
                                <li>
                                    <div class="sub-text"><?php echo e(__(':Calc profit :capital', ['calc' => __(data_get($invest, 'scheme.calc_period')), 'capital' => (data_get($invest, 'scheme.capital', 0)==0) ? __("(inc. cap)") : __("(exc. cap)") ])); ?></div>
                                    <div class="lead-text"><span class="currency"><?php echo e($currency); ?></span> <?php echo e(amount_z(data_get($invest, 'calc_profit'), $currency)); ?></div>
                                </li>
                                <li>
                                    <div class="sub-text"><?php echo e(__('Adjust profit')); ?></div>
                                    <div class="lead-text">
                                        <?php echo e(__(":count / :total times", ['count' => data_get($invest, 'term_count'), 'total' => data_get($invest, 'term_total')])); ?>

                                    </div>
                                </li>
                            </ul>
                            <ul class="nk-wgacc-list">
                                <li>
                                    <div class="sub-text"><?php echo e(__('Payment source')); ?></div>
                                    <div class="lead-text"><?php echo e((data_get($invest, 'payment_source')) ? w2n(data_get($invest, 'payment_source')) : __("N/A")); ?></div>
                                </li>
                                <li>
                                    <div class="sub-text"><?php echo e(__('Payment reference')); ?></div>
                                    <div class="lead-text"><?php echo e(data_get($invest, 'reference', __("N/A"))); ?></div>
                                </li>
                                <li>
                                    <div class="sub-text"><?php echo e(__('Payment date')); ?></div>
                                    <div class="lead-text"><?php echo e(data_get($invest, 'payment_date', __("N/A"))); ?></div>
                                </li>
                                <li>
                                    <div class="sub-text"><?php echo e(__('Paid amount')); ?></div>
                                    <div class="lead-text">
                                        <?php if($invest->status!=InvestmentStatus::PENDING): ?>
                                        <span class="currency"><?php echo e($currency); ?></span> <?php echo e(amount_z(data_get($invest, 'paid_amount'), $currency)); ?>

                                        <?php else: ?>
                                        <?php echo e(__("N/A")); ?>

                                        <?php endif; ?>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="card card-bordered card-full">
                        <div class="card-inner pb-2">
                            <h6 class="overline-title text-secondary fs-13px"><?php echo e(__("Plan Details")); ?></h6>
                        </div>
                        <ul class="nk-wgacc-list w-100">
                            <li>
                                <div class="sub-text"><?php echo e(__('Scheme / Plan')); ?></div>
                                <div class="lead-text">
                                    <?php echo e(data_get($invest->scheme, 'name') . ' (' . data_get($invest->scheme, 'short') . ')'); ?>

                                </div>
                            </li>
                            <li>
                                <div class="sub-text"><?php echo e(__('Payout term')); ?></div>
                                <div class="lead-text">
                                    <?php echo e(str_replace('_', ' ', ucfirst(data_get($invest->scheme, 'payout')))); ?>

                                </div>
                            </li>
                            <li>
                                <div class="sub-text"><?php echo e(__('Interest rate')); ?> (<?php echo e(ucfirst(data_get($invest->scheme, 'calc_period'))); ?>)</div>
                                <div class="lead-text">
                                    <?php echo e(data_get($invest->scheme, 'rate') . ' (' . ucfirst(data_get($invest->scheme, 'rate_type')) . ')'); ?>

                                </div>
                            </li>
                            <li>
                                <div class="sub-text"><?php echo e(__('Term duration')); ?></div>
                                <div class="lead-text">
                                    <?php echo e(data_get($invest->scheme, 'term') . ' ' . ucfirst(data_get($invest->scheme, 'term_type'))); ?>

                                </div>
                            </li>
                            <li>
                                <div class="sub-text"><?php echo e(__('Capital return')); ?></div>
                                <div class="lead-text">
                                    <?php echo e((data_get($invest->scheme, 'capital', 0)==1) ? __("End of term") : __("Each term")); ?>

                                </div>
                            </li>
                            <li>
                                <div class="sub-text"><?php echo e(__('Fixed investment')); ?></div>
                                <div class="lead-text">
                                    <?php echo e((data_get($invest->scheme, 'is_fixed', 0)==1) ? __("Yes") : __("No")); ?>

                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="card card-bordered card-full">
                        <div class="card-inner pb-2">
                            <h6 class="overline-title text-secondary fs-13px"><?php echo e(__("Action Details")); ?></h6>
                        </div>
                        <ul class="nk-wgacc-list w-100">
                            <li>
                                <div class="sub-text"><?php echo e(__('Ordered date')); ?></div>
                                <div class="lead-text">
                                    <?php echo e(show_date(data_get($invest, 'order_at'), true)); ?>

                                </div>
                            </li>
                            <li>
                                <div class="sub-text"><?php echo e(__('Ordered by')); ?></div>
                                <div class="lead-text">
                                    <?php if(data_get($invest, 'order_by')): ?>
                                        <em class="icon ni ni-info text-soft small nk-tooltip" title="<?php echo e(str_protect(get_user(data_get($invest, 'order_by'))->email)); ?>"></em>
                                        <?php echo e(get_user(data_get($invest, 'order_by'))->name); ?>

                                    <?php else: ?>
                                        <?php echo e(__("Unknown")); ?>

                                    <?php endif; ?>
                                </div>
                            </li>
                            <li>
                                <div class="sub-text"><?php echo e(__('Approved date')); ?></div>
                                <div class="lead-text">
                                    <?php if(data_get($invest, 'approve_at')): ?>
                                        <?php echo e(show_date(data_get($invest, 'approve_at'), true)); ?>

                                    <?php else: ?>
                                        <em class="text-soft"><?php echo e(__("Not yet")); ?></em>
                                    <?php endif; ?>
                                </div>
                            </li>
                            <li>
                                <div class="sub-text"><?php echo e(__('Approved by')); ?></div>
                                <div class="lead-text">
                                    <?php if(data_get($invest, 'approve_by')): ?>
                                        <em class="icon ni ni-info text-soft small nk-tooltip" title="<?php echo e(str_protect(get_user(data_get($invest, 'approve_by'))->email)); ?>"></em>
                                        <?php echo e(get_user(data_get($invest, 'approve_by'))->name); ?>

                                    <?php else: ?>
                                        <?php echo e(__("N/A")); ?>

                                    <?php endif; ?>
                                </div>
                            </li>
                            <li>
                                <div class="sub-text"><?php echo e(__('Completed date')); ?></div>
                                <div class="lead-text">
                                    <?php if(data_get($invest, 'completed_at')): ?>
                                        <?php echo e(show_date(data_get($invest, 'completed_at'), true)); ?>

                                    <?php else: ?>
                                        <?php if($invest->status==InvestmentStatus::PENDING): ?>
                                        <em class="text-soft"><?php echo e(__("Not started")); ?></em>
                                        <?php else: ?>
                                        <em class="text-soft"><?php echo e(__("Not completed")); ?></em>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </div>
                            </li>
                            <?php if($invest->status==InvestmentStatus::CANCELLED): ?>
                            <li>
                                <div class="sub-text"><?php echo e(__('Cancelation date')); ?></div>
                                <div class="lead-text">
                                    <?php if(data_get($invest, 'cancelled_by')): ?>
                                    <em class="icon ni ni-info text-soft small nk-tooltip" title="<?php echo e(__("Cancelled by :name", ['name' => get_user(data_get($invest, 'cancelled_by'))->name ])); ?>"></em>
                                    <?php endif; ?>
                                    <?php echo e(show_date(data_get($invest, 'cancelled_at'), true)); ?>

                                </div>
                            </li>
                            <?php else: ?>
                            <li>
                                <div class="sub-text"><?php echo e(__('Last updated')); ?></div>
                                <div class="lead-text">
                                    <?php echo e(show_date(data_get($invest, 'updated_at'), true)); ?>

                                </div>
                            </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="card card-bordered card-full">
                        <div class="card-inner pb-2">
                            <h6 class="overline-title text-secondary fs-13px"><?php echo e(__("Additional")); ?></h6>
                        </div>
                        <ul class="nk-wgacc-list w-100">
                            <li class="flex-column align-start w-100">
                                <div class="sub-text"><?php echo e(__('Desc')); ?></div>
                                <div class="lead-text">
                                    <?php echo e((data_get($invest, 'desc')) ? data_get($invest, 'desc') : __("N/A")); ?>

                                </div>
                            </li>
                            <li class="flex-column align-start w-100">
                                <div class="sub-text"><?php echo e(__('Notes')); ?></div>
                                <div class="lead-text">
                                    <?php echo (data_get($invest, 'note')) ? auto_p(data_get($invest, 'note')) : __("N/A"); ?>

                                </div>
                            </li>
                            <li class="flex-column align-start w-100">
                                <div class="sub-text"><?php echo e(__('Remarks (Admin Only)')); ?></div>
                                <div class="lead-text">
                                    <?php echo (data_get($invest, 'remarks')) ? auto_p(data_get($invest, 'remarks')) : __("N/A"); ?>

                                </div>
                            </li>
                            <?php if(data_get($invest, 'cancelled_by')==$invest->user_id): ?>
                            <li class="flex-column align-start w-100">
                                <div class="sub-text text-danger pt-2"><?php echo e(__('Caution:')); ?> <?php echo e(__("The investment cancelled by investor.")); ?></div>
                            </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="nk-block nk-block-lg">
            <div class="nk-block-head">
                <h5 class="nk-block-title"><?php echo e(__('Graph View')); ?></h5>
            </div>
            <div class="row g-gs">
                <div class="col-lg-5">
                    <div class="card card-bordered h-100">
                        <div class="card-inner justify-center text-center h-100">
                            <div class="nk-wgpg">
                                <div class="nk-wgpg-head">
                                    <h5 class="nk-wgpg-title"><?php echo e(__('Overview')); ?></h5>
                                </div>
                                <div class="nk-wgpg-graph">
                                    <input type="text" class="knob-half" value="<?php echo e(data_get($invest, 'progress')); ?>" data-fgColor="#6576ff" data-bgColor="#d9e5f7" data-thickness=".06" data-width="300" data-height="155" data-displayInput="false">
                                    <div class="nk-wgpg-graph-result">
                                        <div class="text-lead"><?php echo e(data_get($invest, 'progress')); ?>%</div>
                                        <div class="text-sub"><?php echo e(data_get($invest, 'rate_text')); ?> / <?php echo e(strtolower(data_get($invest, 'period_text'))); ?></div>
                                    </div>
                                    <div class="nk-wgpg-graph-minmax"><span><?php echo e(money(0.0, $currency)); ?></span><span><?php echo e(money(data_get($invest, 'total'), $currency)); ?></span></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg col-sm-6">
                    <div class="card card-bordered h-100">
                        <div class="card-inner justify-center text-center h-100">
                            <div class="nk-wgpg">
                                <div class="nk-wgpg-head">
                                    <h5 class="nk-wgpg-title"><?php echo e(__('Net Profit')); ?></h5>
                                    <div class="nk-wgpg-subtitle"><?php echo __('Earn so far :amount', ['amount' => '<strong>' . money(data_get($invest, 'received'), $currency) . '</strong>']); ?></div>
                                </div>
                                <div class="nk-wgpg-graph sm">
                                    <input type="text" class="knob-half" value="<?php echo e(data_get($invest, 'progress')); ?>" data-fgColor="#33d895" data-bgColor="#d9e5f7" data-thickness=".07" data-width="240" data-height="125" data-displayInput="false">
                                    <div class="nk-wgpg-graph-result">
                                        <div class="text-lead sm"><?php echo e(str_replace($currency, '', data_get($invest, 'rate_text'))); ?></div>
                                        <div class="text-sub"><?php echo e(__(':calc profit', ['calc' => strtolower(data_get($invest, 'scheme.calc_period'))])); ?></div>
                                    </div>
                                    <div class="nk-wgpg-graph-minmax"><span><?php echo e(money(0.0, $currency)); ?></span><span><?php echo e(money(data_get($invest, 'profit'), $currency)); ?></span></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg col-sm-6">
                    <div class="card card-bordered h-100">
                        <div class="card-inner justify-center text-center h-100">
                            <div class="nk-wgpg">
                                <div class="nk-wgpg-head">
                                    <h5 class="nk-wgpg-title"><?php echo e(__('Remain')); ?></h5>
                                    <div class="nk-wgpg-subtitle"><?php echo __('Adjusted so far :count', ['count' => '<strong>' . data_get($invest, 'term_count') . ' '.__('times').'</strong>']); ?></div>
                                </div>
                                <div class="nk-wgpg-graph sm">
                                    <input type="text" class="knob-half" value="<?php echo e(data_get($invest, 'progress')); ?>" data-fgColor="#816bff" data-bgColor="#d9e5f7" data-thickness=".07" data-width="240" data-height="125" data-displayInput="false">
                                    <div class="nk-wgpg-graph-result">
                                        <div class="text-lead sm"><?php echo e(data_get($invest, 'remaining_term')); ?></div>
                                        <div class="text-sub"><?php echo e(__('remain to adjust')); ?></div>
                                    </div>
                                    <div class="nk-wgpg-graph-minmax"><span><?php echo e(__('0 Time')); ?></span><span><?php echo e(__(':count Times', ['count' => data_get($invest, 'term_total')])); ?></span></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php if(!blank(data_get($invest, 'profits', []))): ?>
        <div class="nk-block nk-block-lg">
            <div class="nk-block-head">
                <h5 class="nk-block-title"><?php echo e(__('Transactions')); ?></h5>
            </div>
            <div class="card card-bordered">
                <table class="nk-plan-tnx table">
                    <thead class="thead-light">
                    <tr>
                        <th class="tb-col-type w-70"><span class="overline-title"><?php echo e(__('Details')); ?></span></th>
                        <th class="tb-col-date tb-col-sm"><span class="overline-title"><?php echo e(__('Date & Time')); ?></span></th>
                        <th class="tb-col-amount tb-col-end"><span class="overline-title"><?php echo e(__('Amount')); ?></span></th>
                        <th class="tb-col-paid tb-col-end" style="width: 20px"><em class="icon ni ni-info nk-tooltip small text-soft" title="<?php echo e(__("The profit transfered into account balance or not.")); ?>"></em></th>
                    </tr>
                    </thead>
                    <tbody>

                    <tr>
                        <td class="tb-col-type"><span class="sub-text"><?php echo e(__("Investment")); ?></span></td>
                        <td class="tb-col-date tb-col-sm">
                            <span class="sub-text"><?php echo e(show_date(data_get($invest, 'order_at'), true)); ?></span>
                        </td>
                        <td class="tb-col-amount tb-col-end"><span class="lead-text text-danger">- <?php echo e(amount_z(data_get($invest, 'amount'), $currency)); ?></span></td>
                        <td class="tb-col-paid tb-col-end"><span class="sub-text"><em class="icon ni ni-info nk-tooltip text-soft" title="<?php echo e(__("Source: :account", ['account' => w2n(data_get($invest, 'payment_source')) ])); ?>"></em></span></td>
                    </tr>

                    <?php $__currentLoopData = data_get($invest, 'profits'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $profit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td class="tb-col-type"><span class="sub-text"><?php echo e(__("Profit Earn - :rate", ['rate' => (($profit->type=='F') ? $profit->rate . ' '.$currency . ' ('.$profit->type.')' : $profit->rate . '%')])); ?></span></td>
                        <td class="tb-col-date tb-col-sm">
                            <span class="sub-text"><?php echo e(show_date(data_get($profit, 'calc_at'), true)); ?></span>
                        </td>
                        <td class="tb-col-amount tb-col-end"><span class="lead-text">+ <?php echo e(amount_z($profit->amount, $currency)); ?></span></td>
                        <td class="tb-col-paid tb-col-end">
                            <span class="sub-text">
                            <?php if(!empty($profit->payout)): ?>
                                <em class="icon ni ni-info nk-tooltip text-soft" title="<?php echo e(__("Batch #:id", ['id' => $profit->payout])); ?>"></em>
                            <?php elseif($invest->status === InvestmentStatus::COMPLETED): ?>
                                <em class="icon ni ni-alert nk-tooltip text-soft" title="<?php echo e(__("Failed to Adjust")); ?>"></em>
                            <?php elseif(($invest->payout_type === SchemePayout::TERM_BASIS) || ($invest->payout_type === SchemePayout::AFTER_MATURED && $invest->remaining_term === 0)): ?>
                                <a href="javascript:void(0)" class="btn btn-xs btn-round btn-icon btn-dim btn-outline-primary actnivs mr-n1" data-reload="yes" data-confirm="yes" data-action="profit" data-uid="<?php echo e($profit->id); ?>"><em class="icon ni ni-check"></em></a>
                            <?php endif; ?>
                            </span>
                        </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    <?php if(data_get($invest, 'scheme.capital') && $invest->status==InvestmentStatus::COMPLETED): ?>
                    <tr>
                        <td class="tb-col-type"><span class="sub-text"><?php echo e(__("Captial Return")); ?></span></td>
                        <td class="tb-col-date tb-col-sm">
                            <span class="sub-text"><?php echo e(show_date(data_get($invest, 'updated_at'), true)); ?></span>
                        </td>
                        <td class="tb-col-amount tb-col-end"><span class="lead-text">+ <?php echo e(amount_z(data_get($invest, 'amount'), $currency)); ?></span></td>
                        <td class="tb-col-paid tb-col-end"><span class="sub-text"></span></td>
                    </tr>
                    <?php endif; ?>

                    </tbody>
                </table>
            </div>
        </div>
        <?php endif; ?>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
<?php if($invest->status == InvestmentStatus::PENDING): ?>
<div class="modal fade" tabindex="-1" role="dialog" id="approve-investment">
    <div class="modal-dialog modal-dialog-centered modal-md" role="document">
        <div class="modal-content">
            <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
            <div class="modal-body modal-body-md">
                <h5 class="title nk-modal-title"><?php echo e(__("Approved the Investment")); ?></h5>
                <form action="<?php echo e(route('admin.investment.plan.approve', ['id' => the_hash($invest->id)])); ?>" method="POST" data-confirm="approved" class="form-validate is-alter">
                    <div class="form-group">
                        <label class="form-label" for="note"><?php echo e(__('Note')); ?></label>
                        <div class="form-control-wrap">
                            <input type="text" name="note" class="form-control form-control-lg" id="note" placeholder="<?php echo e(__('Enter a note for user')); ?>" maxlength="190">
                        </div>
                        <div class="form-note"><?php echo e(__('The note will display to user from transaction details.')); ?></div>
                    </div>
                    <div class="form-group">
                        <label class="form-label" for="remarks"><?php echo e(__('Remarks')); ?></label>
                        <div class="form-control-wrap">
                            <input type="text" name="remarks" class="form-control form-control-lg" id="remarks" placeholder="<?php echo e(__('Enter a remarks note for admin')); ?>" maxlength="190">
                        </div>
                        <div class="form-note"><?php echo e(__('The remarks note help to reminder. Only administrator can read from transaction details.')); ?></div>
                    </div>
                    <ul class="align-center flex-wrap flex-sm-nowrap gx-1 gy-2">
                        <li>
                            <button type="button" class="btn btn-lg btn-primary actn-apivs"><?php echo e(__('Approve')); ?></button>
                        </li>
                        <li>
                            <button type="button" class="btn btn-lg btn-white" data-dismiss="modal" data-target="#approve-investment"><?php echo e(__('Dismiss')); ?></button>
                        </li>
                    </ul>
                </form>
            </div>
        </div>
    </div>
</div>
<?php endif; ?>

<?php if($invest->status == InvestmentStatus::ACTIVE): ?>
<div class="modal fade" tabindex="-1" role="dialog" id="cancel-investment">
    <div class="modal-dialog modal-dialog-centered modal-md" role="document">
        <div class="modal-content">
            <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
            <div class="modal-body modal-body-md">
                <h5 class="title nk-modal-title"><?php echo e(__("Cancelled the Investment")); ?></h5>
                <p class="text-danger"><strong><?php echo e(__("Please confirm that you want to cancel this ACTIVE plan.")); ?></strong></p>
                <form action="<?php echo e(route('admin.investment.plan.cancel', ['id' => the_hash($invest->id)])); ?>" method="POST" data-confirm="cancelled" class="form-validate is-alter">
                    <div class="form-group">
                        <label class="form-label" for="cancel-note"><?php echo e(__('Investment Return Method')); ?></label>
                        <div class="form-control-wrap">
                            <input type="hidden" name="reload" value="true">
                            <select class="form-select" name="cancel-method">
                                <option value="<?php echo e(RefundType::TOTAL); ?>"><?php echo e(__("Return :Type Amount", ['type' => RefundType::TOTAL])); ?></option>
                                <option value="<?php echo e(RefundType::PARTIAL); ?>"><?php echo e(__("Return :Type Amount", ['type' => RefundType::PARTIAL])); ?></option>
                            </select>
                        </div>
                        <div class="form-note"><?php echo e(__('How do you want to return the investment amount.')); ?></div>
                    </div>
                    <div class="form-group">
                        <label class="form-label" for="cancel-note"><?php echo e(__('Cancelation Note')); ?></label>
                        <div class="form-control-wrap">
                            <input type="text" name="note" class="form-control" id="cancel-note" placeholder="<?php echo e(__('Enter a note for user')); ?>" maxlength="190">
                        </div>
                        <div class="form-note"><?php echo e(__('The note will display to user from transaction details.')); ?></div>
                    </div>
                    <div class="form-group">
                        <label class="form-label" for="cancel-remarks"><?php echo e(__('Remarks')); ?></label>
                        <div class="form-control-wrap">
                            <input type="text" name="remarks" class="form-control" id="cancel-remarks" placeholder="<?php echo e(__('Enter a remarks note for admin')); ?>" maxlength="190">
                        </div>
                        <div class="form-note"><?php echo e(__('The remarks note help to reminder. Only administrator can read from transaction details.')); ?></div>
                    </div>
                    <ul class="align-center flex-wrap flex-sm-nowrap gx-1 gy-2">
                        <li>
                            <button type="button" class="btn btn-lg btn-danger actn-cpivs"><?php echo e(__('Cancel the Plan')); ?></button>
                        </li>
                        <li>
                            <button type="button" class="btn btn-lg btn-white" data-dismiss="modal" data-target="#cancel-investment"><?php echo e(__('Dismiss')); ?></button>
                        </li>
                    </ul>
                </form>
                <div class="divider stretched"></div>
                <div class="notes">
                    <ul>
                        <li class="alert-note is-plain">
                            <em class="icon ni ni-info"></em>
                            <p><?php echo e(__(":Type Amount: The total invested amount will return to investor account.", ['type' => RefundType::TOTAL])); ?></p>
                        </li>
                        <li class="alert-note is-plain">
                            <em class="icon ni ni-info"></em>
                            <p><?php echo e(__(":Type Amount: The adjusted profit will deduct from the amount invested and return amount partially to investor account.", ['type' => RefundType::PARTIAL])); ?></p>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
<?php endif; ?>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('scripts'); ?>
<script type="text/javascript">
    const routes = {
            cancelled: "<?php echo e(route( 'admin.investment.plan.cancel', ['id' => the_hash($invest->id)] )); ?>",
            complete : "<?php echo e(route('admin.investment.plan.complete')); ?>",
            profit : "<?php echo e(route('admin.investment.process.profit.payout')); ?>",
            plan: "<?php echo e(route('admin.investment.process.profits',['id' => the_hash($invest->id)])); ?>"
        },
        msgs = {
            approved: {
                title: "<?php echo e(__('Approved Investment?')); ?>",
                btn: {cancel: "<?php echo e(__('Cancel')); ?>", confirm: "<?php echo e(__('Yes, Procced')); ?>"},
                context: "<?php echo __("Please confirm that you want to procced the request and start the investment."); ?>",
                custom: "success", type: "info"
            },
            cancelled: {
                title: "<?php echo e(__('Cancel Investment?')); ?>",
                btn: {cancel: "<?php echo e(__('No')); ?>", confirm: "<?php echo e(__('Yes, Cancel')); ?>"},
                context: "<?php echo __("You cannot revert back this action, so please confirm that you want to cancel."); ?>",
                custom: "danger", type: "warning"
            },
            profit:{
                title: "<?php echo e(__('Approve Profit?')); ?>",
                btn: {cancel: "<?php echo e(__('No')); ?>", confirm: "<?php echo e(__('Yes, Approve')); ?>"},
                context: "<?php echo __("You cannot revert back this action, so please confirm that you want to approve this profit."); ?>",
                custom: "warning", type: "warning"
            },
            complete : {
                title: "<?php echo e(__('Complete Investment?')); ?>",
                btn: {cancel: "<?php echo e(__('Cancel')); ?>", confirm: "<?php echo e(__('Yes, Procced')); ?>"},
                context: "<?php echo __("Please confirm that you want to procced the request and complete the investment."); ?>",
                custom: "success", type: "info"
            }
        };
</script>
<?php $__env->stopPush(); ?>
<?php else: ?>
    <?php if(view()->exists('ExtInvest::admin.invest.details')): ?>
        <?php echo $__env->make('ExtInvest::admin.invest.details', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>
<?php endif; ?>

<?php $__env->startPush('modal'); ?>
<div class="modal fade" role="dialog" id="ajax-modal"></div>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/investment/admin/invest/details.blade.php ENDPATH**/ ?>