<?php 
$cur_count = count($currencies);
$cls_dd = ($cur_count >= 6) ? '' : (($cur_count > 3) ? ' dropdown-menu-xs' : ' dropdown-menu-xxs');
$cls_ul = ($cur_count >= 6) ? ' li-col3x' : (($cur_count > 3) ? ' li-col2x' : '');
?>

<div class="nk-pps-apps">
    <div class="nk-pps-steps">
        <span class="step"></span>
        <span class="step active"></span>
        <span class="step"></span>
        <span class="step"></span>
    </div>
    <div class="nk-pps-title text-center">
        <h3 class="title"><?php echo e(__('Deposit Funds')); ?></h3>
        <p class="caption-text"><?php echo e(__('via')); ?> <strong><?php echo e(__(data_get($method, 'name'))); ?></strong></p>
        <p class="sub-text-sm"><?php echo e(__(data_get($method, 'desc'))); ?></p>
    </div>
    <form class="nk-pps-form" action="<?php echo e(route('deposit.preview.form')); ?>" id="deposit-amount-form">
        <div class="nk-pps-field-set">
            <div class="nk-pps-field-row row gy-gs">
                <div class="nk-pps-field-col col-12<?php echo e((base_currency()==$default['code']) ? '' : ' col-sm-6'); ?> dp-fmsa<?php echo e((gss('deposit_amount_base') == 'no') ? ' nk-pps-only' : ''); ?>">
                    <div class="nk-pps-field form-group">
                        <div class="form-label-group">
                            <label class="form-label" for="dp-amnt"><?php echo e(__('Amount to Deposit')); ?></label>
                        </div>
                        <div class="form-control-group">
                            <?php if($cur_count > 1): ?>
                            <div class="form-dropdown">
                                <div class="dropdown">
                                    <a href="javascript:void(0)" class="dropdown-indicator-caret currency" data-toggle="dropdown" data-offset="0,2" id="dp-currency-name"><?php echo e($default['code']); ?></a>
                                    <div class="dropdown-menu dropdown-menu-right text-center<?php echo e($cls_dd); ?>">
                                        <ul class="link-list-plain<?php echo e($cls_ul); ?>" id="currency-list">
                                            <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $code => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <li><a class="switch-currency" href="javascript:void(0)" data-switch="dp" data-currency="<?php echo e($code); ?>"><?php echo e($code); ?></a></li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <?php else: ?>
                            <div class="form-text-hint form-text-hint-lg">
                                <span class="currency"><?php echo e($default['code']); ?></span>
                            </div>
                            <?php endif; ?>
                            <input type="text" class="form-control form-control-lg form-control-number dp-amount" id="dp-amnt" name="deposit_amount" placeholder="0.00">
                            <input type="hidden" id="dp-currency" name="deposit_currency" value="<?php echo e($default['code']); ?>">
                            <input type="hidden" id="dp-amnt-by" name="deposit_amount_by" value="1">
                        </div>

                        <div class="form-note-group">
                            <span class="nk-pps-min form-note-alt"><?php echo __('Minimum :amount', ['amount' => '<span id="dp-min">'.money( $default['min'], $default['code'], ['dp' => 'calc']).'</span>']); ?></span>
                            <?php if(gss('deposit_amount_base') == 'no'): ?>
                            <span class="nk-pps-rate dp-rate-u form-note-alt<?php echo e((base_currency()==$default['code']) ? ' hide' : ''); ?>">
                                <?php echo __(':base = :rate', ['base' => '1 '.base_currency(), 'rate' => '<span class="fxrate">'.money($default['rate'], $default['code'], ['dp' => 'calc']).'</span>']); ?>

                            </span>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="nk-pps-field-col col-12 col-sm-6 dp-tora<?php echo e((base_currency()==$default['code']) ? ' hide' : ''); ?>">
                    <div class="nk-pps-field form-group">
                        <div class="form-label-group">
                            <label class="form-label" for="dp-credit"><?php echo e(__('Amount in :currency', ['currency' => base_currency()])); ?></label>
                        </div>
                        <div class="form-control-group">
                            <div class="form-text-hint form-text-hint-lg">
                                <span class="currency"><?php echo e(base_currency()); ?></span>
                            </div>
                            <input type="text" class="form-control form-control-lg form-control-number dp-amount" id="dp-credit" name="credit_amount" placeholder="0.00">
                            <input type="hidden" id="dp-credit-currency" name="credit_currency" value="<?php echo e(base_currency()); ?>">
                        </div>
                        <?php if(gss('deposit_amount_base') != 'no'): ?>
                        <div class="form-note-group">
                            <span class="nk-pps-rate dp-rate-u form-note-alt<?php echo e((base_currency()==$default['code']) ? ' hide' : ''); ?>">
                                <?php echo __(':base = :rate', ['base' => '1 '.base_currency(), 'rate' => '<span class="fxrate">'.money($default['rate'], $default['code'], ['dp' => 'calc']).'</span>']); ?>

                            </span>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="nk-pps-field form-action text-center">
            <?php if(the_data($method, 'fees.service', 'no') == 'yes'): ?>
            <div class="form-note pb-3 mt-n1 text-center"><?php echo e(__('Processing fee will be apply on your deposit.')); ?></div>
            <?php endif; ?>
            <div class="nk-pps-action">
                <a href="javascript:void(0)" class="btn btn-lg btn-block btn-primary" id="continue-dp">
                    <span><?php echo e(__('Continue to Deposit')); ?></span>
                    <span class="spinner-border spinner-border-sm hide" role="status" aria-hidden="true"></span>
                </a>
            </div>
            <div class="nk-pps-action pt-3">
                <a href="<?php echo e(route('deposit')); ?>" class="btn btn-outline-secondary btn-trans"><?php echo e(__('Back to previous')); ?></a>
            </div>
        </div>
    </form>
    <script type="text/javascript">
        var fxCur = { base: "<?php echo e(base_currency()); ?>", alter: "<?php echo e(secondary_currency()); ?>", rates: <?php echo json_encode($rates, 15, 512) ?>, data: <?php echo json_encode($currenciesData, 15, 512) ?> };
    </script>
</div><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/user/transaction/deposit-amount.blade.php ENDPATH**/ ?>