

<?php $__env->startSection('title', __('Login Activity')); ?>

<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="nk-block-head">
            <div class="nk-block-head-content">
                <h2 class="nk-block-title fw-normal"><?php echo e(__('Login Activity')); ?></h2>
                <div class="nk-block-des">
                    <p><?php echo e(__('You have full control to manage your own account setting.')); ?></p>
                </div>
            </div>
        </div>
        <ul class="nk-nav nav nav-tabs">
            <?php echo $__env->make('user.account.nav-tab', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </ul>
        <div class="nk-block">
            <div class="nk-block-head">
                <div class="nk-block-between-md g-3">
                    <div class="nk-block-head-content">
                        <h5 class="nk-block-title"><?php echo e(__('Activity on your account')); ?></h5>
                        <div class="nk-block-des">
                            <p><?php echo e(__('Here is your last 20 login activities log.')); ?> <span class="text-soft"><em class="icon ni ni-info tipinfo" title="<?php echo e(__("Stored activities whenever you login into account.")); ?>"></em></span></p>
                        </div>
                    </div>
                    <div class="nk-block-head-content">
                        <a href="<?php echo e(route('account.activity.clear')); ?>" class="link link-danger clear-profile-log"><?php echo e(__('Clear log')); ?></a>
                    </div>
                </div>
            </div>
            <div class="card card-bordered">
                <table class="table table-ulogs">
                    <thead class="thead-light">
                    <tr>
                        <th class="tb-col-os"><span class="overline-title"><?php echo e(__('Browser')); ?> <span class="d-sm-none">/ <?php echo e(__('IP')); ?></span></span></th>
                        <th class="tb-col-ip"><span class="overline-title"><?php echo e(__('IP')); ?></span></th>
                        <th class="tb-col-time"><span class="overline-title"><?php echo e(__('Time')); ?></span></th>
                        <th class="tb-col-action"><span class="overline-title">&nbsp;</span></th>
                    </tr>
                    </thead>
                    <tbody>

                    <?php if(!blank($activities)): ?>
                        <?php $__currentLoopData = $activities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $activity): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td class="tb-col-os"><?php echo e($activity->browser_with_platform); ?></td>
                                <td class="tb-col-ip"><span class="sub-text"><?php echo e($activity->ip); ?></span></td>
                                <td class="tb-col-time">
                                    <span class="sub-text"><?php echo e(show_date($activity->session)); ?>  <span class="d-none d-sm-inline-block"><?php echo e(show_time($activity->session)); ?></span></span>
                                </td>
                                <td class="tb-col-action">
                                    <?php if(!$loop->first): ?>
                                        <a href="<?php echo e(route('account.activity.delete', ["id" => $activity->id])); ?>" class="link-cross mr-sm-n1"><em class="icon ni ni-cross"></em></a>
                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                        <tr>
                            <td class="text-center" colspan="4"><?php echo e(__("No activity log found!")); ?></td>
                        </tr>
                    <?php endif; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script type="text/javascript">
    const msgs = { logs: {title: "<?php echo e(__('Are you sure?')); ?>", context: "<?php echo e(__('Do you want to delete your login activity?')); ?>", btn: {confirm: "<?php echo e(__('Yes, Clear Log')); ?>", cancel: "<?php echo e(__('Cancel')); ?>"} } };
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/user/account/activity.blade.php ENDPATH**/ ?>