
<?php $__env->startSection('title', __('Manage Currencies')); ?>

<?php $__env->startSection('has-content-sidebar', 'has-content-sidebar'); ?>

<?php $__env->startSection('content-sidebar'); ?>
    <?php echo $__env->make('admin.settings.content-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php

$supported_currency = array_keys(sys_settings('supported_currency', '{}'));
$automatic_ex_rates = $exchange_rates[$exchange_methods->AUTOMATIC];
$manual_ex_rates = $exchange_rates[$exchange_methods->MANUAL];

?>

<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="nk-block-head nk-block-head-sm">
            <div class="nk-block-between">
                <div class="nk-block-head-content">
                    <h3 class="nk-block-title page-title"><?php echo e(__('Manage Currencies')); ?></h3>
                    <p><?php echo e(__('You can manage currency what you want to use in application.')); ?></p>
                </div>
                <div class="nk-block-head-content">
                    <ul class="nk-block-tools gx-1">
                        <li class="d-lg-none">
                            <a href="#" class="btn btn-icon btn-trigger toggle" data-target="pageSidebar"><em class="icon ni ni-menu-right"></em></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="nk-block card card-bordered">
            <div class="card-inner">
                <form action="<?php echo e(route('admin.save.app.settings')); ?>" class="form-settings" method="POST">
                    <h5 class="title"><?php echo e(__('Currencies')); ?></h5>
                    <div class="form-sets gy-3 wide-md">
                        <div class="row g-3 align-start">
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label class="form-label" for="currency-based"><?php echo e(__('Base Currency')); ?></label>
                                    <span class="form-note"><?php echo e(__('Set the main / base currency on system.')); ?> <br><?php echo e(__('It also applied on personal account management.')); ?></span>
                                </div>
                            </div>
                            <div class="col-md-7">
                                <div class="form-group">
                                    <div class="form-control-wrap w-max-250px">
                                        <select class="form-select" name="base_currency" id="currency-based">
                                            <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $code => $name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($code); ?>"<?php echo e(($code==sys_settings('base_currency')) ? ' selected' : ''); ?>><?php echo e($name.' ('.$code.')'); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                    <div class="form-note"><?php echo e(__('System Default Currency')); ?></div>
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label class="form-label" for="currency-alter"><?php echo e(__('User Secondary Currency')); ?></label>
                                    <span class="form-note"><?php echo e(__('Set secondary currency to display alternal balance.')); ?></span>
                                </div>
                            </div>
                            <div class="col-md-7">
                                <div class="form-group">
                                    <div class="form-control-wrap w-max-250px">
                                        <select class="form-select" name="alter_currency" id="currency-alter">
                                            <?php $__currentLoopData = $currenciesAll; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $code => $name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($code); ?>"<?php echo e(($code == sys_settings('alter_currency')) ? ' selected' : ''); ?>><?php echo e($name.' ('.$code.')'); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                    <div class="form-note"><?php echo e(__('Alternet Display Currency')); ?></div>
                                </div>
                            </div>
                            <div class="col-md-12 mb-2">
                                <span class="text-danger">
                                    <strong><?php echo e(__('Important Note:')); ?></strong><br>
                                    <?php echo e(__('If change the Base Currency after any transaction made, it will occurred in whole calculation.')); ?>

                                    <br>
                                    <?php echo e(__('Must update exchange rate accordingly after currency change.')); ?>

                                </span>
                            </div>
                        </div>
                        <div class="row g-3 align-top">
                            <div class="col-lg-5">
                                <div class="form-group">
                                    <label class="form-label"
                                           for="currency-supported"><?php echo e(__('Supported Currency')); ?></label>
                                    <span class="form-note">
                                        <?php echo e(__('Enable or disable one or multiple currencies')); ?> <br><?php echo e(__('on systems from available list.')); ?>

                                    </span>
                                </div>
                            </div>
                            <div class="col-lg-7">
                                <ul class="custom-control-group g-2 align-center flex-wrap li-col3x">
                                    <?php $__currentLoopData = $currenciesAll; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $code => $name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li>
                                            <div class="custom-control custom-control-sm custom-checkbox">
                                                <input type="checkbox" class="custom-control-input supported-cur-cb" name="supported_currency[<?php echo e($code); ?>]"
                                                       id="supported-cur-<?php echo e(strtolower(str_char($code))); ?>"<?php echo e((in_array($code, $supported_currency)) ? ' checked' : ''); ?>>
                                                <label class="custom-control-label" for="supported-cur-<?php echo e(strtolower(str_char($code))); ?>"><?php echo e($name.' ('.$code.')'); ?></label>
                                            </div>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="divider"></div>
                    <h5 class="title"><?php echo e(__('Currency Exchange')); ?></h5>
                    <div class="form-sets wide-md">
                        <div class="row g-3 align-center">
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label class="form-label" for="exchange-method"><?php echo e(__('Exchange Rate')); ?></label>
                                    <span class="form-note"><?php echo e(__('Set how exchange rate calculate.')); ?></span>
                                </div>
                            </div>
                            <div class="col-md-7">
                                <div class="form-group">
                                    <div class="form-control-wrap w-max-250px">
                                        <select name="exchange_method" class="form-select" id="exchange-method">
                                            <?php $__currentLoopData = $exchange_methods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($name); ?>"<?php echo e((sys_settings('exchange_method') == $name) ? ' selected' : ''); ?>><?php echo e(ucfirst($name)); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="exchange-rates g-3" id="exchange-method-manual"<?php echo (sys_settings('exchange_method', $exchange_methods->AUTOMATIC) == $exchange_methods->AUTOMATIC) ? ' style="display:none"' : ''; ?>>
                            <div class="row g-3 align-start">
                                <div class="col-md-5">
                                    <div class="form-group">
                                        <label class="form-label" for="exchange-update"><?php echo e(__('Manual Exchange Rate')); ?></label>
                                    </div>
                                </div>
                                <div class="col-md-7">
                                    <div class="row gy-2">
                                        <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $code => $name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if(!in_array($code, $supported_currency)): ?>
                                                <?php continue; ?>
                                            <?php endif; ?>
                                            <div class="col-md-4 col-sm-6">
                                                <div class="form-group">
                                                    <div class="form-control-wrap">
                                                        <span class="form-text-hint"><span><?php echo e($code); ?></span></span>
                                                        <input name="manual_exchange_rate[<?php echo e($code); ?>]" type="text" class="form-control" value="<?php echo e(to_num(data_get($manual_ex_rates, $code, 1))); ?>">
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="exchange-rates g-3" id="exchange-method-auto"<?php echo (sys_settings('exchange_method', $exchange_methods->AUTOMATIC) == $exchange_methods->MANUAL) ? ' style="display:none"' : ''; ?>>
                            <div class="row g-3 align-center">
                                <div class="col-md-5">
                                    <div class="form-group">
                                        <label class="form-label" for="exchange-auto-update"><?php echo e(__('Update Rate Automatically')); ?></label>
                                        <span class="form-note"><?php echo e(__('Get exchange rate automatially after selected time.')); ?></span>
                                    </div>
                                </div>
                                <div class="col-md-7">
                                    <div class="form-group">
                                        <div class="form-control-wrap w-max-250px">
                                            <select name="exchange_auto_update" class="form-select" id="exchange-auto-update">
                                                <?php $__currentLoopData = [20, 30, 45, 60, 120]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($key); ?>"<?php echo e((sys_settings('exchange_auto_update', '30')==$key) ? ' selected' : ''); ?>><?php echo e(__(':timeout Minutes', ['timeout' => $key])); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row g-3 align-start">
                                <div class="col-md-5">
                                    <div class="form-group">
                                        <label class="form-label" for="exchange-auto-rate"><?php echo e(__('Automatic Exchange Rate')); ?></label>
                                        <span class="form-note"><?php echo e(__('(Read only)')); ?></span>
                                    </div>
                                </div>
                                <div class="col-md-7">
                                    <div class="row gy-2">
                                        <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $code => $name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if(!in_array($code, $supported_currency)): ?>
                                                <?php continue; ?>
                                            <?php endif; ?>
                                            <div class="col-md-4 col-sm-6">
                                                <div class="form-group">
                                                    <div class="form-control-wrap">
                                                        <span class="form-text-hint"><span><?php echo e($code); ?></span></span>
                                                        <input name="" type="text" class="form-control" value="<?php echo e(to_num(data_get($automatic_ex_rates, $code, 1))); ?>" readonly="readonly">
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                    <div class="form-note mt-1">
                                        <strong><?php echo e(__('Last Update:')); ?></strong> <?php echo e(sys_settings('exchange_last_update') ? show_date(sys_settings('exchange_last_update'), true) : __('Waiting for update.')); ?>

                                        <?php if(sys_settings('exratesapi_error_msg')): ?>
                                            / <span class="text-danger"><?php echo e(__("Last Failed Note: :msg", ['msg' => sys_settings('exratesapi_error_msg')])); ?></span>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row g-3 align-start">
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label class="form-label"><?php echo e(__('Rounded conversion amount')); ?></label>
                                    <span class="form-note"><?php echo e(__('Round the amount while currency conversion.')); ?><br><?php echo e(__("Up as 1.55 => 2 | Down as 1.55 => 1")); ?></span>
                                </div>
                            </div>
                            <div class="col-md-7">
                                <div class="row">
                                    <div class="col-6 col-md-5">
                                        <div class="form-group">
                                            <div class="form-control-wrap">
                                                <select class="form-select" name="fiat_rounded">
                                                    <option value="none"<?php echo e((sys_settings('fiat_rounded', 'up')=='none') ? ' selected' : ''); ?>><?php echo e(__('None')); ?></option>
                                                    <option value="up"<?php echo e((sys_settings('fiat_rounded', 'up')=='up') ? ' selected' : ''); ?>><?php echo e(__('Up')); ?></option>
                                                    <option value="down"<?php echo e((sys_settings('fiat_rounded', 'up')=='down') ? ' selected' : ''); ?>><?php echo e(__('Down')); ?></option>
                                                </select>
                                            </div>
                                            <div class="form-note"><strong class="text-base"><?php echo e(__('Fiat Currency')); ?></strong></div>
                                        </div>
                                    </div>
                                    <div class="col-6 col-md-5">
                                        <div class="form-group">
                                            <div class="form-control-wrap">
                                                <select class="form-select" name="crypto_rounded">
                                                    <option value="none"<?php echo e((sys_settings('crypto_rounded', 'none')=='none') ? ' selected' : ''); ?>><?php echo e(__('None')); ?></option>
                                                    <option value="up"<?php echo e((sys_settings('crypto_rounded', 'none')=='up') ? ' selected' : ''); ?>><?php echo e(__('Up')); ?></option>
                                                    <option value="down"<?php echo e((sys_settings('crypto_rounded', 'none')=='down') ? ' selected' : ''); ?>><?php echo e(__('Down')); ?></option>
                                                </select>
                                            </div>
                                            <div class="form-note"><strong class="text-base"><?php echo e(__('Crypto Currency')); ?></strong></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-sets gy-3 wide-md">
                        <div class="row g-3">
                            <div class="col-lg-7 offset-lg-5">
                                <div class="form-group mt-2">
                                    <?php echo csrf_field(); ?>
                                    <input type="hidden" name="form_type" value="currencies-settings">
                                    <button type="button" class="btn btn-primary submit-settings" disabled="">
                                        <span class="spinner-border spinner-border-sm hide" role="status" aria-hidden="true"></span>
                                        <span><?php echo e(__('Update')); ?></span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/admin/settings/currency.blade.php ENDPATH**/ ?>