<?php 

use \App\Enums\TransactionType;
use \App\Enums\TransactionStatus;

$amount = $transaction->amount;
$currency = $transaction->currency;

$tnx_amount = $transaction->tnx_amount;
$tnx_currency = $transaction->tnx_currency;

$user_amount = money($transaction->tnx_amount, $transaction->tnx_currency);

if($transaction->tnx_currency!=base_currency()) {
    $user_amount = money($transaction->tnx_amount, $transaction->tnx_currency) . ' ('. money($transaction->amount, $transaction->currency). ')';
}

?>

<div class="nk-modal-title">
	<h5 class="title mb-3"><?php echo __('Cancellation of #:orderid', ['type'=> $type, 'orderid' => '<span class="text-primary">'.the_tnx($transaction->tnx).'</span>' ]); ?></h5>

    <?php if($type==TransactionType::REFERRAL): ?> 
    <p class="caption-text"><?php echo __("Do you want to cancel this referral commission?"); ?></p>
    <?php else: ?> 
	<p class="caption-text"><?php echo __("Are you sure you want to cancel this :type request? ", ['type' => $type, 'amount' => '<span class="fw-bold text-dark text-nowrap">'.$user_amount.'</span>', 'method' => $transaction->method_name]); ?></p>
    <?php endif; ?>
</div>
<div class="nk-block">
    <form action="<?php echo e(route('admin.transaction.update', ['action' => 'reject', 'uid' => the_hash($transaction->id)])); ?>" data-action="update">
    	<div class="row gy-3">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="form-label justify-between align-center" for="note"><?php echo e(__('Note for User')); ?> <span class="small"><?php echo e(__("Show in userend")); ?></span> </label>
                    <div class="form-control-wrap">
                        <input type="text" name="note" class="form-control" id="note" placeholder="<?php echo e(__('Enter user note')); ?>" maxlength="190">
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label class="form-label justify-between align-center" for="remarks"><?php echo e(__('Note / Remarks')); ?></label>
                    <div class="form-control-wrap">
                        <input type="text" name="remarks" class="form-control" id="remarks" placeholder="<?php echo e(__('Enter remarks / note')); ?>" maxlength="190">
                        <input type="hidden" value="<?php echo e($transaction->tnx); ?>" name="orderid">
                        <input type="hidden" value="<?php echo e(TransactionStatus::CANCELLED); ?>" name="status">
                    </div>
                    <div class="form-note">
                    	<?php echo e(__('The note or remarks help to reminder. Only administrator can read from transaction details.')); ?>

                    </div>
                </div>
            </div>
            <div class="col-12">
                <?php if($type==TransactionType::REFERRAL): ?> 
            	<p><?php echo __("Please confirm that you want to CANCEL the :type.", ['type' => '<span class="fw-bold text-dark">'.strtoupper('commission').'</span>']); ?></p>
                <?php else: ?>
                <p><?php echo __("Please confirm that you want to CANCEL this :type request.", ['type' => '<span class="fw-bold text-dark">'.strtoupper($type).'</span>']); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <ul class="align-center flex-nowrap gx-2 pt-4 pb-2">
            <li>
                <button type="button" class="btn btn-primary atx-upd" data-confirm="yes" data-state="<?php echo e(TransactionStatus::CANCELLED); ?>">
                    <?php if($type==TransactionType::REFERRAL): ?> 
                    <?php echo e(__('Cancel')); ?>

                    <?php else: ?>
                    <?php echo e(__('Cancelled :Type', ['type' => $type])); ?>

                    <?php endif; ?>
                </button>
            </li>
            <li>
                <button data-dismiss="modal" type="button" class="btn btn-trans btn-light"><?php echo e(__('Return')); ?></button>
            </li>
        </ul>
        <div class="divider md stretched"></div>
        <div class="notes">
            <ul>
            	<?php if($type==TransactionType::DEPOSIT): ?>
                <li class="alert-note is-plain">
                    <em class="icon ni ni-info"></em>
                    <p><?php echo e(__("You can cancel the transaction if you've not received the payment yet.")); ?></p>
                </li>
                <?php endif; ?>
                <?php if($type==TransactionType::WITHDRAW): ?>
                <li class="alert-note is-plain">
                    <em class="icon ni ni-info"></em>
                    <p><?php echo e(__("The withdraw amount will re-adjust into account once you confirm and cancelled.")); ?></p>
                </li>
                <?php endif; ?>
                <?php if($type!=TransactionType::REFERRAL): ?> 
                <li class="alert-note is-plain">
                    <em class="icon ni ni-info"></em>
                    <p><?php echo e(__("User will get email notification once cancelled the transaction.")); ?></p>
                </li>
                <?php endif; ?>
                <li class="alert-note is-plain text-danger">
                    <em class="icon ni ni-alert"></em>
                    <p><?php echo e(__("You can not undo this action once you confirm and cancelled.")); ?></p>
                </li>
            </ul>
        </div>
    </form>
</div><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/admin/transaction/modal/action-cancel.blade.php ENDPATH**/ ?>