

<?php $__env->startSection('title', __('Payment Accounts')); ?>

<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="nk-block-head">
            <div class="nk-block-head-content">
                <h2 class="nk-block-title fw-normal"><?php echo e(__('Payment Accounts')); ?></h2>
                <div class="nk-block-des">
                    <p><?php echo e(__('You have full control to manage your own account setting.')); ?></p>
                </div>
            </div>
        </div>
        <ul class="nk-nav nav nav-tabs">
            <?php echo $__env->make('user.account.nav-tab', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </ul>
        <div class="nk-block">
            <?php if(blank($accounts)): ?>
                <?php if(!blank($wdMethods)): ?>
                <div class="alert alert-warning">
                    <div class="alert-cta flex-wrap flex-md-nowrap g-2">
                        <div class="alert-text">
                            <p class="mb-sm-1"><strong><?php echo e(__("You have not added any withdraw account yet in your account.")); ?></strong></p>
                            <p><?php echo e(__("Please add the personal or company accounts that you'd like to withdraw funds.")); ?></p>
                        </div>
                        <div class="alert-actions">
                            <ul class="gx-3 my-1 my-sm-0">
                                <li class="order-md-last dropdown">
                                    <a href="#" class="btn btn-warning" data-toggle="dropdown"><?php echo e(__('Add Account')); ?></a>
                                    <div class="dropdown-menu dropdown-menu-right">
                                        <ul class="link-list-opt no-bdr">
                                            <?php $__currentLoopData = $wdMethods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $method): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <li>
                                                    <a href="javascript:void(0)" class="wd-new-account" data-action="<?php echo e(route('user.withdraw.account.'.data_get($method, 'slug').'.form')); ?>" data-modal="wdm-account">
                                                        <em class="icon ni <?php echo e(data_get($method, 'module_config.icon')); ?>"></em>
                                                        <span><?php echo e(data_get($method, 'module_config.account')); ?></span>
                                                    </a>
                                                </li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <?php else: ?>
                <div class="card card-bordered">
                    <div class="card-inner">
                        <div class="nk-help">
                            <div class="nk-help-text">
                                <h5><?php echo e(__('Unavailable withdraw service!')); ?></h5>
                                <p class="text-soft mb-1 mt-2"><?php echo e(__('Sorry, at the moment our withdraw service is unavailable. Please check back soon to add account.')); ?></p>
                                <p class="text-soft"><?php echo e(__('If you have any question please feel free to contact us.')); ?></p>
                            </div>
                            <?php if(the_page('contact')): ?>
                            <div class="nk-help-action">
                                <a href="<?php echo e(the_page('contact')->link); ?>" class="btn btn-outline-primary"><?php echo e(__('Contact Us')); ?></a>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <?php endif; ?>
            <?php else: ?>
            <div class="nk-block-head">
                <div class="nk-block-between-md g-3">
                    <div class="nk-block-head-content">
                        <h5 class="nk-block-title"><?php echo e(__('Your Accounts')); ?></h5>
                        <div class="nk-block-des">
                            <p><?php echo e(__('Below accounts that you’d like to withdraw funds.')); ?></p>
                        </div>
                    </div>
                    <?php if(!blank($wdMethods)): ?>
                    <div class="nk-block-head-tools">
                        <div class="dropdown">
                            <a href="#" class="btn btn-primary" data-toggle="dropdown"><?php echo e(__('Add Account')); ?></a>
                            <div class="dropdown-menu dropdown-menu-right">
                                <ul class="link-list-opt no-bdr">
                                    <?php $__currentLoopData = $wdMethods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $method): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li>
                                            <a href="javascript:void(0)" class="wd-new-account" data-action="<?php echo e(route('user.withdraw.account.'.data_get($method, 'slug').'.form')); ?>" data-modal="wdm-account">
                                                <em class="icon ni <?php echo e(data_get($method, 'module_config.icon')); ?>"></em>
                                                <span><?php echo e(data_get($method, 'module_config.account')); ?></span>
                                            </a>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
            <?php if(blank($wdMethods)): ?>
                <div class="alert alert-info alert-icon mb-3">
                    <em class="icon ni ni-alert-circle"></em> <?php echo e(__('Sorry, at the moment our withdraw service is unavailable so you can not add new account.')); ?>

                </div>
            <?php endif; ?>
            <div class="card card-bordered" id="wd-account-list">
                <?php echo $__env->make('user.account.withdrawable-account', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
            <div class="notes mt-4">
                <ul>
                    <li class="alert-note is-plain text-danger">
                        <em class="icon ni ni-alert-circle"></em>
                        <p><?php echo e(__('Caution: Your updated information only effect on new withdraw request.')); ?></p>
                    </li>
                    <li class="alert-note is-plain">
                        <em class="icon ni ni-info"></em>
                        <p><?php echo e(__('You should enter your correct information for receiving payment.')); ?></p>
                    </li>
                </ul>
            </div>
            <?php endif; ?>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
    <div class="modal fade" id="wdm-account"></div>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('scripts'); ?>
<script type="text/javascript">
    const msgs = { wdm: {title: "<?php echo __("Are you sure you want to delete?"); ?>", context: "<?php echo __("The withdraw account will be deleted immediately. You can't undo this action. Are you sure you want to proceed?"); ?>", btn: {confirm: "<?php echo e(__('Delete Account')); ?>", cancel: "<?php echo e(__('Cancel')); ?>" } } };
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/user/account/withdraw-account.blade.php ENDPATH**/ ?>