

<?php $__env->startSection('title', __('Investment Transactions')); ?>

<?php $__env->startSection('content'); ?>
<div class="nk-content-body">
    <div class="nk-block-head">
        <div class="nk-block-head-sub">
            <a href="<?php echo e(route('user.investment.dashboard')); ?>" class="text-soft back-to"><em class="icon ni ni-arrow-left"> </em><span><?php echo e(__("Investment")); ?></span></a>
        </div>
        <div class="nk-block-between-sm g-4">
            <div class="nk-block-head-content">
                <h2 class="nk-block-title fw-normal"><?php echo e(__("Investment Transactions")); ?></h2>
                <div class="nk-block-des">
                    <p><?php echo e(__("List of investment related transactions in your account.")); ?></p>
                </div>
            </div>
            <div class="nk-block-head-content">
                <ul class="nk-block-tools gx-3">
                    <li class="order-md-last"><a href="<?php echo e((gss('invest_earn_redirect', 'default') == 'plan') ? route('user.investment.plans') : route('user.investment.invest')); ?>" class="btn btn-primary"><span><?php echo e(__('Invest & Earn')); ?></span> <em class="icon ni ni-arrow-long-right"></em></a></li>
                </ul>
            </div>
        </div>
    </div>

    <ul class="nk-nav nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link<?php echo e(($type == 'all') ? ' active' : ''); ?>" href="<?php echo e(route('user.investment.transactions')); ?>"><?php echo e(__("History")); ?></a>
        </li>
        <li class="nav-item">
            <a class="nav-link<?php echo e(($type == 'profit') ? ' active' : ''); ?>" href="<?php echo e(route('user.investment.transactions', ['type' => 'profit'])); ?>"><?php echo e(__("Profit")); ?></a>
        </li>
        <li class="nav-item">
            <a class="nav-link<?php echo e(($type == 'transfer') ? ' active' : ''); ?>" href="<?php echo e(route('user.investment.transactions', ['type' => 'transfer'])); ?>"><?php echo e(__("Transfered")); ?></a>
        </li>
    </ul>
    <div class="nk-block nk-block-xs">
        <div class="nk-block-head nk-block-head-sm">
            <div class="nk-block-between">
                <div class="nk-block-head-content">
                    <h6 class="nk-block-title"><?php echo e(__('All Transaction')); ?></h6>
                </div>
                <ul class="nk-block-tools gx-2">
                    <li>
                        <a href="#" class="search-toggle toggle-search btn btn-icon btn-trigger" data-target="search"><em class="icon ni ni-search"></em></a>
                    </li>
                    <li>
                        <div class="dropdown">
                            <a href="#" class="btn btn-trigger btn-icon dropdown-toggle" data-toggle="dropdown">
                                <?php if($filter_count): ?>
                                    <div class="badge badge-circle badge-primary"><?php echo e($filter_count); ?></div>
                                <?php endif; ?>
                                <em class="icon ni ni-filter-alt"></em>
                            </a>
                            </a>
                            <div class="filter-wg dropdown-menu dropdown-menu-xl dropdown-menu-right">
                                <div class="dropdown-head">
                                    <span class="sub-title dropdown-title"><?php echo e(__('Advance Filter')); ?></span>
                                </div>
                                <form action="<?php echo e(route('user.investment.transactions')); ?>" method="GET">
                                    <input type="hidden" name="filter" value="true">
                                    <div class="dropdown-body dropdown-body-rg">
                                        <div class="row gx-6 gy-3">
                                            <div class="col-6">
                                                <div class="form-group">
                                                    <label
                                                        class="overline-title overline-title-alt"><?php echo e(__('Type')); ?></label>
                                                    <select name="type" class="form-select form-select-sm">
                                                        <option value="any"><?php echo e(__("Any Type")); ?></option>
                                                        <?php $__currentLoopData = $ledgers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option<?php echo e((request()->get('type') == $type) ? ' selected' : ''); ?> value="<?php echo e($type); ?>">
                                                            <?php echo e(ucfirst(__($type))); ?>

                                                            </option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-6">
                                                <div class="form-group">
                                                    <label
                                                        class="overline-title overline-title-alt"><?php echo e(__('Source')); ?></label>
                                                    <select name="source" class="form-select form-select-sm">
                                                        <option value="any"><?php echo e(__("Any Source")); ?></option>
                                                        <?php $__currentLoopData = $sources; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $source): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option<?php echo e((request()->get('source') == $source) ? ' selected' : ''); ?> value="<?php echo e($source); ?>">
                                                            <?php echo e(w2n($source)); ?>

                                                            </option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="dropdown-foot between">
                                        <button type="submit" class="btn btn-secondary"><?php echo e(__('Filter')); ?></button>
                                        <a href="<?php echo e(route('user.investment.transactions')); ?>" class="clickable"><?php echo e(__('Reset Filter')); ?></a>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="dropdown">
                            <a class="dropdown-toggle btn btn-icon btn-trigger mx-n1" data-toggle="dropdown"
                               data-offset="-8,0" aria-expanded="false"><em class="icon ni ni-setting"></em></a>
                            <div class="dropdown-menu dropdown-menu-xs dropdown-menu-right" style="">
                                <ul class="link-check">
                                    <li><span><?php echo e(__('Show')); ?></span></li>
                                    <?php $__currentLoopData = config('investorm.pgtn_pr_pg'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="update-meta<?php echo e((user_meta('iv_tnx_perpage', '10') == $item) ? ' active' : ''); ?>">
                                            <a href="#" data-value="<?php echo e($item); ?>" data-meta="perpage" data-type="iv_tnx"><?php echo e($item); ?></a>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                                <ul class="link-check">
                                    <li><span><?php echo e(__('Density')); ?></span></li>
                                    <?php $__currentLoopData = config('investorm.pgtn_dnsty'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="update-meta<?php echo e((user_meta('iv_tnx_display', 'regular') == $item) ? ' active' : ''); ?>">
                                            <a href="#" data-value="<?php echo e($item); ?>" data-meta="display" data-type="iv_tnx"><?php echo e(__(ucfirst($item))); ?></a>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
            <form action="<?php echo e(url()->current()); ?>" method="GET">
                <div class="search-wrap search-wrap-extend bg-lighter<?php echo e((request()->get('query')) ? ' active' : ''); ?>" data-search="search">
                    <div class="search-content">
                        <a href="<?php echo e(url()->current()); ?>" class="search-back btn btn-icon toggle-search" data-target="search"><em class="icon ni ni-arrow-left"></em></a>
                        <input type="text" name="query" value="<?php echo e(request()->get('query')); ?>" class="form-control border-transparent form-focus-none" placeholder="<?php echo e(__("Search by transaction id")); ?>">
                        <button class="search-submit btn btn-icon mr-1"><em class="icon ni ni-search"></em></button>
                    </div>
                </div>
            </form>
        </div>

        <?php if(filled($transactions)): ?>
        <div class="nk-odr-list is-stretch card card-bordered<?php echo e(user_meta('iv_tnx_display') == 'compact' ? ' is-compact': ''); ?>">
            <?php $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="nk-odr-item">
                    <div class="nk-odr-col">
                        <div class="nk-odr-info">
                            <div class="nk-odr-badge">
                                <?php if(data_get($transaction, 'type') == 'capital'): ?>
                                    <span class="nk-odr-icon bg-primary-dim text-secondary"><em class="icon ni ni-coin-alt"></em></span>
                                <?php elseif(data_get($transaction, 'type') == 'profit'): ?>
                                    <span class="nk-odr-icon bg-secondary-dim text-secondary"><em class="icon ni ni-percent"></em></span>
                                <?php elseif(data_get($transaction, 'type') == 'transfer'): ?>
                                    <span class="nk-odr-icon bg-purple-dim text-purple"><em class="icon ni ni-exchange"></em></span>
                                <?php elseif(data_get($transaction, 'type') == 'invest'): ?>
                                    <span class="nk-odr-icon bg-danger-dim text-danger"><em class="icon ni ni-coin-alt"></em></span>
                                <?php elseif(data_get($transaction, 'type') == 'loss'): ?>
                                    <span class="nk-odr-icon bg-danger-dim text-danger"><em class="icon ni ni-exchange"></em></span>
                                <?php elseif(data_get($transaction, 'type') == 'penalty'): ?>
                                    <span class="nk-odr-icon bg-danger-dim text-danger"><em class="icon ni ni-exchange"></em></span>
                                <?php endif; ?>
                            </div>
                            <div class="nk-odr-data">
                                <div class="nk-odr-label">
                                    <strong class="ellipsis">
                                    <?php if(data_get($transaction, 'type') == 'capital'): ?>
                                        <?php echo e(__('Received Invested Capital')); ?>

                                    <?php elseif(data_get($transaction, 'type') == 'profit'): ?>
                                        <?php if(!$transaction->is_manual): ?>
                                            <?php echo e(__('Profit Earned')); ?>

                                        <?php else: ?>
                                            <?php echo e(__(data_get($transaction, 'desc'))); ?>

                                        <?php endif; ?>
                                    <?php elseif(data_get($transaction, 'type') == 'transfer'): ?>
                                        <?php echo e(__('Transfered Funds')); ?>

                                    <?php elseif(data_get($transaction, 'type') == 'penalty'): ?>
                                        <?php if(!$transaction->is_manual): ?>
                                            <?php echo e(__('Penalty Added')); ?>

                                        <?php else: ?>
                                            <?php echo e(__(data_get($transaction, 'desc'))); ?>

                                        <?php endif; ?>
                                    <?php elseif(data_get($transaction, 'type') == 'loss'): ?>
                                        <?php if(!$transaction->is_manual): ?>
                                            <?php echo e(__('Loss Added')); ?>

                                        <?php else: ?>
                                            <?php echo e(__(data_get($transaction, 'desc'))); ?>

                                        <?php endif; ?>
                                    <?php elseif(data_get($transaction, 'type') == 'invest'): ?>
                                        <?php echo e(__('Invest on :scheme', ['scheme' => data_get($transaction, 'invest.scheme.name')])); ?>

                                    <?php endif; ?>
                                    </strong>
                                </div>
                                <div class="nk-odr-meta">
                                    <span class="meta"><?php echo e(the_tnx(data_get($transaction, 'ivx'), 'ivx')); ?></span>
                                    <span class="meta dot-join d-none d-sm-inline-block"><?php echo e(w2n(data_get($transaction, 'source'))); ?></span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="nk-odr-col nk-odr-col-amount">
                        <div class="nk-odr-amount">
                            <div class="number-md">
                                <?php echo e((data_get($transaction, 'calc') == 'credit') ? '+' : '-'); ?>

                                <?php echo e(money(data_get($transaction, 'total'), base_currency())); ?> <span class="currency"><?php echo e(base_currency()); ?></span>
                            </div>
                            <div class="number-sm"><?php echo e(money(base_to_secondary(data_get($transaction, 'total')), secondary_currency())); ?></div>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
        <?php if(filled($transactions) && $transactions->hasPages()): ?>
        <div class="mt-4">
            <?php echo e($transactions->appends(request()->all())->links('misc.pagination')); ?>

        </div>
        <?php endif; ?>
        <?php else: ?>
            <div class="alert alert-primary">
                <div class="alert-cta flex-wrap flex-md-nowrap">
                    <div class="alert-text">
                        <p><?php echo e(__('Investment transaction not available.')); ?></p>
                    </div>
                </div>
            </div>
        <?php endif; ?>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
<div class="modal fade" role="dialog" id="ajax-modal"></div>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/investment/user/transactions.blade.php ENDPATH**/ ?>