<?php

use App\Enums\LedgerTnxType;
use App\Enums\TransactionCalcType;

$type = data_get($transaction, 'type');
$meta = json_decode(data_get($transaction, 'meta'));
$badge_class = 'badge-dark';

if(LedgerTnxType::INVEST==$type) {
    $badge_class = 'badge-info';
}
if(LedgerTnxType::CAPITAL==$type) {
    $badge_class = 'badge-success';
}
if(LedgerTnxType::PROFIT==$type) {
    $badge_class = 'badge-success';
}
if(LedgerTnxType::TRANSFER==$type) {
    $badge_class = 'badge-warning';
}
if(LedgerTnxType::LOSS==$type || LedgerTnxType::PENALTY==$type ) {
    $badge_class = 'badge-danger';
}
if ($transaction->is_manual) {
    $method = "manual";
} else {
    $method = "";
}

?>
<div class="nk-tb-col">
    <span class="text-dark"><?php echo e(the_tnx($transaction->ivx, 'ivx')); ?> <span class="badge ml-1 d-sm-none badge-dot <?php echo e($badge_class); ?>">&nbsp;</span></span>
    <span class="d-sm-none sub-text"><?php echo e(show_date($transaction->created_at, true)); ?></span>
</div>

<div class="nk-tb-col tb-col-sm">
    <span class="sub-text"><?php echo e(show_date($transaction->created_at, true)); ?></span>
</div>

<div class="nk-tb-col tb-col-md">
    <span><?php echo e(data_get($transaction, 'desc', '-')); ?></span>
    <?php if(data_get($meta, 'mode') == 'auto'): ?>
        <em class="icon ni ni-info-i text-soft fs-13px" data-toggle="tooltip" title="<?php echo e(__("Automatic")); ?>"></em>
    <?php endif; ?>
    <?php if(!empty($transaction->note) || !empty($transaction->remarks)): ?>
        <em class="icon ni ni-info text-soft fs-13px" data-toggle="tooltip" title="<?php echo e($transaction->note); ?><?php echo e((!empty($transaction->note) && !empty($transaction->remarks)) ? " || " : ""); ?><?php echo e(!empty($transaction->remarks) ? __("Remark").": ".$transaction->remarks : ""); ?>"></em>
    <?php endif; ?>
</div>

<?php if(!isset($hide_user)): ?>
<div class="nk-tb-col tb-col-md">
    <span><?php echo e(the_uid($transaction->user_id)); ?></span>
    <em class="icon ni ni-info text-soft fs-13px" data-toggle="tooltip" title="<?php echo e($transaction->user->name); ?> (<?php echo e(str_protect($transaction->user->email)); ?>)"></em>
</div>
<?php endif; ?>

<div class="nk-tb-col tb-col-sm">
    <span class="badge badge-dot <?php echo e($badge_class); ?>"><?php echo e(ucfirst(__($type))); ?></span> <?php echo e(($method) ? __("(M)") : ""); ?>

</div>

<div class="nk-tb-col text-right">
    <span class="text-dark"><?php echo e(calc_sign($transaction->calc)); ?> <?php echo e(money($transaction->amount, base_currency())); ?></span>
    <span class="d-sm-none sub-text"><?php echo e(the_uid($transaction->user_id)); ?></span>
</div><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/investment/admin/statement/transaction-row.blade.php ENDPATH**/ ?>