<?php

$header     = isset($header) ? $header : false;
$hd_wide    = (isset($header['wide'])) ? $header['wide'] : '';
$hd_style   = (isset($header['style'])) ? $header['style'] : 'regular';
$hd_class   = (isset($header['class'])) ? ' '.$header['class'] : '';

?>

<div class="nk-header<?php echo e($hd_class); ?> nk-header-fluid nk-header-fixed <?php echo e((gui('user', 'sidebar')=='lighter') ? ' is-lighter' : ' is-light'); ?>">
    <div class="<?php echo e((($hd_wide) ? 'container wide-'.$hd_wide : 'container-fluid')); ?>">
        <div class="nk-header-wrap">
            <?php if($hd_style!='welcome'): ?>
            <div class="nk-menu-trigger d-xl-none ml-n1">
                <a href="#" class="nk-nav-toggle nk-quick-nav-icon" data-target="sidebarMenu"><em class="icon ni ni-menu"></em></a>
            </div>
            <?php endif; ?>

            <?php echo e(site_branding('header', ['panel' => 'user', 'class' => (($hd_style != 'welcome') ? 'd-xl-none' : ''), 'custom_link' => logo_link('ud', 'raw') ])); ?>


            <?php if(Panel::news()): ?>
            <div class="nk-header-news d-none d-xl-block">
                <?php echo Panel::news(); ?>

            </div>
            <?php elseif(Panel::rates_ticker()): ?>
            <div class="nk-header-marque d-none d-md-block pr-md-3 pr-lg-4 pl-md-4 pl-xl-0 flex-grow-0 overflow-hidden">
                <?php echo Panel::rates_ticker(); ?>

            </div>
            <?php endif; ?>
            <div class="nk-header-tools">
                <ul class="nk-quick-nav">
                    <li class="dropdown user-dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <div class="user-toggle">
                                <div class="user-avatar sm">
                                    <em class="icon ni ni-user-alt"></em>
                                </div>
                                <div class="user-info d-none d-md-block">
                                <?php if(auth()->user()->is_verified): ?>
                                    <div class="user-status user-status-verified"><?php echo e(__('Verified')); ?></div>
                                <?php else: ?>
                                    <div class="user-status user-status-unverified"><?php echo e(__('Unverified')); ?></div>
                                <?php endif; ?>
                                    <div class="user-name dropdown-indicator"><?php echo e(auth()->user()->display_name); ?></div>
                                </div>
                            </div>
                        </a>
                        <div class="dropdown-menu dropdown-menu-md dropdown-menu-right dropdown-menu-s1">
                            <div class="dropdown-inner user-card-wrap bg-lighter d-none d-md-block">
                                <div class="user-card">
                                    <div class="user-avatar">
                                        <span><?php echo user_avatar(auth()->user()); ?></span>
                                    </div>
                                    <div class="user-info">
                                        <span class="lead-text"><?php echo e(auth()->user()->display_name); ?></span>
                                        <span class="sub-text"><?php echo e(auth()->user()->email); ?></span>
                                    </div>
                                </div>
                            </div>
                            <?php if($hd_style!='welcome'): ?>
                            <div class="dropdown-inner user-account-info">
                                <h6 class="overline-title-alt"><?php echo e(__('Account Balance')); ?></h6>
                                <div class="user-balance"><?php echo e(account_balance(AccType('main'))); ?> <small class="currency"><?php echo e(base_currency()); ?></small></div>
                                <div class="user-balance-alt"><?php echo e(account_balance(AccType('main'), 'alter')); ?> <span class="currency"><?php echo e(secondary_currency()); ?></span></div>
                                <ul class="user-account-links">
                                    <li>
                                        <a href="<?php echo e(route('deposit')); ?>" class="link"><span><?php echo e(__('Deposit Funds')); ?></span> <em class="icon ni ni-wallet-in"></em></a>
                                    </li>
                                    <li>
                                        <a href="<?php echo e(route('withdraw')); ?>" class="link"><span><?php echo e(__('Withdraw Funds')); ?></span> <em class="icon ni ni-wallet-out"></em></a>
                                    </li>
                                </ul>
                            </div>
                            <div class="dropdown-inner">
                                <ul class="link-list">
                                    <li><a href="<?php echo e(route('account.profile')); ?>"><em class="icon ni ni-user-alt"></em><span><?php echo e(__('View Profile')); ?></span></a></li>
                                    <?php if(module_exist('SupportTicket', 'addon') && has_route('user.ticket.list') && gss('ticket_feature_enable') == 'yes'): ?>
                                        <li><a href="<?php echo e(route('user.ticket.list')); ?>"><em class="icon ni ni-help-alt"></em><span><?php echo e(__('Support Center')); ?></span></a></li>
                                    <?php endif; ?>
                                    <?php if(kyc_enabled()): ?>
                                        <li><a href="<?php echo e(route('user.kyc.verify')); ?>"><em class="icon ni ni-check-circle-cut"></em><span><?php echo e(__('KYC Verification')); ?></span></a></li>
                                    <?php endif; ?>
                                    <li><a href="<?php echo e(route('account.settings')); ?>"><em class="icon ni ni-setting-alt"></em><span><?php echo e(__('Security Setting')); ?></span></a></li>
                                    <li><a href="<?php echo e(route('account.activity')); ?>"><em class="icon ni ni-activity-alt"></em><span><?php echo e(__('Login Activity')); ?></span></a></li>
                                    <?php if(gss('ui_theme_mode') == 'both'): ?>
                                    <li><a href="javascript:void(0)" class="dark-switch<?php echo e((user_theme() == 'dark') ? ' active' : ''); ?>"><em class="icon ni ni-moon"></em><span><?php echo e(__("Dark Mode")); ?></span></a></li>
                                    <?php endif; ?>
                                </ul>
                            </div>
                            <?php endif; ?>
                            <div class="dropdown-inner">
                                <ul class="link-list">
                                    <li>
                                        <a href="<?php echo e(route('auth.logout')); ?>" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                                        <em class="icon ni ni-signout"></em><span><?php echo e(__('Sign out')); ?></span></a>
                                    </li>
                                </ul>
                                <form id="logout-form" action="<?php echo e(route('auth.logout')); ?>" method="POST" style="display: none;">
                                    <?php echo csrf_field(); ?>
                                </form>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/user/layouts/header.blade.php ENDPATH**/ ?>