<?php 
use \App\Enums\TransactionType as TType;
use \App\Enums\TransactionCalcType as TCType;

$base_currency = base_currency();
?>

<?php $__env->startSection('title', __("Recent Transaction")); ?>

<div class="nk-block-head">
    <h5 class="title"><?php echo e(__('Recent Transaction')); ?></h5>
    <p><?php echo e(__('All the recent transaction made by user.')); ?></p>
</div>
<div class="nk-block is-stretch">
    <div class="nk-tb-list nk-tb-tnx">
        <div class="nk-tb-item nk-tb-head">
            <div class="nk-tb-col"><span class="overline-title"><?php echo e(__('Details')); ?></span></div>
            <div class="nk-tb-col tb-col-sm"><span class="overline-title"><?php echo e(__('Type')); ?></span></div>
            <div class="nk-tb-col tb-col-lg"><span class="overline-title"><?php echo e(__('Order')); ?></span></div>
            <div class="nk-tb-col tb-col-md"><span class="overline-title"><?php echo e(__('Reference')); ?></span></div>
            <div class="nk-tb-col text-right"><span class="overline-title"><?php echo e(__('Amount')); ?></span></div>
            <div class="nk-tb-col nk-tb-col-tools">&nbsp;</div>
        </div>

        <?php $__empty_1 = true; $__currentLoopData = $user->transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tnx): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
            <div class="nk-tb-item">
                <div class="nk-tb-col">
                    <div class="nk-tnx-type">
                        <div class="nk-tnx-type-badge">
                            <?php echo tnx_type_icon($tnx, 'tnx-type-icon'); ?>

                        </div>
                        <div class="nk-tnx-type-text">
                            <span class="tb-lead"><?php echo e($tnx->type_of_fund); ?></span>
                            <span class="nk-tnx-meta">
                                <span
                                    class="date"><?php echo e(show_date($tnx->created_at)); ?></span>
                                <span
                                    class="status dot-join"><?php echo e(__(ucfirst($tnx->status))); ?></span>
                            </span>
                        </div>
                    </div>
                </div>

                <div class="nk-tb-col tb-col-sm">
                    <span class="badge badge-pill badge-sm badge-dim <?php echo e(($tnx->type == 'deposit') ? 'badge-success' : 'badge-warning'); ?>"><?php echo e(ucfirst($tnx->type)); ?></span>
                </div>

                <div class="nk-tb-col tb-col-lg">
                    <span class="tb-lead-sub"><?php echo e(data_get($tnx, 'tnx')); ?></span>
                </div>

                <div class="nk-tb-col tb-col-md">
                    <?php if(!empty($tnx->reference)): ?>
                        <span class="tb-lead-sub"><?php echo e($tnx->reference); ?> <em class="icon ni ni-info text-soft fs-13px" data-toggle="tooltip" title="<?php echo e($tnx->description); ?>"></em></span>
                    <?php else: ?> 
                        <span class="tb-lead-sub">-</span>
                    <?php endif; ?>
                </div>

                <div class="nk-tb-col text-right">
                    <span class="tb-amount<?php echo e($tnx->calc == TCType::DEBIT ? ' text-danger' : ''); ?>"><?php echo e($tnx->calc == TCType::CREDIT ? '+' : '-'); ?> <?php echo e(show_amount(data_get($tnx, 'tnx_amount'), data_get($tnx, 'tnx_currency'))); ?> <span><?php echo e(data_get($tnx, 'tnx_currency')); ?></span></span>
                    <span class="tb-amount-sm"><?php echo e(show_amount(data_get($tnx, 'amount'), $base_currency)); ?> <?php echo e($base_currency); ?></span>
                </div>

                <div class="nk-tb-col nk-tb-col-tools tnx-details">
                    <a href="javascript:void(0)" class="btn btn-sm btn-icon btn-trigger mr-n1 uaj-tnx" data-action="view" data-view="tnx" data-uid="<?php echo e(the_hash($tnx->id)); ?>"><em class="icon ni ni-chevron-right"></em></a>
                </div>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
            <div class="nk-tb-item">
                <div class="nk-tb-col"><?php echo e(__('No transactions history found!')); ?></div>
            </div>
        <?php endif; ?>
    </div>
</div>

<div class="nk-block-head">
    <h5 class="title"><?php echo e(__('Misc Transaction')); ?></h5>
    <p><?php echo e(__('All the recent misc transaction made by user.')); ?></p>
</div>
<div class="nk-block is-stretch">
    <div class="nk-tb-list nk-tb-tnx">
        <div class="nk-tb-item nk-tb-head">
            <div class="nk-tb-col"><span class="overline-title"><?php echo e(__('Details')); ?></span></div>
            <div class="nk-tb-col tb-col-sm"><span class="overline-title"><?php echo e(__('Type')); ?></span></div>
            <div class="nk-tb-col tb-col-lg"><span class="overline-title"><?php echo e(__('Order')); ?></span></div>
            <div class="nk-tb-col tb-col-md"><span class="overline-title"><?php echo e(__('Reference')); ?></span></div>
            <div class="nk-tb-col text-right"><span class="overline-title"><?php echo e(__('Amount')); ?></span></div>
            <div class="nk-tb-col nk-tb-col-tools">&nbsp;</div>
        </div>

        <?php $__empty_1 = true; $__currentLoopData = $user->miscTnx; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tnx): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
            <div class="nk-tb-item">
                <div class="nk-tb-col">
                    <div class="nk-tnx-type">
                        <div class="nk-tnx-type-badge">
                            <?php echo tnx_type_icon($tnx, 'tnx-type-icon'); ?>

                        </div>
                        <div class="nk-tnx-type-text">
                            <span class="tb-lead"><?php echo e($tnx->type_of_fund); ?></span>
                            <span class="nk-tnx-meta">
                                <span
                                    class="date"><?php echo e(show_date($tnx->created_at)); ?></span>
                                <span
                                    class="status dot-join"><?php echo e(__(ucfirst($tnx->status))); ?></span>
                            </span>
                        </div>
                    </div>
                </div>

                <div class="nk-tb-col tb-col-sm">
                    <span class="badge badge-pill badge-sm badge-dim <?php echo e(($tnx->type == 'deposit') ? 'badge-success' : 'badge-warning'); ?>"><?php echo e(ucfirst($tnx->type)); ?></span>
                </div>

                <div class="nk-tb-col tb-col-lg">
                    <span class="tb-lead-sub"><?php echo e(data_get($tnx, 'tnx')); ?></span>
                </div>

                <div class="nk-tb-col tb-col-md">
                    <?php if(!empty($tnx->reference)): ?>
                        <span class="tb-lead-sub"><?php echo e($tnx->reference); ?> <em class="icon ni ni-info text-soft fs-13px" data-toggle="tooltip" title="<?php echo e($tnx->description); ?>"></em></span>
                    <?php else: ?> 
                        <span class="tb-lead-sub">-</span>
                    <?php endif; ?>
                </div>

                <div class="nk-tb-col text-right">
                    <span class="tb-amount<?php echo e($tnx->calc == TCType::DEBIT ? ' text-danger' : ''); ?>"><?php echo e($tnx->calc == TCType::CREDIT ? '+' : '-'); ?> <?php echo e(show_amount(data_get($tnx, 'tnx_amount'), data_get($tnx, 'tnx_currency'))); ?> <span><?php echo e(data_get($tnx, 'tnx_currency')); ?></span></span>
                    <span class="tb-amount-sm"><?php echo e(show_amount(data_get($tnx, 'amount'), $base_currency)); ?> <?php echo e($base_currency); ?></span>
                </div>

                <div class="nk-tb-col nk-tb-col-tools tnx-details">
                    <a href="javascript:void(0)" class="btn btn-sm btn-icon btn-trigger mr-n1 uaj-tnx" data-action="view" data-view="tnx" data-uid="<?php echo e(the_hash($tnx->id)); ?>"><em class="icon ni ni-chevron-right"></em></a>
                </div>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
            <div class="nk-tb-item">
                <div class="nk-tb-col"><?php echo e(__('No transactions history found!')); ?></div>
            </div>
        <?php endif; ?>
    </div>
</div>

<?php $__env->startPush('modal'); ?>
<div class="modal fade" role="dialog" id="ajax-modal"></div>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('scripts'); ?>
<script type="text/javascript">
    const routes = { view: "<?php echo e(route('admin.transaction.details')); ?>" };
</script>
<?php $__env->stopPush(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/admin/user/transactions.blade.php ENDPATH**/ ?>