

<?php $__env->startSection('title', __('Dashboard')); ?>

<?php $__env->startSection('content'); ?>
<div class="nk-content-body">
    <div class="nk-block-head nk-block-head-sm">
        <div class="nk-block-head-sub"><span><?php echo e(__('Welcome!')); ?></span></div>
        <div class="nk-block-between-md g-4">
            <div class="nk-block-head-content">
                <h2 class="nk-block-title fw-normal"><?php echo e((auth()->user()->display_name) ? auth()->user()->display_name : auth()->user()->name); ?></h2>
                <div class="nk-block-des">
                    <p><?php echo e(__("Here's a summary of your account. Have fun!")); ?></p>
                </div>
            </div>
            <div class="nk-block-head-content d-none d-md-inline-flex">
                <ul class="nk-block-tools gx-3">
                    <?php if(module_exist('FundTransfer', 'mod') && feature_enable('transfer')): ?>
                        <li><a href="<?php echo e(route('user.send-funds.show')); ?>" class="btn btn-light btn-white"><span><?php echo e(__('Send Funds')); ?></span> <em class="icon ni ni-arrow-long-right d-none d-lg-inline-block"></em></a></li>
                    <?php endif; ?>
                    <li><a href="<?php echo e((gss('invest_earn_redirect', 'default') == 'plan') ? route('user.investment.plans') : route('user.investment.invest')); ?>" class="btn btn-secondary"><span><?php echo e(__('Invest & Earn')); ?></span> <em class="icon ni ni-arrow-long-right d-none d-lg-inline-block"></em></a></li>
                    <li><a href="<?php echo e(route('deposit')); ?>" class="btn btn-primary"><span><?php echo e(__('Deposit')); ?></span> <em class="icon ni ni-arrow-long-right"></em></a></li>
                </ul>
            </div>
        </div>
    </div>
    
    <?php if(has_restriction()): ?>
    <div class="nk-block">
        <div class="alert alert-danger bg-white alert-thick">
            <div class="alert-cta flex-wrap flex-md-nowrap g-2">
                <div class="alert-text has-icon">
                    <em class="icon ni ni-report-fill text-danger"></em>
                    <p class="text-base"><strong><?php echo e(__("Caution")); ?>:</strong> <?php echo e('All the transactions are NOT real as you have logged into demo application to see the platform.'); ?></p>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
    
    <?php echo Panel::profile_alerts(); ?>


    <div class="nk-block">
        <div class="row g-gs">
            <div class="col-md-4">
                <?php echo Panel::balance('account', ['cta' => true]); ?>

            </div>
            <div class="col-md-4">
                <?php echo Panel::balance('deposit'); ?>

            </div>
            <div class="col-md-4">
                <?php echo Panel::balance('withdraw'); ?>

            </div>
        </div>
    </div>

    <?php if(filled($recentTransactions)): ?>
    <div class="nk-block nk-block-lg">
        <div class="nk-block-head-sm">
            <div class="nk-block-between-md g-4">
                <div class="nk-block-head-content">
                    <h5 class="nk-block-title title"><?php echo e(__('Recent Activity')); ?></h5>
                </div>
                <div class="nk-block-head-content">
                    <a href="<?php echo e(route('transaction.list')); ?>"><?php echo e(__('See History')); ?></a>
                </div>
            </div>
        </div>
        <div class="nk-odr-list card card-bordered">
            <?php $__currentLoopData = $recentTransactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php echo $__env->make('user.transaction.trans-row', compact('transaction'), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
    <?php endif; ?>

    <?php echo Panel::referral('invite-card'); ?>


    <?php echo Panel::cards('support'); ?>


    <?php if(Panel::news()): ?> 
    <div class="nk-block">
        <div class="card card-bordered d-xl-none">
            <div class="card-inner card-inner-sm">
                <?php echo Panel::news(); ?>

            </div>
        </div>
    </div>
    <?php endif; ?>

</div>
<?php $__env->stopSection(); ?>

<?php if(filled($recentTransactions)): ?>
    <?php $__env->startPush('modal'); ?>
    <div class="modal fade" role="dialog" id="ajax-modal"></div>
    <?php $__env->stopPush(); ?>
<?php endif; ?>
<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/user/dashboard.blade.php ENDPATH**/ ?>