

<?php $__env->startSection('title', __('Security Settings')); ?>

<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="nk-block-head">
            <div class="nk-block-head-content">
                <h2 class="nk-block-title fw-normal"><?php echo e(__('Security Settings')); ?></h2>
                <div class="nk-block-des">
                    <p><?php echo e(__('You have full control to manage your own account setting.')); ?></p>
                </div>
            </div>
        </div>
        <ul class="nk-nav nav nav-tabs">
            <?php echo $__env->make('user.account.nav-tab', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </ul>
        <div class="nk-block">
            <?php if(session('email-sent')): ?>
                <div class="alert alert-pro alert-success alert-dismissible alert-icon">
                    <em class="icon ni ni-check-circle"></em> 
                    <strong><?php echo e(session('email-sent')); ?></strong>
                    <button class="close" data-dismiss="alert"></button>
                </div>
            <?php endif; ?>
            <?php echo Panel::profile_alerts('verify_email', ['class' => 'alert-plain', 'type' => 'info', 'link_modal' => '#change-unverified-email', 'link_modal_verify' => '#send-verification-link']); ?>

            <div class="nk-block-head">
                <div class="nk-block-head-content">
                    <h5 class="nk-block-title"><?php echo e(__('Settings')); ?></h5>
                    <div class="nk-block-des">
                        <p><?php echo e(__('These settings are helps you keep your account secure.')); ?></p>
                    </div>
                </div>
            </div>
            <div class="card card-bordered">
                <div class="card-inner-group">
                    <div class="card-inner">
                        <div class="between-center flex-wrap flex-md-nowrap g-3">
                            <div class="nk-block-text">
                                <h6><?php echo e(__('Save my Activity Logs')); ?></h6>
                                <p><?php echo __('Save your all :page including unusual activity detected.', ['page' => '<a href="'.route('account.activity').'" class="link link-primary">'.__('activity logs').'</a>' ]); ?></p>
                            </div>
                            <div class="nk-block-actions">
                                <ul class="align-center gx-3">
                                    <li class="order-md-last">
                                        <div class="custom-control custom-switch mr-n2">
                                            <input type="checkbox" name="activity_log" class="custom-control-input qup-profile"<?php echo e((isset($metas["setting_activity_log"]) && ($metas["setting_activity_log"] == "on")) ? ' checked' : ''); ?> id="activity-log" data-key="setting">
                                            <label class="custom-control-label" for="activity-log"></label>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="card-inner">
                        <div class="between-center flex-wrap flex-md-nowrap g-3">
                            <div class="nk-block-text">
                                <h6><?php echo e(__('Email me if encounter unusual activity')); ?></h6>
                                <p><?php echo e(__('You will get email notification whenever encounter invalid login activity.')); ?></p>
                            </div>
                            <div class="nk-block-actions">
                                <ul class="align-center gx-3">
                                    <li class="order-md-last">
                                        <div class="custom-control custom-switch mr-n2">
                                            <input type="checkbox" name="unusual_activity" class="custom-control-input qup-profile"<?php echo e((isset($metas["setting_unusual_activity"]) && ($metas["setting_unusual_activity"] == "on")) ? ' checked' : ''); ?> id="unusual-activity" data-key="setting">
                                            <label class="custom-control-label" for="unusual-activity"></label>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="card-inner">
                        <div class="between-center flex-wrap flex-md-nowrap g-3">
                            <div class="nk-block-text">
                                <h6><?php echo e(__('Change Email Address')); ?></h6>
                                <p><?php echo e(__('Update your current email address to new email address.')); ?></p>
                            </div>
                            <div class="nk-block-actions">
                                <?php if(auth()->user()->is_verified): ?>
                                    <?php if(data_get($metas, 'user_new_email', false)): ?>
                                        <button type="button" data-toggle="modal" data-target="#confirm-email" class="btn btn-sm btn-secondary" id="email-modal-tgl"><?php echo e(__('Verify New Email')); ?></button>
                                    <?php else: ?>
                                        <button type="button" data-toggle="modal" data-target="#change-email" class="btn btn-sm btn-primary" id="email-modal-tgl"><?php echo e(__('Change Email')); ?></button>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <ul class="align-center flex-wrap flex-sm-nowrap gx-3 gy-2">
                                        <li>
                                            <a href="javascript:void(0)" type="button" data-toggle="modal" data-target="#change-unverified-email" class="btn btn-sm btn-primary" id="email-modal-tgl"><?php echo e(__('Change Email')); ?></a>
                                        </li>
                                        <li>
                                            <a href="javascript:void(0)" type="button" data-toggle="modal" data-target="#send-verification-link" class="btn btn-sm btn-primary" id="email-modal-tgl"><?php echo e(__('Verify Your Email')); ?></a>
                                        </li>
                                    </ul>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <div class="card-inner">
                        <div class="between-center flex-wrap flex-md-nowrap g-3">
                            <div class="nk-block-text">
                                <h6><?php echo e(__('Change Password')); ?></h6>
                                <?php if(data_get($metas, 'registration_method') !== 'social' || data_get($metas, 'last_password_changed')): ?>
                                    <p><?php echo e(__('Set a unique password to protect your account.')); ?></p>
                                <?php else: ?>
                                    <p>
                                    <?php echo __('You must logout from your account and go to :page page.', ['page' => "<a href='".route('auth.forget.form')."'>". __('Forgot Password') ."</a>"
                                    ]); ?>

                                    </p>
                                <?php endif; ?>
                            </div>
                            <div class="nk-block-actions flex-shrink-sm-0">
                                <?php if(auth()->user()->is_verified): ?>
                                    <?php if(data_get($metas, 'registration_method') !== 'social' || data_get($metas, 'last_password_changed')): ?>
                                    <ul class="align-center flex-wrap flex-sm-nowrap gx-3 gy-2">
                                        <li class="order-md-last">
                                            <a href="javascript:void(0)" id="settings-change-password" data-toggle="modal" data-target="#change-password" class="btn btn-sm btn-primary"><?php echo e(__('Change Password')); ?></a>
                                        </li>
                                        <li>
                                            <em class="text-soft text-date fs-12px"><?php echo __('Last changed: :date', ['date' => '<span>'.((data_get($metas, 'last_password_changed', false)) ? show_date(data_get($metas, 'last_password_changed', false)) : __('N/A')).'</span>' ]); ?></em>
                                        </li>
                                    </ul>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <ul class="align-center flex-wrap flex-sm-nowrap gx-3 gy-2">
                                        <li>
                                            <em class="text-danger text-date fs-13px"><?php echo e(__('You have to verify your email first.')); ?></em>
                                        </li>
                                    </ul>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <div class="card-inner">
                        <div class="between-center flex-wrap flex-md-nowrap g-3">
                            <div class="nk-block-text">
                                <h6>
                                    <?php echo e(__('2FA Authentication')); ?>

                                    <?php if(data_get(auth()->user(), '2fa')): ?>
                                        <span class="badge badge-success"><?php echo e(__('Enabled')); ?></span>
                                    <?php else: ?>
                                        <span class="badge badge-danger"><?php echo e(__('Disabled')); ?></span>
                                    <?php endif; ?>
                                </h6>
                                <p><?php echo e(__('Secure your account with 2FA security. When it is activated you will need to enter not only your password, but also a special code using your mobile.')); ?></p>
                            </div>
                            <div class="nk-block-actions">
                                <?php if(data_get(auth()->user(), '2fa')): ?>
                                    <a href="javascript:void(0)" id="settings-disable-2fa" data-toggle="modal" data-target="#disable-2fa" class="btn btn-sm btn-danger"><?php echo e(__('Disable')); ?></a>
                                <?php else: ?>
                                    <a href="javascript:void(0)" id="settings-enable-2fa" data-toggle="modal" data-target="#enable-2fa" class="btn btn-sm btn-primary"><?php echo e(__('Enable')); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php if(social_auth()): ?>
                <?php if(auth()->user()->has_social_auth): ?>
                <div class="nk-block-head">
                    <div class="nk-block-head-content">
                        <h5 class="nk-block-title"><?php echo e(__('Social Account Linked')); ?></h5>
                        <div class="nk-block-des">
                            <p><?php echo e(__('Your account already connected with a social account. You can use your social account to login into your account.')); ?></p>
                        </div>
                    </div>
                </div>
                <?php else: ?>
                <div class="nk-block-head">
                    <div class="nk-block-head-content">
                        <h5 class="nk-block-title"><?php echo e(__('Social Account')); ?></h5>
                        <div class="nk-block-des">
                            <p><?php echo e(__('You can connect with a social account from below social network to access your account using social login.')); ?></p>
                        </div>
                    </div>
                </div>
                <?php endif; ?>
                <?php if(social_auth('facebook') && (!auth()->user()->has_social_auth || data_get($metas, 'social_account_facebook'))): ?>
                <h6 class="lead-text"><?php echo e(data_get($metas, 'social_account_facebook') ? __('Connected to :Network', ['network' => __('facebook')]) : __('Connect to :Network', ['network' => __('facebook')])); ?></h6>
                <div class="card card-bordered">
                    <div class="card-inner">
                        <div class="between-center flex-wrap flex-md-nowrap g-3">
                            <div class="media media-center gx-3 wide-xs">
                                <div class="media-object">
                                    <em class="icon icon-circle icon-circle-lg ni ni-facebook-f"></em>
                                </div>
                                <div class="media-content">
                                    <?php if(data_get($metas, 'social_account_facebook')): ?>
                                    <p><?php echo e(__('You have connected with your :social account.', ['social' => __('facebook')])); ?></p>
                                    <?php else: ?>
                                    <p><?php echo e(__('You can connect with your :Social account.', ['social' => __('facebook')])); ?> <em class="d-block text-soft"><?php echo e(__('Not connected yet')); ?></em></p>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="nk-block-actions flex-shrink-0">
                                <?php if(data_get($metas, 'social_account_facebook')): ?>
                                    <a href="javascript:void(0)" data-toggle="modal" data-platform="facebook" data-action="revoke" data-target="<?php echo e(empty(data_get($metas,'last_password_changed')) && data_get($metas, 'registration_method') === 'social' ? '#add-password' : '#social-account-modal'); ?>" class="btn btn-sm social-btn btn-danger"><?php echo e(__('Revoke Access')); ?></a>
                                <?php else: ?>
                                    <a href="javascript:void(0)" data-toggle="modal" data-platform="facebook" data-action="link" data-target="#social-account-modal" class="btn btn-sm social-btn btn-primary"><?php echo e(__('Connect')); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <?php endif; ?>
                <?php if(social_auth('google') && (!auth()->user()->has_social_auth || data_get($metas, 'social_account_google'))): ?>
                <h6 class="lead-text"><?php echo e(data_get($metas, 'social_account_google') ? __('Connected to :Network', ['network' => __('google')]) : __('Connect to :Network', ['network' => __('google')])); ?></h6>
                <div class="card card-bordered">
                    <div class="card-inner">
                        <div class="between-center flex-wrap flex-md-nowrap g-3">
                            <div class="media media-center gx-3 wide-xs">
                                <div class="media-object">
                                    <em class="icon icon-circle icon-circle-lg ni ni-google"></em>
                                </div>
                                <div class="media-content">
                                    <?php if(data_get($metas, 'social_account_google')): ?>
                                    <p><?php echo e(__('You have successfully connected with your :social account, you can easily log in using your account too.', ['social' => __('google')])); ?></p>                                    
                                    <?php else: ?>
                                    <p><?php echo e(__('You can connect with your :social account.', ['social' => __('google')])); ?> <em class="d-block text-soft"><?php echo e(__('Not connected yet')); ?></em></p>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="nk-block-actions flex-shrink-0">
                                <?php if(data_get($metas, 'social_account_google')): ?>
                                    <a href="javascript:void(0)" data-toggle="modal" data-platform="google" data-action="revoke" data-target="<?php echo e(empty(data_get($metas,'last_password_changed')) && data_get($metas, 'registration_method') === 'social' ? '#add-password' : '#social-account-modal'); ?>" class="btn btn-sm btn-danger social-btn"><?php echo e(__('Revoke Access')); ?></a>
                                <?php else: ?>
                                    <a href="javascript:void(0)" data-toggle="modal" data-platform="google" data-action="link" data-target="#social-account-modal" class="btn btn-sm social-btn btn-primary"><?php echo e(__('Connect')); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <?php endif; ?>
            <?php endif; ?>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('modal'); ?>
    

    <div class="modal fade" tabindex="-1" role="dialog" id="change-email">
        <div class="modal-dialog modal-dialog-centered modal-md" role="document">
            <div class="modal-content">
                <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
                <div class="modal-body modal-body-md">
                    <h5 class="title"><?php echo e(__('Change Email')); ?></h5>
                    <form action="<?php echo e(route('account.settings.change.email')); ?>" method="POST" class="form-validate is-alter mt-4 form-authentic" id="change-email-form" autocomplete="off">
                        <div class="form-group">
                            <label class="form-label" for="email-address"><?php echo e(__('Current Email Address')); ?></label>
                            <div class="form-control-wrap">
                                <input type="email" class="form-control form-control-lg" id="email-address" readonly value="<?php echo e(auth()->user()->email); ?>">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="form-label" for="new-email-address"><?php echo e(__('New Email Address')); ?>  <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <input type="email" autocomplete="new-email" name="user_new_email" value="<?php echo e($metas['user_new_email'] ?? ''); ?>" class="form-control form-control-lg" id="new-email-address" placeholder="<?php echo e(__('Enter Email Address')); ?>" required maxlength="190">
                            </div>
                            <div class="form-note"><?php echo e(__('New email address only updated once you verified.')); ?></div>
                        </div>
                        <div class="form-group">
                            <label class="form-label" for="password"><?php echo e(__('Current Password')); ?>  <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <input type="password" autocomplete="new-password" name="password" class="form-control form-control-lg" id="password" placeholder="<?php echo e(__('Enter current password')); ?>" required maxlength="190">
                            </div>
                        </div>
                        <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                            <li>
                                <button type="button" id="update-email" class="btn btn-md btn-primary"><?php echo e(__('Change Email')); ?></button>
                            </li>
                            <li>
                                <a href="#" data-dismiss="modal" class="link link-light"><?php echo e(__('Cancel')); ?></a>
                            </li>
                        </ul>
                        <div class="notes mt-gs">
                            <ul>
                                <li class="alert-note is-plain text-danger">
                                    <em class="icon ni ni-alert-circle"></em>
                                    <p><?php echo e(__("We will send you a link to your new email address to confirm the change.")); ?></p>
                                </li>
                            </ul>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    <div class="modal fade" tabindex="-1" role="dialog" id="confirm-email">
        <div class="modal-dialog modal-dialog-centered modal-md" role="document">
            <div class="modal-content">
                <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
                <div class="modal-body modal-body-lg">
                    <h5 class="title mb-3"><?php echo e(__('Verify Your Email')); ?></h5>
                    <p id="email-confirm-msg">
                        <?php if(data_get($metas, 'user_new_email', false)): ?>
                            <?php echo __('Now we need to verify your new email address. We have sent an email to new email (:new_email) to verify your address. Please check your inbox (including spam folder) for the verification link.', ['new_email' => '<strong>'.data_get($metas, 'user_new_email', false).'</strong>']); ?>

                        <?php endif; ?>
                    </p>
                    <p class="mt-4 font-italic"><?php echo e(__('If you have not received a verification email, you can resend the verification mail or cancel the request.')); ?>

                    <ul class="align-center flex-wrap flex-sm-nowrap g-2">
                        <li>
                            <button class="btn btn-primary email-rq-verify" data-action="resend" data-url="<?php echo e(route('account.settings.change.email.resend')); ?>"><?php echo e(__('Resend Email')); ?></button>
                        </li>
                        <li>
                            <button class="btn btn-dim btn-danger email-rq-verify" data-action="cancel" data-url="<?php echo e(route('account.settings.change.email.cancel')); ?>"><?php echo e(__('Cancel Request')); ?></button>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    
    <div class="modal fade" tabindex="-1" role="dialog" id="change-password">
        <div class="modal-dialog modal-dialog-centered modal-md" role="document">
            <div class="modal-content">
                <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
                <div class="modal-body modal-body-md">
                    <h5 class="title"><?php echo e(__('Change Password')); ?></h5>
                    <form action="<?php echo e(route('account.settings.change.password')); ?>" method="POST" class="form-validate is-alter mt-4 form-authentic" id="change-password-form">
                        <div class="form-group">
                            <label class="form-label" for="current-password"><?php echo e(__('Current Password')); ?>  <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <input type="password" name="current_password" class="form-control form-control-lg" id="current-password" placeholder="<?php echo e(__('Enter Current Password')); ?>" required maxlength="190">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="form-label" for="new-password"><?php echo e(__('New Password')); ?> <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <input type="password" name="new_password" class="form-control form-control-lg" id="new-password" placeholder="<?php echo e(__('Enter new password')); ?>" required maxlength="190">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="form-label" for="new-password"><?php echo e(__('Retype New Password')); ?> <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <input type="password" name="new_password_confirmation" class="form-control form-control-lg" id="new-password-confirmation" placeholder="<?php echo e(__('Retype new password')); ?>" required maxlength="190">
                            </div>
                        </div>
                        <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                            <li>
                                <button type="button" id="update-password" class="btn btn-primary"><?php echo e(__('Update Password')); ?></button>
                            </li>
                            <li>
                                <a href="javascript:void(0)" data-dismiss="modal" class="link link-light"><?php echo e(__('Cancel')); ?></a>
                            </li>
                        </ul>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    <?php if(social_auth() && auth()->user()->has_social_auth && empty(data_get($metas, 'last_password_changed'))): ?>
    <div class="modal fade" tabindex="-1" role="dialog" id="add-password">
        <div class="modal-dialog modal-dialog-centered modal-md" role="document">
            <div class="modal-content">
                <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
                <div class="modal-body modal-body-md">
                    <h5 class="title"><?php echo e(__('Set your password')); ?></h5>
                    <p class="text"><?php echo e(__('In order to unlink your social account you need to set a password into your account.')); ?></p>
                    <form action="<?php echo e(route('account.settings.add.password')); ?>" method="POST" class="form-validate is-alter mt-3 form-authentic" id="add-password-form">
                        <div class="form-group">
                            <label class="form-label" for="new-password"><?php echo e(__('New Password')); ?> <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <input type="password" name="new_password" class="form-control form-control-lg" id="add-new-password" placeholder="<?php echo e(__('Enter new password')); ?>" required maxlength="190">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="form-label" for="new-password"><?php echo e(__('Retype New Password')); ?> <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <input type="password" name="new_password_confirmation" class="form-control form-control-lg" id="add-new-password-confirmation" placeholder="<?php echo e(__('Retype new password')); ?>" required maxlength="190">
                            </div>
                        </div>
                        <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                            <li>
                                <button id="add-password-confirm" class="btn btn-primary ajax-submit"><?php echo e(__('Confirm')); ?></button>
                            </li>
                            <li>
                                <a href="javascript:void(0)" data-dismiss="modal" class="link link-light"><?php echo e(__('Cancel')); ?></a>
                            </li>
                        </ul>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
    
    <div class="modal fade" tabindex="-1" role="dialog" id="change-password-success">
        <div class="modal-dialog modal-dialog-centered modal-md" role="document">
            <div class="modal-content">
                <div class="modal-body modal-body-lg text-center">
                    <div class="nk-modal">
                        <em class="nk-modal-icon icon icon-circle icon-circle-xxl ni ni-check bg-success"></em>
                        <h4 class="nk-modal-title title"><?php echo e(__("Password changed successfully!")); ?></h4>
                        <div class="nk-modal-text">
                            <p class="caption-text"><?php echo e(__("Your password for your account has been successfully changed. You will need to sign in with your new password next time.")); ?></p>
                            <p class="sub-text-sm"><?php echo e(__("Reset your password, if you forgot or lost.")); ?></p>
                        </div>
                        <div class="nk-modal-action-lg">
                            <ul class="btn-group gx-4">
                                <li><a href="#" data-dismiss="modal" class="btn btn-mw btn-primary"><?php echo e(__("Return")); ?></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="modal fade" tabindex="-1" role="dialog" id="change-unverified-email">
        <div class="modal-dialog modal-dialog-centered modal-md" role="document">
            <div class="modal-content">
                <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
                <div class="modal-body modal-body-md">
                    <h5 class="title"><?php echo e(__('Enter Your Valid Email Address')); ?></h5>
                    <form action="<?php echo e(route('account.profile.update-unverified-email')); ?>" method="POST" class="form-validate is-alter mt-4 form-profile" autocomplete="off">
                        <?php echo csrf_field(); ?>
                        <div class="form-group">
                            <label class="form-label" for="current-email-address"><?php echo e(__('Current Email Address')); ?></label>
                            <div class="form-control-wrap">
                                <input type="email" class="form-control form-control-lg" id="current-email-address" readonly value="<?php echo e(auth()->user()->email); ?>">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="form-label" for="new-unverified-email-address"><?php echo e(__('New Email Address')); ?>  <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <input type="email" id="new-unverified-email-address" autocomplete="new-email" name="user_new_unverified_email" class="form-control form-control-lg"  placeholder="<?php echo e(__('Enter Email Address')); ?>" required maxlength="190">
                            </div>
                        </div>
                        <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                            <li>
                                <button type="submit" class="btn btn-md btn-primary ua-updp" data-action="email"><?php echo e(__('Send Verification Email')); ?></button>
                            </li>
                        </ul>
                        <div class="notes mt-gs">
                            <ul>
                                <li class="alert-note is-plain text-danger">
                                    <em class="icon ni ni-alert-circle"></em>
                                    <p><?php echo e(__("Wether you verify your email or not, from next login you have to use your new email address.")); ?></p>
                                </li>
                            </ul>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    <div class="modal fade" tabindex="-1" role="dialog" id="send-verification-link">
        <div class="modal-dialog modal-dialog-centered modal-md" role="document">
            <div class="modal-content">
                <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
                <div class="modal-body modal-body-lg">
                    <h5 class="title mb-2"><?php echo e(__('Verify your email address')); ?></h5>
                    <p class="text-dark"><?php echo __('Your email address (:mail) has not been verified yet! To secure your account, you need to verify your email address.', ['mail' => '<strong>'. auth()->user()->email .'</strong>' ]); ?></p>

                    <div class="mt-3" id="mail-resend">
                        <div class="form-group">
                            <p><?php echo e(__('To verify, please click the below button to send verification email.')); ?></p>
                        </div>
                        <div class="form-group">
                            <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                                <li>
                                    <button type="submit" class="btn btn-md btn-primary" id="resend-email"><?php echo e(__('Send Verification Email')); ?></button>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <form action="<?php echo e(route('account.profile.verify-unverified-code')); ?>" method="post" class="form-validate is-alter mt-4 d-none" autocomplete="off" id="mail-confirm">
                        <div class="form-group mt-2">
                            <div class="form-control-wrap">
                                <input type="number" minlength="6" maxlength="6" name="code" class="form-control" placeholder="<?php echo e(__('Enter verification code')); ?>"
                                data-msg-minlength="<?php echo e(__('Minimum :num digit.', ['num' => 6])); ?>" data-msg-maxlength="<?php echo e(__('Maximum :num digit.', ['num' => 6])); ?>" data-msg-number="<?php echo e(__('Enter valid number.')); ?>"
                                data-msg-required="<?php echo e(__('Required.')); ?>" required>
                            </div>
                        </div>
                        <div class="form-group mb-n3">
                            <ul class="btn-group-vertical gy-3">
                                <li>
                                    <button id="verify-code" class="btn btn-primary"><?php echo e(__('Verify Code')); ?></button>
                                </li>
                                <li>
                                    <p><?php echo __("If the email doesn't arrive soon, check your :spam folder or have us :send.", 
                                    ['spam' => '<strong>'.__("spam").'</strong>', 'send' => '<a id="resend-email" href="javascript:void(0)" class="link">'.__("send it again").'</a>']); ?></p>
                                </li>
                            </ul>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <?php if(data_get(auth()->user(), '2fa')): ?>
    
    <div class="modal fade" id="disable-2fa" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
                <div class="modal-body modal-body-md">
                    <h5 class="modal-title"><?php echo e(__('Disable 2FA Authentication')); ?></h5>
                    <form action="<?php echo e(route('account.settings.2fa', 'disable')); ?>" method="POST" class="form-validate is-alter mt-3">
                        <p><?php echo e(__("If you want to disable 2FA authentication from your account then enter your the current code.")); ?></p>

                        <div class="form-group">
                            <label class="form-label" for="google2fa-code"><?php echo e(__('Enter Authenticator Code')); ?></label>
                            <div class="form-control-wrap">
                                <input type="text" name="google2fa_code" class="form-control" id="google2fa-code" placeholder="<?php echo e(__('Enter the code to verify')); ?>" required>
                            </div>
                        </div>
                        <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                            <li>
                                <?php echo csrf_field(); ?>
                                <button class="btn btn-danger ajax-submit"><?php echo e(__('Disable 2FA')); ?></button>
                            </li>
                            <li>
                                <a href="javascript:void(0)" data-dismiss="modal" class="link link-light"><?php echo e(__('Cancel')); ?></a>
                            </li>
                        </ul>
                        <div class="divider stretched md"></div>
                        <p class="text-danger"><strong><?php echo e(__("Attention")); ?>:</strong> <?php echo e(__("If you disable the 2FA authentication then it won't ask you again the code when you login.")); ?></p>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <?php else: ?>
    
    <div class="modal fade" id="enable-2fa" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-dialog-centered modal-md" role="document">
            <div class="modal-content">
                <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
                <div class="modal-body modal-body-md">
                    <h5 class="modal-title"><?php echo e(__("Enable 2FA Authentication")); ?></h5>
                    <form action="<?php echo e(route('account.settings.2fa', 'enable')); ?>" method="POST" class="form-validate is-alter mt-3" autocomplete="off">
                        <p><?php echo __("Step 1: Install the Google Authenticator app from :google or :apple.", ['google' => '<a target="_blank" href="https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2">'. __("Google Play") .'</a>', 'apple' => '<a target="_blank" href="https://apps.apple.com/us/app/google-authenticator/id388497605">'. __("App Store") .'</a>']); ?></p>
                        <p><?php echo e(__("Step 2: Scan below QR code by your Google Authenticator app, or you can add account manually into the app.")); ?></p>

                        <div class="divider stretched sm"></div>

                        <div class="row align-center">
                            <div class="col-sm-8">
                                <p class="mb-1"><strong class="text-dark"><?php echo e(__("Manually add account:")); ?></strong></p>
                                <p class="mb-1"><?php echo e(__("Account Name:")); ?><br><strong class="text-dark"><?php echo e(site_info('name')); ?></strong></p>
                                <p class="mb-1"><?php echo e(__("Your Key:")); ?><br><strong class="text-dark"><?php echo e($secret2fa); ?></strong></p>
                            </div>
                            <div class="col-sm-4">
                                <div class="qr-media my-1 ml-sm-auto w-max-120px">
                                    <?php echo NioQR::generate($qrcode2fa, 200); ?>

                                </div>
                            </div>
                        </div>
                        <div class="divider stretched sm"></div>

                        <label class="form-label" for="google2fa-code"><?php echo e(__("Enter Authenticator Code")); ?></label>
                        <div class="row g-2 align-center">
                            <div class="col-sm-8">
                                <div class="form-group">
                                    <div class="form-control-wrap">
                                        <input id="google2fa-code" type="text" class="form-control" name="google2fa_code" placeholder="<?php echo e(__("Enter the code to verify")); ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <?php echo csrf_field(); ?>
                                    <input type="hidden" name="google2fa_secret" value="<?php echo e($secret2fa); ?>">
                                    <button type="submit" class="btn btn-primary btn-block ajax-submit"><?php echo e(__("Confirm & Enable")); ?></button>
                                </div>
                            </div>
                        </div>

                        <div class="divider stretched md"></div>
                        <p class="text-danger"><strong><?php echo e(__("Attention")); ?>:</strong> <?php echo e(__("You will lose access of your account, if you lost your phone or uninstall the Google Authenticator app.")); ?></p>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
    
    <div class="modal fade" tabindex="-1" role="dialog" id="social-account-modal">
        <div class="modal-dialog modal-dialog-centered modal-md" role="document">
            <div class="modal-content">
                <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
                <div class="modal-body modal-body-md">
                    <h5 class="title"></h5>
                    <p class="text"></p>
                    <form action="" method="POST" class="form-validate is-alter mt-4 form-authentic" id="social-form">
                        <div class="form-group">
                            <label class="form-label" for="confirm-password"><?php echo e(__('Current Password')); ?> <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <input type="password" name="password" class="form-control form-control-lg" id="confirm-password" placeholder="<?php echo e(__('Enter your password')); ?>" required maxlength="190">
                            </div>
                        </div>
                        <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                            <li>
                                <?php echo csrf_field(); ?>
                                <button class="btn btn-primary ajax-submit"><?php echo e(__('Confirm & Authenticate')); ?></button>
                            </li>
                            <li>
                                <a href="javascript:void(0)" data-dismiss="modal" class="link link-light"><?php echo e(__('Cancel')); ?></a>
                            </li>
                        </ul>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
<?php $__env->stopPush(); ?>

<?php $__env->startPush('scripts'); ?>
<script type="text/javascript">

    const profileSetting = "<?php echo e(route('account.settings.save')); ?>";

    const socialRoutes = {
        facebook:{
            revoke : "<?php echo e(route('account.settings.social',['facebook','revoke'])); ?>",
            link : "<?php echo e(route('account.settings.social',['facebook','link'])); ?>",
        },
        google:{
            revoke :"<?php echo e(route('account.settings.social',['google','revoke'])); ?>",
            link :"<?php echo e(route('account.settings.social',['google','link'])); ?>"
        }
    };

    const msg = {
        link: "<?php echo e(__('To link your social account, you must enter your current password to verify. You can login using your social account once it authenticated.')); ?>",
        revoke: "<?php echo e(__('To revoke your social account, you must enter your current password to verify. You can not login using your social account anymore once you revoke.')); ?>"
    }

    const title = {
        link: "<?php echo e(__('Link Social Account')); ?>",
        revoke: "<?php echo e(__('Revoke Social Account')); ?>"
    }

    $('.social-btn').on('click',function(){
        let platform = $(this).data('platform');
        let action = $(this).data('action');
        $('#social-form').prev().prev().text(title[action]);
        $('#social-form').prev().text(msg[action]);
        $('#social-form').attr('action',socialRoutes[platform][action]);
    });

    $(document).on('click', '#resend-email', function(e) {
        let emrout = "<?php echo e(route('account.profile.verify-unverified-email')); ?>";
        e.preventDefault(); 
        $('#verify-code').attr('disabled', true).addClass('disabled');
        NioApp.Form.toPost(emrout, {action : 'verify'}, {
            onSuccess: function (res) {
                if (res.msg) {
                    $('#mail-resend').addClass('d-none');
                    $('#mail-confirm').removeClass('d-none');
                    NioApp.Toast(res.msg, res.type);
                    $('#verify-code').removeAttr('disabled', true).removeClass('disabled');
                }
            }
        });
    });

    $(document).on('click', '#verify-code', function(e) {
        let $self = $(this), $form = $self.closest('form');
        e.preventDefault();
        if($form.valid()) {
            let data = {code : $form.find('input[name=code]').val() }, url = $form.attr('action');
            NioApp.Form.toPost(url, data, {btn: $self});
        }
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/user/account/settings.blade.php ENDPATH**/ ?>