<?php
    $details = data_get($transaction, 'details');
?>
<div class="modal-dialog modal-dialog-centered modal-md" role="document">
    <div class="modal-content">
        <a href="#" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
        <div class="modal-body modal-body-md">
            <div class="nk-pps-apps">
                <div class="nk-pps-title text-center">
                    <h3 class="title"><?php echo e(__('Confirm Your Withdrawal')); ?></h3>
                    <p class="caption-text"><?php echo __('You are about to withdraw :amount via :account.', [
                        'amount' => '<strong>'.data_get($details, 'tnx_amount').'</strong>',
                        'account' => '<strong>'.data_get($wdm, 'name').'</strong> ('.data_get($transaction, 'meta.account').')' ]); ?>

                    </p>
                </div>
                <div class="nk-pps-data">
                    <ul class="nk-olist">
                        <li class="nk-olist-item">
                            <div class="label lead-text"><?php echo e(__('Withdraw Account (:name)', ['name' => get_currency(data_get($details, 'tnx_currency'), 'name'). ' Wallet'])); ?></div>
                            <div class="data"><span class="method"><em class="icon ni ni-wallet-fill"></em> <span class="ellipsis w-max-225px"><?php echo e(str_compact(data_get($transaction, 'meta.pay_meta.wallet'), '..', 6)); ?></span></span></div>
                        </li>

                        <li class="nk-olist-item <?php echo e((data_get($details, 'tnx_fees')) ? ' is-grouped' : ''); ?>">
                            <div class="label lead-text"><?php echo e(__('Amount to withdraw')); ?></div>
                            <div class="data"><span class="amount"><?php echo e(data_get($details, 'tnx_total')); ?></span></div>
                        </li>

                        <?php if(data_get($details, 'tnx_fees')): ?>
                        <li class="nk-olist-item small">
                            <div class="label"><?php echo e(__('Processing fee')); ?></div>
                            <div class="data"><span class="amount"><?php echo e(data_get($details, 'tnx_fees')); ?></span></div>
                        </li>
                        <?php endif; ?>

                        <li class="nk-olist-item<?php echo e((data_get($details, 'currency') != data_get($details, 'tnx_currency')) ? ' is-grouped' : ''); ?>">
                            <div class="label lead-text">
                                <?php echo e(__('Total amount to debit')); ?> 
                                <em class="icon ni ni-info small text-soft nk-tooltip" title="<?php echo e(__("The amount will be deducted from your main balance.")); ?>"></em>
                            </div>
                            <div class="data"><span class="amount"><?php echo e(data_get($details, 'total')); ?></span></div>
                        </li>

                        <?php if(data_get($details, 'currency') != data_get($details, 'tnx_currency')): ?>
                        <li class="nk-olist-item small">
                            <div class="label"><?php echo e(__('Exchange rate')); ?></em></div>
                            <div class="data fw-normal text-soft">
                                <span class="amount"><?php echo e(__(':amount = :rate', ['amount' => '1'.' '.data_get($details, 'currency'), 'rate' => data_get($details, 'exchange_rate')])); ?></span>
                            </div>
                        </li>
                        <?php endif; ?>
                    </ul>

                    <?php if(data_get($transaction, 'meta.unote')): ?>
                        <ul class="nk-olist">
                            <li class="nk-olist-item">
                                <div class="label"><?php echo e(__('Description')); ?></div>
                                <div class="data note"><?php echo e(data_get($transaction, 'meta.unote')); ?></div>
                            </li>
                        </ul>
                    <?php endif; ?>

                    <?php if(data_get($transaction, 'reference')): ?>
                        <ul class="nk-olist">
                            <li class="nk-olist-item">
                                <div class="label"><?php echo e(__('Reference')); ?></div>
                                <div class="data note"><?php echo e(data_get($transaction, 'reference')); ?></div>
                            </li>
                        </ul>
                    <?php endif; ?>

                    <ul class="nk-olist">
                        <li class="nk-olist-item nk-olist-item-final">
                            <div class="label lead-text"><?php echo e(__('Amount transferred to Account')); ?></div>
                            <div class="data"><span class="amount"><?php echo e(data_get($details, 'tnx_amount')); ?></span></div>
                        </li>
                    </ul>

                     <div class="sub-text-sm"><?php echo e(__('* Additional fees, network fees or intermediary fees may be deducted from the Amount Transferred by your payment provider.')); ?></div>
                </div>
                <?php if($transaction->is_cancellable): ?>
                <div class="nk-pps-field form-action text-center">
                    <div class="nk-pps-action pt-3">
                        <a href="<?php echo e(route('transaction.action', ['status' => 'cancel', 'tnx' => the_hash($transaction->id)])); ?>" class="btn btn-outline-danger btn-trans"><?php echo e(__('Cancel Order')); ?></a>
                    </div>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/niomodules/WdCrypto/Views/details.blade.php ENDPATH**/ ?>