

<?php $__env->startSection('title', __(gss('front_page_title', "Welcome"))); ?>
<?php $__env->startSection('desc', gss('seo_description_home', gss('seo_description', ''))); ?>
<?php $__env->startSection('keyword', gss('seo_keyword_home', gss('seo_keyword', ''))); ?>

<?php

$leadText = gss('iv_plan_pg_text', "Here is our several investment plans. You can invest daily, weekly or monthly and get higher returns in your investment.");
$leadTitle = gss('iv_plan_pg_title', "Choose your favourite plan and start earning now.");

?>

<?php $__env->startSection('content'); ?>
<div class="nk-block-head nk-block-head-lg text-center">
    <h2 class="nk-block-title fw-normal"><?php echo e((gss('iv_plan_pg_heading')) ? __(gss('iv_plan_pg_heading')) : __('Investment Plans')); ?></h2>
    <?php if($leadText || $leadTitle): ?>
    <div class="nk-block-des w-max-550px m-auto">
        <?php if($leadText): ?>
        <p class="lead"><?php echo e(__($leadText)); ?></p>
        <?php endif; ?>
        <?php if($leadTitle): ?>
        <p><strong><?php echo e(__($leadTitle)); ?></strong></p>
        <?php endif; ?>
    </div>
    <?php endif; ?>
</div>
<?php if(!empty($schemes)): ?>
<div class="nk-block">
    <div class="row justify-content-center g-gs">
        <?php $__currentLoopData = $schemes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ivp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php if(is_null(data_get($ivp, 'type'))): ?>
        <div class="col-md-6 col-lg-4">
            <div class="nk-ivp-card card card-bordered card-full">
                <div class="card-inner-group">
                    <div class="card-inner">
                        <div class="nk-ivp-title card-title">
                            <h4 class="title"><?php echo e(data_get($ivp, 'name')); ?></h4>
                            <?php if(sys_settings('iv_plan_desc_show') == 'yes'): ?>
                            <p class="sub-text"><?php echo e(data_get($ivp, 'desc')); ?></p>
                            <?php endif; ?>
                        </div>
                        <div class="nk-ivp-summary card-text">
                            <div class="row">
                                <div class="col-6">
                                    <span class="lead-text"><span class="small text-dark"><?php echo e(data_get($ivp, 'rate_text')); ?></span></span>
                                    <span class="sub-text"><?php echo e(__(':period Interest', ['period' => ucfirst(__(data_get($ivp, 'calc_period')))])); ?></span>
                                </div>
                                <div class="col-6">
                                    <span class="lead-text"><span class="small text-dark"><?php echo e(data_get($ivp, 'term')); ?></span></span>
                                    <span class="sub-text"><?php echo e(__('Term :type', ['type' => __(ucfirst(data_get($ivp, 'term_type')))])); ?></span>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <div class="card-inner">
                        <div class="card-text">
                            <ul class="nk-ivp-data">
                                <?php if(data_get($ivp, 'is_fixed')): ?>
                                <li><span class="label"><?php echo e(__('Deposit Amount')); ?></span> - <span class="data fw-medium text-dark"><?php echo e(money(data_get($ivp, 'amount'), base_currency())); ?></span></li>
                                <li><span class="label"><?php echo e(__('Deposit Type')); ?></span> - <span class="data"><?php echo e(__("Fixed")); ?></span></li>
                                <?php else: ?>
                                <li><span class="label"><?php echo e(__('Min Deposit')); ?></span> - <span class="data fw-medium text-dark"><?php echo e(money(data_get($ivp, 'amount'), base_currency())); ?></span></li>
                                <li><span class="label"><?php echo e(__('Max Deposit')); ?></span> - <span class="data"><?php echo e(data_get($ivp, 'maximum') ? money(data_get($ivp, 'maximum'), base_currency()) : __("Unlimited")); ?></span></li>
                                <?php endif; ?>
                                <?php if(sys_settings('iv_plan_terms_show') == 'yes'): ?>
                                <li><span class="label"><?php echo e(__('Term Duration')); ?></span> - <span class="data"><?php echo e(data_get($ivp, 'term_text_alter')); ?></span></li>
                                <?php endif; ?>
                                <?php if(sys_settings('iv_plan_payout_show') == 'yes'): ?>
                                <li><span class="label"><?php echo e(__('Payout Term')); ?></span> - <span class="data"><?php echo e(data_get($ivp, 'payout') == 'after_matured' ? __("After matured") : __("Term basis")); ?></span></li>
                                <?php endif; ?>
                                <?php if(sys_settings('iv_plan_capital_show') == 'yes'): ?>
                                <li><span class="label"><?php echo e(__('Capital Return')); ?> <em class="icon ni ni-info text-soft nk-tooltip small" title="<?php echo e(__("The invested amount will be return at the end of term.")); ?>"></em></span> - <span class="data"><?php if(data_get($ivp, 'capital')): ?> <?php echo e(__('End of Term')); ?> <?php else: ?> <?php echo e(__('Each Term')); ?> <?php endif; ?></span></li>
                                <?php endif; ?>
                                <?php if(sys_settings('iv_plan_total_percent') == 'yes'): ?>
                                <li><span class="label"><?php echo e(__('Total Return')); ?></span> - <span class="data"><?php echo e(data_get($ivp,'total_return')); ?>%</span></li>
                                <?php endif; ?>
                            </ul>
                            <?php if(!auth()->check()): ?>
                            <div class="nk-ivp-action">
                                <a class="btn btn-primary" href="<?php echo e(route('auth.login.form')); ?>"><span><?php echo e(__('Invest Now')); ?></span></a>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php else: ?>
            <?php if(view()->exists('ExtInvest::frontend.plan-card')): ?>
                <?php echo $__env->make('ExtInvest::frontend.plan-card', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php endif; ?>
        <?php endif; ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
</div>
<?php endif; ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/frontend/investments.blade.php ENDPATH**/ ?>