

<?php $__env->startSection('title', __('Referrals')); ?>

<?php $__env->startSection('content'); ?>
<div class="nk-content-body">
    <div class="nk-block-head nk-block-head-sm">
        <div class="nk-block-head-sub"><span><?php echo e(__('Referrals')); ?></span></div>
        <div class="nk-block-between-md g-4">
            <div class="nk-block-head-content">
                <h2 class="nk-block-title fw-normal"><?php echo e(__('Referral Activity')); ?></h2>
                <div class="nk-block-des">
                    <p><?php echo e(__("See who you've referred and statistic of your referrals.")); ?></p>
                </div>
            </div>
        </div>
    </div>

    <?php echo Panel::profile_alerts(); ?>


    <?php if(sys_settings('referral_show_referred_users', 'no') == 'yes'): ?>
    <div class="nk-block nk-block-lg">
        <div class="nk-block-between align-items-baseline">
            <div class="nk-block-head">
                <h5 class="nk-block-title"><?php echo e(__('Referral List')); ?></h5>
            </div>
            <?php if(module_exist('MultiReferral', 'addon') && gss('referral_show_referred_tree', 'no') == 'yes'): ?>
            <div class="nk-block-link">
                <a class="link" href="<?php echo e(route('referral.network.tree')); ?>">
                    <span><?php echo e(__('See Tree View')); ?></span>
                </a>
            </div>
            <?php endif; ?>
        </div>
        <div class="card card-bordered">
            <table class="nk-plan-tnx table">
                <thead class="thead-light">
                    <tr>
                        <th class="tb-col-type w-50"><span class="overline-title"><?php echo e(__('Username')); ?></span></th>
                        <th class="tb-col-date tb-col-md"><span class="overline-title"><?php echo e(__('Join Date')); ?></span></th>
                        <?php if(in_array('earning', sys_settings('referral_user_table_opts', []))): ?>
                        <th class="tb-col-amount tb-col-end"><span class="overline-title"><?php echo e(__('Earned')); ?></span></th>
                        <?php endif; ?>
                    </tr>
                </thead>
                <tbody>
                    <?php if(filled($refers)): ?>
                    <?php $__currentLoopData = $refers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $refer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td class="tb-col-type w-50">
                            <span class="sub-text"><?php echo e(in_array('compact', sys_settings('referral_user_table_opts', [])) ? str_compact(data_get($refer, 'referred.username')) : data_get($refer, 'referred.username')); ?></span>
                        </td>
                        <td class="tb-col-date tb-col-md">
                            <span class="sub-text"><?php echo e(show_date(data_get($refer, 'join_at'), true)); ?></span>
                        </td>
                        <?php if(in_array('earning', sys_settings('referral_user_table_opts', []))): ?>
                        <td class="tb-col-amount tb-col-end">
                            <span><?php echo e(isset($earnings[$refer->user_id]) ? money($earnings[$refer->user_id]->sum(), base_currency(), ['dp' => 'calc']) : money('0', base_currency())); ?></span>
                        </td>
                        <?php endif; ?>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                    <tr>
                        <td colspan="<?php echo e((in_array('earning', sys_settings('referral_user_table_opts', []))) ? '3' : '2'); ?>"><?php echo e(__("No one join yet!")); ?></td>
                    </tr>
                    <?php endif; ?>
                </tbody>
            </table>
            <?php if($refers->hasPages()): ?>
            <div class="card-inner border-top pt-3 pb-3">
                <?php echo e($refers->appends(request()->except('refers'))->links('misc.pagination')); ?>

            </div>
            <?php endif; ?>
        </div>
    </div>
    <?php endif; ?>

    <div class="nk-block nk-block-lg">
        <div class="nk-block-head">
            <h5 class="nk-block-title"><?php echo e(__('Referral Commissions')); ?></h5>
        </div>
        <div class="card card-bordered">
            <table class="nk-plan-tnx table">
                <thead class="thead-light">
                    <tr>
                        <th class="tb-col-type w-50"><span class="overline-title"><?php echo e(__('Details')); ?></span></th>
                        <th class="tb-col-date tb-col-md"><span class="overline-title"><?php echo e(__('Date')); ?></span></th>
                        <th class="tb-col-status tb-col-sm"><span class="overline-title"><?php echo e(__('Status')); ?></span></th>
                        <th class="tb-col-amount tb-col-end"><span class="overline-title"><?php echo e(__('Earning')); ?></span></th>
                    </tr>
                </thead>
                <tbody>
                    <?php if(filled($transactions)): ?>
                    <?php $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tranx): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td class="tb-col-type w-50"><span class="sub-text"><?php echo e($tranx->description); ?></span></td>
                        <td class="tb-col-date tb-col-md">
                            <span class="sub-text"><?php echo e(show_date(data_get($tranx, 'created_at'), true)); ?></span>
                        </td>
                        <td class="tb-col-status tb-col-sm">
                            <span class="sub-text"><?php echo e(ucfirst(__(tnx_status_switch($tranx->status)))); ?> <?php echo ($tranx->completed_at) ? '<em class="icon ni ni-info nk-tooltip text-soft" title="'. __(" At :time", ['time'=> show_date($tranx->completed_at, true) ]). '"></em> ' : ''; ?></span>
                        </td>
                        <td class="tb-col-amount tb-col-end"><span><?php echo e(amount_z($tranx->amount, base_currency(), ['dp' => 'calc'])); ?></span></td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                    <tr>
                        <td colspan="4"><?php echo e(__("No transactions found!")); ?></td>
                    </tr>
                    <?php endif; ?>

                </tbody>
            </table>
            <?php if($transactions->hasPages()): ?>
            <div class="card-inner border-top pt-3 pb-3">
                <?php echo e($transactions->appends(request()->except('transactions'))->links('misc.pagination')); ?>

            </div>
            <?php endif; ?>
        </div>
    </div>

    <div class="nk-block">
        <?php echo Panel::referral('invite-card'); ?>

    </div>

    <?php echo Panel::cards('support'); ?>


</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/user/referrals/index.blade.php ENDPATH**/ ?>