
<?php $__env->startSection('title', __('PayPal - Payment Method')); ?>

<?php
    $isExtend = module_exist('NioExtend', 'addon');
?>

<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="nk-block-head nk-block-head-sm">
            <div class="nk-block-between">
                <div class="nk-block-head-content">
                    <h3 class="nk-block-title page-title"><?php echo e(__('Payment Methods')); ?></h3>
                    <p><?php echo e(__('Manage payment methods to receive payment from user.')); ?></p>
                </div>
                <div class="nk-block-head-content">
                    <ul class="nk-block-tools gx-1">
                        <li class="d-lg-none">
                            <a href="#" class="btn btn-icon btn-trigger toggle" data-target="pageSidebar"><em class="icon ni ni-menu-right"></em></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="nk-block card card-bordered nk-block-mh">
            <div class="card-inner">
                <div class="justify-between">
                    <h5 class="title"><?php echo e(__('PayPal')); ?> <span class="meta ml-1"><span class="badge badge-pill badge-xs badge-light"><?php echo e(__('Core')); ?></span></span></h5>
                    <div class="go-back"><a class="back-to" href="<?php echo e(route('admin.settings.gateway.payment.list')); ?>"><em class="icon ni ni-arrow-left"> </em> <?php echo e(__('Back')); ?></a></div>
                </div>
                <p><?php echo e(__('Accept payment via PayPal payment gateway.')); ?></p>
                <div class="divider"></div>
                <div class="row">
                    <div class="col-12">
                        <form action="<?php echo e(route('admin.settings.gateway.payment.paypal.save')); ?>" class="form-settings" method="POST">
                            <div class="row g-5">
                                <div class="col-lg-12 col-xxl-6">
                                    <h6 class="title mb-3"><?php echo e(__('Method Setting')); ?></h6>
                                    <div class="row gy-3">
                                        <div class="col-12 col-xxl-6">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo e(__('Method Title')); ?></label>
                                                <div class="form-control-wrap">
                                                    <input type="text" name="name" class="form-control" value="<?php echo e(data_get($settings, 'name', __('PayPal'))); ?>">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12 col-xxl-6">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo e(__('Description')); ?></label>
                                                <div class="form-control-group">
                                                    <input type="text" name="desc" value="<?php echo e(data_get($settings, 'desc', __('Pay securely with your PayPal account.'))); ?>" class="form-control">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12 col-sm-6">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo e(__('Minimum Amount')); ?></span><small><sup> 1</sup></small></label>
                                                <div class="form-control-wrap">
                                                    <div class="form-text-hint"><span><?php echo e(base_currency()); ?></span></div>
                                                    <input type="number" class="form-control" name="min_amount" value="<?php echo e(data_get($settings, 'min_amount', '0')); ?>" min="0">
                                                </div>
                                                <div class="form-note"><?php echo e(__('Amount will be convert')); ?></div>
                                            </div>
                                        </div>
                                        <div class="col-12 col-sm-6">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo e(__('Maximum Amount')); ?></span><small><sup> 1</sup></small></label>
                                                <div class="form-control-wrap">
                                                    <div class="form-text-hint"><span><?php echo e(base_currency()); ?></span></div>
                                                    <input type="number" class="form-control" name="max_amount" value="<?php echo e(data_get($settings, 'max_amount', '0')); ?>" min="0">
                                                </div>
                                                <div class="form-note"><?php echo e(__('Amount will be convert')); ?></div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo e(__('Fixed Amount')); ?> <small><sup>2</sup></small></label>
                                                <div class="row gx-gs gy-2">
                                                    <div class="col-12 col-sm-6">
                                                        <div class="form-control-wrap">
                                                            <input type="number" class="form-control" name="config[meta][min]" value="<?php echo e(data_get($settings, 'config.meta.min', '0')); ?>" min="0">
                                                        </div>
                                                        <div class="form-note mt-1"><?php echo e(__('Minimum Amount')); ?></div>
                                                    </div>
                                                    <div class="col-12 col-sm-6">
                                                        <div class="form-control-wrap">
                                                            <input type="number" class="form-control" name="config[meta][max]" value="<?php echo e(data_get($settings, 'config.meta.max', '0')); ?>" min="0">
                                                        </div>
                                                        <div class="form-note mt-1"><?php echo e(__('Maximum Amount')); ?></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo e(__('Method Name')); ?> <span class="small"><?php echo e(__('Alternet')); ?></span></label>
                                                <div class="form-control-wrap">
                                                    <input type="text" name="config[meta][title]" class="form-control" value="<?php echo e(data_get($settings, 'config.meta.title')); ?>">
                                                </div>
                                                <div class="form-note"><?php echo e(__('Method title will use if leave blank.')); ?></div>
                                            </div>
                                        </div>
                                        <?php if($isExtend || is_demo()): ?>
                                        <div class="col-12">
                                            <?php if($isExtend): ?>
                                            <div class="form-group">
                                                <label class="form-label"><?php echo e(__('Enable :Type Fees', ['type' => __("Deposit")])); ?></label>
                                                <div class="form-control-wrap">
                                                    <div class="custom-control custom-switch custom-control-labeled">
                                                        <input class="switch-option-value" type="hidden" name="fees[service]" value="<?php echo e(data_get($settings, 'fees.service') ?? 'no'); ?>">
                                                        <input type="checkbox" class="custom-control-input switch-option" data-switch="yes"<?php echo e((data_get($settings, 'fees.service', 'no') == 'yes') ? ' checked=""' : ''); ?> id="fee-service">
                                                        <label class="custom-control-label" for="fee-service"><span><?php echo e(__('Enable')); ?></span></label>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php endif; ?>
                                            <div class="form-group"<?php echo is_demo() ? ' title="The fees only works with NioExtend Addons and required Extended License." data-toggle="tooltip"' : ''; ?>>
                                                <label class="form-label" for="gateway-fee"><?php echo e(__(':Type Fees', ['type' => __("Deposit")])); ?> <span>(<?php echo e(__('per transaction')); ?>)</span> <small><sup>3</sup></small></label>
                                                <div class="row gx-gs gy-3">
                                                    <div class="col-12 col-sm-6">
                                                        <div class="row g-2">
                                                            <div class="col-6">
                                                                <div class="form-control-wrap">
                                                                    <input type="number" name="fees[percent]" value="<?php echo e(data_get($settings, 'fees.percent', 0)); ?>" class="form-control" id="gateway-fee-percent" placeholder="0" min="0"<?php echo e(($isExtend == false || has_restriction()) ? ' disabled' : ''); ?>>
                                                                </div>
                                                                <div class="form-note"><?php echo e(__('Percent Fee')); ?></div>
                                                            </div>
                                                            <div class="col-6">
                                                                <div class="form-control-wrap">
                                                                    <input type="number" name="fees[flat]" value="<?php echo e(data_get($settings, 'fees.flat', 0)); ?>" class="form-control" id="gateway-fee-flat" placeholder="0" min="0"<?php echo e(($isExtend == false || has_restriction()) ? ' disabled' : ''); ?>>
                                                                </div>
                                                                <div class="form-note"><?php echo e(__('Flat Fee')); ?></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-12 col-sm-6">
                                                        <div class="row g-2">
                                                            <div class="col-6">
                                                                <div class="form-control-wrap">
                                                                    <input type="number" name="fees[min]" value="<?php echo e(data_get($settings, 'fees.min', 0)); ?>" class="form-control" id="gateway-fee-fixed-percent" placeholder="0" min="0"<?php echo e(($isExtend == false || has_restriction()) ? ' disabled' : ''); ?>>
                                                                </div>
                                                                <div class="form-note"><?php echo e(__("Minimum Fee")); ?> <em class="ni ni-info nk-tooltip" title="<?php echo e(__("Fee will add if percent calculated amount less than compare amount.")); ?>"></em></div>
                                                            </div>
                                                            <div class="col-6">
                                                                <div class="form-control-wrap">
                                                                    <input type="number" name="fees[compare]" value="<?php echo e(data_get($settings, 'fees.compare', 0.01)); ?>" class="form-control" id="gateway-fee-fixed-percent" placeholder="0.01" min="0.01"<?php echo e(($isExtend == false || has_restriction()) ? ' disabled' : ''); ?>>
                                                                </div>
                                                                <div class="form-note"><?php echo e(__("Compare")); ?> <em class="ni ni-info nk-tooltip" title="<?php echo e(__("If percent calculated amount less than defined amount.")); ?>"></em></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-lg-12 col-xxl-6">
                                    <h6 class="title mb-3"><?php echo e(__('API Credentials')); ?></h6>
                                    <div class="row gy-3">
                                        <div class="col-12">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo e(__('API Client ID')); ?></label>
                                                <div class="form-control-group">
                                                    <input type="text" name="config[api][client_id]" value="<?php echo e(data_get($settings, 'config.api.client_id')); ?>" class="form-control">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo e(__('API Client Secret')); ?></label>
                                                <div class="form-control-group">
                                                    <input type="text" name="config[api][client_secret]" value="<?php echo e(data_get($settings, 'config.api.client_secret')); ?>" class="form-control">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo e(__('Account Name/ID')); ?> <span class="small">(<?php echo e(__('Reference')); ?>)</span></label>
                                                <div class="form-control-group">
                                                    <input type="text" name="config[api][account]" value="<?php echo e(data_get($settings, 'config.api.account')); ?>" class="form-control">
                                                </div>
                                                <div class="form-note"><?php echo e(__('System use only for record.')); ?></div>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo e(__('PayPal Sandbox')); ?></label>
                                                <div class="form-control-wrap">
                                                    <div class="custom-control custom-switch custom-control-labeled">
                                                        <input class="switch-option-value" type="hidden" name="config[api][sandbox]" value="<?php echo e(data_get($settings, 'config.api.sandbox') ?? 'inactive'); ?>">
                                                        <input type="checkbox" class="custom-control-input switch-option" data-switch="active"<?php echo e((data_get($settings, 'config.api.sandbox', 'inactive') == 'active') ? ' checked=""' : ''); ?> id="paypalSandbox">
                                                        <label class="custom-control-label" for="paypalSandbox"><span class="over"></span><span><?php echo e(__('Enable')); ?></span></label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="note pl-2 border-left border-primary">
                                        <p><strong><?php echo e(__('Please Note:')); ?></strong><br>
                                            <small><sup>1</sup></small>
                                            <?php echo e(__("The amount will apply only if its more than the base minimum / maximum deposit amount.")); ?><br>
                                            <small><sup>2</sup></small> 
                                            <?php echo e(__("The fixed minimum / maximum amount will be set same for each currency & override others.")); ?><br>
                                            <?php if($isExtend): ?>
                                            <small><sup>3</sup></small>
                                            <?php echo e(__("Fee will apply on deposited currency and same for all currencies. Both percent & flat fee will applied if present.")); ?><br>
                                            <?php endif; ?>
                                        </p>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <h6 class="title"><?php echo e(__('Supported Currency')); ?></h6>
                                    <p><?php echo e(__('Specify currency wise minimum / maximum amount for :type.', ['type' => __("Deposit")])); ?></p>
                                    <div class="row g-3">
                                    <?php $__currentLoopData = $supportedCurrencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="col-sm-6 col-xxl-4">
                                            <div class="card bg-lighter p-3">
                                                <div class="form-group">
                                                    <div class="form-control-wrap">
                                                        <div class="custom-control custom-switch">
                                                            <input type="checkbox" class="custom-control-input" name="currencies[]" value="<?php echo e(data_get($currency, 'code')); ?>" id="cur-<?php echo e(data_get($currency, 'code')); ?>" <?php echo e(!is_active_currency(data_get($currency, 'code')) ? ' disabled' : ''); ?> <?php if(in_array(data_get($currency, 'code'), data_get($settings, 'currencies', []))): ?> checked <?php endif; ?>>
                                                            <label class="custom-control-label" for="cur-<?php echo e(data_get($currency, 'code')); ?>"><?php echo e(__(':name (:code)', ["name" => data_get($currency, 'name'), "code" => data_get($currency, 'code')])); ?></label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="form-label" for=""><?php echo e(__('Amount to Deposit')); ?></label>
                                                    <div class="row gx-1">
                                                        <div class="col-6">
                                                            <div class="form-group">
                                                                <div class="form-control-wrap">
                                                                    <input type="number" class="form-control form-control-sm" name="config[currencies][<?php echo e(data_get($currency, 'code')); ?>][min]" value="<?php echo e(data_get($settings, 'config.currencies.' . data_get($currency, 'code') . '.min', 0)); ?>" placeholder="0" min="0">
                                                                </div>
                                                                <div class="form-note"><?php echo e(__('Minimum')); ?></div>
                                                            </div>
                                                        </div>
                                                        <div class="col-6">
                                                            <div class="form-group">
                                                                <div class="form-control-wrap">
                                                                    <input type="number" class="form-control form-control-sm" name="config[currencies][<?php echo e(data_get($currency, 'code')); ?>][max]" value="<?php echo e(data_get($settings, 'config.currencies.' . data_get($currency, 'code') . '.max', 0)); ?>" placeholder="0" min="0">
                                                                </div>
                                                                <div class="form-note"><?php echo e(__('Maximum')); ?></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <?php if($isExtend || is_demo()): ?>
                                                <div class="form-group mt-n2"<?php echo is_demo() ? ' title="The fees only works with NioExtend Addons and required Extended License." data-toggle="tooltip"' : ''; ?>>
                                                    <label class="form-label" for="gateway-fee"><?php echo e(__(':Type Fees', ['type' => __("Deposit")])); ?></label>
                                                    <div class="row gx-1">
                                                        <div class="col-6">
                                                            <div class="form-group">
                                                                <div class="form-control-wrap">
                                                                    <input type="number" class="form-control form-control-sm" name="fees[currencies][<?php echo e(data_get($currency, 'code')); ?>][percent]" value="<?php echo e(data_get($settings, 'fees.currencies.' . data_get($currency, 'code') . '.percent', 0)); ?>" placeholder="0" min="0"<?php echo e(($isExtend == false || has_restriction()) ? ' disabled' : ''); ?>>
                                                                </div>
                                                                <div class="form-note"><?php echo e(__('Percent Fee')); ?></div>
                                                            </div>
                                                        </div>
                                                        <div class="col-6">
                                                            <div class="form-group">
                                                                <div class="form-control-wrap">
                                                                    <input type="number" class="form-control form-control-sm" name="fees[currencies][<?php echo e(data_get($currency, 'code')); ?>][flat]" value="<?php echo e(data_get($settings, 'fees.currencies.' . data_get($currency, 'code') . '.flat', 0)); ?>" placeholder="0" min="0"<?php echo e(($isExtend == false || has_restriction()) ? ' disabled' : ''); ?>>
                                                                </div>
                                                                <div class="form-note"><?php echo e(__('Flat Fee')); ?></div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </div>
                            </div>
                            <div class="divider"></div>
                            <div class="d-flex justify-between">
                                <?php echo csrf_field(); ?>
                                <input type="hidden" name="slug" value="<?php echo e(data_get($config, 'slug')); ?>">
                                <div class="custom-control custom-switch">
                                    <input class="switch-option-value" type="hidden" name="status" value="<?php echo e(data_get($settings, 'status') ?? 'inactive'); ?>">
                                    <input type="checkbox" class="custom-control-input switch-option" data-switch="active"<?php echo e((data_get($settings, 'status', 'inactive') == 'active') ? ' checked=""' : ''); ?>  id="enable-method">
                                    <label class="custom-control-label" for="enable-method"><span class="over"></span><span><?php echo e(__('Enable Method')); ?></span></label>
                                </div>
                                <button type="button" class="btn btn-primary submit-settings" disabled="">
                                    <span class="spinner-border spinner-border-sm hide" role="status" aria-hidden="true"></span>
                                    <span><?php echo e(__('Update')); ?></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.modules', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/niomodules/Paypal/Views/settings.blade.php ENDPATH**/ ?>