<?php

use \App\Enums\TransactionType;

$title = ($todo=='any') ? __('Transaction') : $todo;
$fund = ($todo=='any') ? __('Transaction') : $todo;
$form_url = isset($ivTnx) ?  route('admin.investment.manual.save', $todo) : route('admin.transaction.manual.save', $todo); 

?>

<div class="modal-dialog modal-dialog-centered modal-md" role="document">
    <div class="modal-content">
        <a href="javascript:void(0)" class="close" data-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
        <div class="modal-body modal-body-md">
            <h4 class="title nk-modal-title mb-3"><?php echo e(__('Manually Add :Type', ['type' => $title])); ?></h4>
            <form action="<?php echo e($form_url); ?>" method="POST" data-confirm="addnew" class="form-validate is-alter">
                <div class="row gy-2">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form-label" for="tnx-amount"><?php echo e(__('Amount')); ?> <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <div class="form-text-hint"><span class="overline-title"><?php echo e(base_currency()); ?></span></div>
                                <input type="number" class="form-control" id="tnx-amount" name="amount" required="">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form-label" for="tnx-account"><?php echo e(__('Add to Account')); ?> <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <select name="account" id="tnx-account" class="form-control form-select" data-placeholder="<?php echo e(__("Select an account")); ?>" data-search="on" required="">
                                    <option value=""><?php echo e(__("Select an account")); ?></option>
                                    <?php if(!blank($users)): ?>
                                        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($user->id); ?>"><?php echo e(__(':uid (:name)', ['uid' => the_uid($user->id), 'name' => $user->name, 'email' => str_protect($user->email)])); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?> 
                                        <option><?php echo e(__('No user found.')); ?></option>
                                    <?php endif; ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form-label" for="tnx-type"><?php echo e(__('Transaction Type')); ?> <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <select name="tnxtype" id="tnx-type" class="form-control form-select" data-placeholder="<?php echo e(__("Select transaction type")); ?>" required="">
                                    <?php if($todo=='any'|| empty($todo)): ?>
                                        <option value=""><?php echo e(__("Select transaction type")); ?></option>
                                        <?php $__currentLoopData = $types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($item['name']); ?>"><?php echo e($item['label']); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?> 
                                        <option value="<?php echo e($types[$todo]['name']); ?>"><?php echo e($types[$todo]['label']); ?></option>
                                    <?php endif; ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="form-label" for="tnx-method"><?php echo e(__('Method')); ?> <span class="text-danger">*</span></label>
                            <div class="form-control-wrap">
                                <select name="tnxmethod" id="tnx-method" class="form-control form-select" required="">
                                <?php $__currentLoopData = $methods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($pm['name']); ?>"><?php echo e($pm['label']); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="form-group">
                            <label class="form-label" for="tnx-description"><?php echo e(__('Description')); ?></label>
                            <div class="form-control-wrap">
                                <input type="text" class="form-control " id="tnx-description" name="description">
                            </div>
                            <div class="form-note">
                                <?php echo e(__("Reason for the transaction. The description will display to user.")); ?><br>
                            </div>
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="form-group">
                            <label class="form-label" for="tnx-note"><?php echo e(__('Note / Remarks')); ?></label>
                            <div class="form-control-wrap">
                                <input type="text" class="form-control " id="tnx-note" name="remarks">
                            </div>
                            <div class="form-note"><?php echo e(__('The note or remarks help to reminder. Only administrator can read from transaction details.')); ?></div>
                        </div>
                    </div>
                    <div class="col-12">
                        <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2 py-1">
                            <li>
                                <button type="button" class="btn btn-primary atx-add"><?php echo e(__('Add :Type', ['type' => $title])); ?></button>
                            </li>
                            <li>
                                <a href="javascript:void(0)" data-dismiss="modal" class="link link-light"><?php echo e(__('Cancel')); ?></a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="divider md stretched"></div>
                <div class="notes">
                    <ul>
                    <?php if(isset($ivTnx)): ?>
                        <?php if($todo=='any' || $todo=='loss' || $todo=='penalty'): ?>
                        <li class="alert-note is-plain">
                            <em class="icon ni ni-info"></em>
                            <p><strong class="text-dark"><?php echo e(__("Add Loss")); ?> / <?php echo e(__("Add Penalty")); ?></strong>: <?php echo e(__("Amount will be deduct/debit from invest account balance.")); ?></p>
                        </li>
                        <?php endif; ?>
                        <?php if($todo=='any' || $todo=='profit'): ?>
                        <li class="alert-note is-plain">
                            <em class="icon ni ni-info"></em>
                            <p><strong class="text-dark"><?php echo e(__("Add Profit")); ?></strong>: <?php echo e(__("Amount will add/credit into invest account balance.")); ?></p>
                        </li>
                        <?php endif; ?>
                    <?php else: ?>
                        <?php if($todo=='any' || $todo=='charge'): ?>
                        <li class="alert-note is-plain">
                            <em class="icon ni ni-info"></em>
                            <p><strong class="text-dark"><?php echo e(__("Add Charge")); ?></strong>: <?php echo e(__("Amount will be deduct/debit from account balance.")); ?></p>
                        </li>
                        <?php endif; ?>
                        <li class="alert-note is-plain">
                            <em class="icon ni ni-info"></em>
                            <p><strong class="text-dark"><?php echo e(__("Add Bonus/Deposit")); ?></strong>: <?php echo e(__("Amount will add/credit into account balance.")); ?></p>
                        </li>
                        <li class="alert-note is-plain">
                            <em class="icon ni ni-alert"></em>
                            <p><?php echo e(__("Leaving blank description will add 'Debited Balance' or 'Credited Balance' based on type.")); ?></p>
                        </li>
                    <?php endif; ?>
                        <li class="alert-note is-plain text-danger">
                            <em class="icon ni ni-alert"></em>
                            <p><?php echo e(__("You can not undo this action once you confirmed to add.")); ?></p>
                        </li>
                    </ul>
                </div>
            </form>
        </div>
    </div>
</div><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/admin/transaction/modal/manual-form.blade.php ENDPATH**/ ?>