

<?php $__env->startSection('title', __('Transaction History')); ?>

<?php $__env->startSection('content'); ?>
    <div class="nk-content-body">
        <div class="nk-block-head">
            <div class="nk-block-head-sub"><span><?php echo e(__('History')); ?></span></div>
            <div class="nk-block-between-sm g-4">
                <div class="nk-block-head-content">
                    <h2 class="nk-block-title fw-normal"><?php echo e(__('Transactions')); ?></h2>
                    <div class="nk-block-des">
                        <p><?php echo e(__('List of transactions in your account.')); ?></p>
                    </div>
                </div>
                <div class="nk-block-head-content d-none d-md-inline-flex">
                    <ul class="nk-block-tools gx-3">
                        <?php if(module_exist('FundTransfer', 'mod') && feature_enable('transfer')): ?>
                            <li><a href="<?php echo e(route('user.send-funds.show')); ?>" class="btn btn-light btn-white"><span><?php echo e(__('Send Funds')); ?></span> <em class="icon ni ni-arrow-long-right"></em></a></li>
                        <?php endif; ?>
                        <li><a href="<?php echo e(route('deposit')); ?>" class="btn btn-primary"><span><?php echo e(__('Deposit')); ?></span> <em class="icon ni ni-arrow-long-right"></em></a></li>
                    </ul>
                </div>
            </div>
        </div>

        <ul class="nk-nav nav nav-tabs">
            <li class="nav-item">
                <a class="nav-link<?php echo e((blank(request('type')) && blank(request()->get('view'))) ? ' active' : ''); ?>" href="<?php echo e(route('transaction.list')); ?>"><?php echo e(__('History')); ?></a>
            </li>
            <li class="nav-item">
                <a class="nav-link<?php echo e((request()->get('type')==$tnxTypes['DEPOSIT']) ? ' active' : ''); ?>" href="<?php echo e(route('transaction.list', ['type'=> $tnxTypes['DEPOSIT']])); ?>"><?php echo e(__('Deposit')); ?></a>
            </li>
            <li class="nav-item">
                <a class="nav-link<?php echo e((request()->get('type')==$tnxTypes['WITHDRAW']) ? ' active' : ''); ?>" href="<?php echo e(route('transaction.list', ['type'=> $tnxTypes['WITHDRAW']])); ?>"><?php echo e(__('Withdraw')); ?></a>
            </li>
            <?php if($scheduledCount > 0): ?>
                <li class="nav-item">
                    <a class="nav-link<?php echo e((request()->get('view')=='scheduled') ? ' active' : ''); ?>" href="<?php echo e(route('transaction.list', [ 'view'=> 'scheduled' ])); ?>">
                        <?php echo e(__('Scheduled')); ?> <span class="badge badge-primary"><?php echo e($scheduledCount); ?></span>
                    </a>
                </li>
            <?php endif; ?>
        </ul>
        <div class="nk-block nk-block-xs">
            <div class="nk-block-head nk-block-head-sm">
                <div class="nk-block-between">
                    <?php if(filled($transactions)): ?>
                        <div class="nk-block-head-content">
                            <h6 class="nk-block-title"><?php echo e(__(':type Transaction', ['type' => (request('type')) ? __(ucfirst(request('type'))) : __('All')])); ?></h6>
                        </div>
                        <ul class="nk-block-tools gx-2">
                            <li>
                                <a href="#" class="search-toggle toggle-search btn btn-icon btn-trigger"
                                   data-target="search"><em class="icon ni ni-search"></em></a>
                            </li>
                            <li>
                                <div class="dropdown">
                                    <a href="#" class="btn btn-trigger btn-icon dropdown-toggle" data-toggle="dropdown">
                                        <div class="dot dot-primary"></div>
                                        <em class="icon ni ni-filter-alt"></em>
                                    </a>

                                    <div class="filter-wg dropdown-menu dropdown-menu-lg dropdown-menu-right">
                                        <div class="dropdown-head">
                                            <span class="sub-title dropdown-title"><?php echo e(__('Filter Transaction')); ?></span>
                                        </div>
                                        <form action="<?php echo e(route('transaction.list')); ?>" method="GET">
                                            <input type="hidden" name="filter" value="true">
                                            <div class="dropdown-body dropdown-body-rg">
                                                <div class="row gx-6 gy-3">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label
                                                                class="overline-title overline-title-alt"><?php echo e(__('Type')); ?></label>
                                                            <select name="type" class="form-select form-select-sm">
                                                                <option value="any"><?php echo e(__('Any Type')); ?></option>
                                                                <?php $__currentLoopData = $tnxTypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option<?php echo e((request()->get('type') == $type) ? ' selected' : ''); ?> value="<?php echo e($type); ?>"><?php echo e(ucfirst(__($type))); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label
                                                                class="overline-title overline-title-alt"><?php echo e(__('Status')); ?></label>
                                                            <select name="status" class="form-select form-select-sm">
                                                                <option value="any"><?php echo e(__('Any Status')); ?></option>
                                                                <?php $__currentLoopData = $tnxStates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $status): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option<?php echo e((request()->get('status') == $status) ? ' selected' : ''); ?> value="<?php echo e($status); ?>"><?php echo e(ucfirst(__($status))); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label
                                                                class="overline-title overline-title-alt"><?php echo e(__('From')); ?></label>
                                                            <input class="form-control date-picker" name="date[from]"
                                                                   type="text"
                                                                   value="<?php echo e(\Illuminate\Support\Arr::get(request()->get('date'), 'from')); ?>">
                                                        </div>
                                                    </div>

                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label
                                                                class="overline-title overline-title-alt"><?php echo e(__('To')); ?></label>
                                                            <input class="form-control date-picker" name="date[to]"
                                                                   type="text"
                                                                   value="<?php echo e(\Illuminate\Support\Arr::get(request()->get('date'), 'to')); ?>">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="dropdown-foot between">
                                                <button type="submit"
                                                        class="btn btn-secondary"><?php echo e(__('Filter')); ?></button>
                                                <a href="<?php echo e(route('transaction.list')); ?>"
                                                   class="clickable"><?php echo e(__('Reset Filter')); ?></a>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </li>
                            <li>
                                <div class="dropdown">
                                    <a class="dropdown-toggle btn btn-icon btn-trigger mr-n1" data-toggle="dropdown"
                                       data-offset="-8,0"><em class="icon ni ni-setting"></em></a>
                                    <div class="dropdown-menu dropdown-menu-xs dropdown-menu-right">
                                        <ul class="link-check">
                                            <li><span><?php echo e(__('Show')); ?></span></li>
                                            <?php $__currentLoopData = config('investorm.pgtn_pr_pg'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li class="update-meta<?php echo e((user_meta('tnx_perpage', '10') == $item) ? ' active' : ''); ?>">
                                                <a href="#" data-value="<?php echo e($item); ?>" data-meta="perpage" data-type="tnx"><?php echo e(__(ucfirst($item))); ?></a>
                                            </li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                        <ul class="link-check">
                                            <li><span><?php echo e(__('Density')); ?></span></li>
                                            <?php $__currentLoopData = config('investorm.pgtn_dnsty'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li class="update-meta<?php echo e((user_meta('tnx_display', 'regular') == $item) ? ' active' : ''); ?>">
                                                <a href="#" data-value="<?php echo e($item); ?>" data-meta="display" data-type="tnx"><?php echo e(__(ucfirst($item))); ?></a>
                                            </li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    <?php endif; ?>
                </div>
                <form action="<?php echo e(route('transaction.list')); ?>" method="GET">
                    <div class="search-wrap search-wrap-extend bg-lighter" data-search="search">
                        <div class="search-content">
                            <a href="#" class="search-back btn btn-icon toggle-search" data-target="search"><em
                                    class="icon ni ni-arrow-left"></em></a>
                            <input type="text" name="query" class="form-control border-transparent form-focus-none"
                                   placeholder="<?php echo e(__('Search by transaction id')); ?>">
                            <button class="search-submit btn btn-icon mr-1"><em class="icon ni ni-search"></em></button>
                        </div>
                    </div>
                </form>
            </div>
            <div
                class="nk-odr-list is-stretch card card-bordered <?php echo e(user_meta('tnx_display') == 'compact' ? 'is-compact': ''); ?>">
                <?php if(filled($transactions)): ?>
                    <?php $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php echo $__env->make('user.transaction.trans-row', compact('transaction'), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php else: ?>
                    <div class="nk-odr-item">
                        <div class="nk-odr-col"><?php echo e(__('No transactions found!')); ?></div>
                    </div>
                <?php endif; ?>
            </div>
            <div class="mt-4">
                <?php if(filled($transactions)): ?>
                    <?php echo e($transactions->appends(request()->all())->links('misc.pagination')); ?>

                <?php endif; ?>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
<div class="modal fade" role="dialog" id="ajax-modal"></div>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>
        new ClipboardJS('.clipboard-init', {
            container: document.getElementById('ajax-modal')
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/user/transaction/list.blade.php ENDPATH**/ ?>