

<?php $__env->startSection('title', __('Two Factor Verification')); ?>

<?php $__env->startSection('content'); ?>
    <div class="card card-bordered">
        <div class="card-inner card-inner-lg">
            <div class="nk-block-head text-center">
                <h4 class="nk-block-title"><?php echo e(__('Two Factor Verification')); ?></h4>
            </div>
            <div class="nk-block-content text-center">
                <?php if(!empty($errors) && $errors->any()): ?> 
                    <p class="alert alert-danger p-1 mb-2"><?php echo e($errors->first()); ?></p>
                <?php endif; ?>

                <p><?php echo e(__("Your account has been configured to use two-factor authentication using google authenticator app.")); ?></p>
                <p><strong><?php echo e(__("Please enter your 6-digit code below to verify.")); ?></strong></p>

                <form action="<?php echo e(route('auth.2fa')); ?>" method="post" class="form-validate is-alter">
                    <div class="form-group">
                        <div class="form-control-wrap mb-3">
                            <input type="text" name="g2fa_code" class="form-control" minlength="6" maxlength="8" placeholder="<?php echo e(__("Authentication code")); ?>" data-msg-required="<?php echo e(__('Required.')); ?>" data-msg-minlength="<?php echo e(__('Code must be 6 digit.')); ?>" data-msg-maxlength="<?php echo e(__('Code less then 8 digit.')); ?>" required>
                        </div>
                    </div>
                    <div class="form-group">
                        <?php echo csrf_field(); ?>
                        <button class="btn btn-block btn-primary" ><?php echo e(__('Verify Code')); ?></button>
                    </div>
                </form>
                <div class="gap gap-lg"></div>
                <p class="text-soft mx-auto w-max-250px"><?php echo __("Lost access to your authenticator app? Please feel free to :contact our team.", ['contact' => get_page_link('contact', __('contact')), 'email' => get_mail_link()]); ?></p>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('auth.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unitedfi/trustexchangetrade.com/core_invapp/resources/views/auth/g2fa.blade.php ENDPATH**/ ?>